<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	<xsl:include href="AlternativeListCheckboxQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Kryssrutefrga med alternativ frn lista</xsl:variable>
	<xsl:variable name="java.queryDescription">
Frgetypen Kryssrutefrga med alternativ frn lista anvnds nr anvndaren skall kunna vlja mellan olika alternativ. Anvndaren kan vlja ett eller flera alternativ beroende p instllningarna.
De valbara alternativen hmtas frn en extern eller intern lista som lggs upp centralt i plattformen av systemadministratr.
	</xsl:variable>
	
	<xsl:variable name="java.countText">Antal</xsl:variable>
	<xsl:variable name="java.alternativesText">Alternativ</xsl:variable>
	<xsl:variable name="java.missingList">Tidigare vald alternativ lista som saknas: </xsl:variable>
	
	<xsl:variable name="i18n.AlternativeListCheckboxQueryNotFound">Den begrda frgan hittades inte!</xsl:variable>
	<xsl:variable name="i18n.MinChecked">Minst antal valda alternativ</xsl:variable>
	<xsl:variable name="i18n.MaxChecked">Max antal valda alternativ</xsl:variable>
	<xsl:variable name="i18n.minChecked">minst antal valda alternativ</xsl:variable>
	<xsl:variable name="i18n.maxChecked">max antal valda alternativ</xsl:variable>
	<xsl:variable name="i18n.MinCheckedBiggerThanMaxChecked">Minst antal valda alternativ fr inte vara strre n max!</xsl:variable>
	<xsl:variable name="i18n.Query.requireAllChecked">Alla alternativ mste vljas</xsl:variable>
	
	<xsl:variable name="i18n.AdvancedSettings">Avancerade instllningar</xsl:variable>
	<xsl:variable name="i18n.setAsAttribute">Spara fltets vrde som attribut</xsl:variable>
	<xsl:variable name="i18n.attributeName">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.exportAlternativeID">Exportera ven valda alternativs ID till rendets XML</xsl:variable>
	<xsl:variable name="i18n.exportAlternativeIDInformation">Om alternativets ID exporteras fr frgans XML ett annat schematiskt utseende</xsl:variable>
	
	<xsl:variable name="i18n.Columns">Kolumner</xsl:variable>
	<xsl:variable name="i18n.Columns.One">En kolumn</xsl:variable>
	<xsl:variable name="i18n.Columns.Two">Tv kolumner</xsl:variable>
	<xsl:variable name="i18n.Columns.Three">Tre kolumner</xsl:variable>
	
	<xsl:variable name="i18n.HideTitle">Dlj rubrik</xsl:variable>
	<xsl:variable name="i18n.ListName">Alternativlista</xsl:variable>
	<xsl:variable name="i18n.EmptyListDescription">Text vid tom lista (Listan saknas eller kunde inte hmta alternativ)</xsl:variable>
	
</xsl:stylesheet>
