<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:import href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>

	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="AttributeSumLimitQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Attributgrnsfrga</xsl:variable>
	<xsl:variable name="java.queryDescription">
Frgetypen Attributgrnsfrga anvnds fr att hlla en central rknare. I frgan namnges det attribut som ska rknas. Exempelvis skulle en kryssrutefrga
kunna sparas som ett attribut med vrdet 1 (eller annat positivt heltal). Det attributet anges sedan i attributgrnsfrgan, max tilltet antal inom angiven datumperiod stts till exempelvis 10.
Det betyder d att endast tio renden kan skickas in dr kryssrutan r ikryssad. Nr det elfte rendet ska skickas in kommer anvndaren att f ett felmeddelande
och allts inte kunna skicka in sitt rende.
	</xsl:variable>
			
	<xsl:variable name="i18n.UpdateQuery">ndra frga</xsl:variable>
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.attributeName">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.attributeInfo">Attributets vrde mste d det sparas i e-tjnsten. Tnk p att det mste sttas till ett heltal fr att terstende antal ska kunna rknas fram.</xsl:variable>
	<xsl:variable name="i18n.minDate">Rkna renden frn och med datum (lmna tomt fr ingen grns)</xsl:variable>
	<xsl:variable name="i18n.maxDate">Rkna renden till och med datum (lmna tomt fr ingen grns)</xsl:variable>
	<xsl:variable name="i18n.limit">Max tilltet antal inom angiven datumperiod</xsl:variable>
	<xsl:variable name="i18n.showRemaining">Visa antal kvar</xsl:variable>
	<xsl:variable name="i18n.maxRemainingAmountToShow">Hgsta antal som visas (lmna tomt s visas alltid antal kvar)</xsl:variable>
	<xsl:variable name="i18n.noneRemainingText">Text som visas nr det r 0 kvar (lmna tomt fr standardtext)</xsl:variable>
	<xsl:variable name="i18n.noneRemainingText.Placeholder">Det finns 0 kvar</xsl:variable>
	<xsl:variable name="i18n.limitExceededText">Felmeddelande som visas nr det inte finns tillrckligt mnga kvar (lmna tomt fr standardtext)</xsl:variable>
	<xsl:variable name="i18n.limitExceededText.Placeholder">Det finns inte tillrckligt mnga kvar...</xsl:variable>
	
	<xsl:variable name="i18n.AttributeSumLimitQueryNotFound">Den begrda frgan hittades inte</xsl:variable>
	
	<xsl:variable name="i18n.AttributeAndLimitSettings.Title">Instllningar fr attributnamn och grnser</xsl:variable>
	
	<xsl:variable name="i18n.UseEndpoint.Title">Grnser fr antal och datum</xsl:variable>
	<xsl:variable name="i18n.UseEndpoint.Description">Ange om du vill ange grnserna och eventuella datum manuellt i frgan eller om dessa ska hmtas frn en API-klla.</xsl:variable>
	<xsl:variable name="i18n.UseEndpoint.False">Ange grnser och datum manuellt</xsl:variable>
	<xsl:variable name="i18n.UseEndpoint.True">Hmta grnser och datum frn API-klla</xsl:variable>
	<xsl:variable name="i18n.Endpoint.title">API-klla</xsl:variable>
	<xsl:variable name="i18n.apiErrorDescription">Felmeddelande som visas nr API-kllan inte gr att n</xsl:variable>
	<xsl:variable name="i18n.apiErrorDescription.Placeholder">Det gick inte att berkna antalet...</xsl:variable>
	<xsl:variable name="i18n.Endpoint.EmptyOption">Ingen API-klla vald</xsl:variable>
</xsl:stylesheet>
