
package se.infotorg.webservices.infobilv3;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ff40 complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ff40">
 *   &lt;complexContent>
 *     &lt;extension base="{http://infobilv3.webservices.infotorg.se/}infobilPosttypBas">
 *       &lt;sequence>
 *         &lt;element name="FF40_Avanmalningsorsak" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FF40_Datum_OF_period_inleds" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FF40_Datum_OF_period_uppklarad" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FF40_Datum_rapporterad_till_TFF" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FF40_Forsakringsbolag_kod" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FF40_Forsakringsbolag_kortnamn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FF40_Forsakringsskyldig" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FF40_Orsak_OF_period_inleds_kod" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FF40_Orsak_OF_period_uppklarad_kod" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FF40_Utredning_OFperiod" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ff40", propOrder = {
    "ff40Avanmalningsorsak",
    "ff40DatumOFPeriodInleds",
    "ff40DatumOFPeriodUppklarad",
    "ff40DatumRapporteradTillTFF",
    "ff40ForsakringsbolagKod",
    "ff40ForsakringsbolagKortnamn",
    "ff40Forsakringsskyldig",
    "ff40OrsakOFPeriodInledsKod",
    "ff40OrsakOFPeriodUppklaradKod",
    "ff40UtredningOFperiod"
})
public class Ff40
    extends InfobilPosttypBas
    implements Serializable
{
	private static final long serialVersionUID = 1L;
	
    @XmlElement(name = "FF40_Avanmalningsorsak")
    protected String ff40Avanmalningsorsak;
    @XmlElement(name = "FF40_Datum_OF_period_inleds")
    protected String ff40DatumOFPeriodInleds;
    @XmlElement(name = "FF40_Datum_OF_period_uppklarad")
    protected String ff40DatumOFPeriodUppklarad;
    @XmlElement(name = "FF40_Datum_rapporterad_till_TFF")
    protected String ff40DatumRapporteradTillTFF;
    @XmlElement(name = "FF40_Forsakringsbolag_kod")
    protected String ff40ForsakringsbolagKod;
    @XmlElement(name = "FF40_Forsakringsbolag_kortnamn")
    protected String ff40ForsakringsbolagKortnamn;
    @XmlElement(name = "FF40_Forsakringsskyldig")
    protected String ff40Forsakringsskyldig;
    @XmlElement(name = "FF40_Orsak_OF_period_inleds_kod")
    protected String ff40OrsakOFPeriodInledsKod;
    @XmlElement(name = "FF40_Orsak_OF_period_uppklarad_kod")
    protected String ff40OrsakOFPeriodUppklaradKod;
    @XmlElement(name = "FF40_Utredning_OFperiod")
    protected String ff40UtredningOFperiod;

    /**
     * Gets the value of the ff40Avanmalningsorsak property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getFF40Avanmalningsorsak() {
        return ff40Avanmalningsorsak;
    }

    /**
     * Sets the value of the ff40Avanmalningsorsak property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setFF40Avanmalningsorsak(String value) {
        this.ff40Avanmalningsorsak = value;
    }

    /**
     * Gets the value of the ff40DatumOFPeriodInleds property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getFF40DatumOFPeriodInleds() {
        return ff40DatumOFPeriodInleds;
    }

    /**
     * Sets the value of the ff40DatumOFPeriodInleds property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setFF40DatumOFPeriodInleds(String value) {
        this.ff40DatumOFPeriodInleds = value;
    }

    /**
     * Gets the value of the ff40DatumOFPeriodUppklarad property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getFF40DatumOFPeriodUppklarad() {
        return ff40DatumOFPeriodUppklarad;
    }

    /**
     * Sets the value of the ff40DatumOFPeriodUppklarad property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setFF40DatumOFPeriodUppklarad(String value) {
        this.ff40DatumOFPeriodUppklarad = value;
    }

    /**
     * Gets the value of the ff40DatumRapporteradTillTFF property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getFF40DatumRapporteradTillTFF() {
        return ff40DatumRapporteradTillTFF;
    }

    /**
     * Sets the value of the ff40DatumRapporteradTillTFF property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setFF40DatumRapporteradTillTFF(String value) {
        this.ff40DatumRapporteradTillTFF = value;
    }

    /**
     * Gets the value of the ff40ForsakringsbolagKod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getFF40ForsakringsbolagKod() {
        return ff40ForsakringsbolagKod;
    }

    /**
     * Sets the value of the ff40ForsakringsbolagKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setFF40ForsakringsbolagKod(String value) {
        this.ff40ForsakringsbolagKod = value;
    }

    /**
     * Gets the value of the ff40ForsakringsbolagKortnamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getFF40ForsakringsbolagKortnamn() {
        return ff40ForsakringsbolagKortnamn;
    }

    /**
     * Sets the value of the ff40ForsakringsbolagKortnamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setFF40ForsakringsbolagKortnamn(String value) {
        this.ff40ForsakringsbolagKortnamn = value;
    }

    /**
     * Gets the value of the ff40Forsakringsskyldig property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getFF40Forsakringsskyldig() {
        return ff40Forsakringsskyldig;
    }

    /**
     * Sets the value of the ff40Forsakringsskyldig property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setFF40Forsakringsskyldig(String value) {
        this.ff40Forsakringsskyldig = value;
    }

    /**
     * Gets the value of the ff40OrsakOFPeriodInledsKod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getFF40OrsakOFPeriodInledsKod() {
        return ff40OrsakOFPeriodInledsKod;
    }

    /**
     * Sets the value of the ff40OrsakOFPeriodInledsKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setFF40OrsakOFPeriodInledsKod(String value) {
        this.ff40OrsakOFPeriodInledsKod = value;
    }

    /**
     * Gets the value of the ff40OrsakOFPeriodUppklaradKod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getFF40OrsakOFPeriodUppklaradKod() {
        return ff40OrsakOFPeriodUppklaradKod;
    }

    /**
     * Sets the value of the ff40OrsakOFPeriodUppklaradKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setFF40OrsakOFPeriodUppklaradKod(String value) {
        this.ff40OrsakOFPeriodUppklaradKod = value;
    }

    /**
     * Gets the value of the ff40UtredningOFperiod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getFF40UtredningOFperiod() {
        return ff40UtredningOFperiod;
    }

    /**
     * Sets the value of the ff40UtredningOFperiod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setFF40UtredningOFperiod(String value) {
        this.ff40UtredningOFperiod = value;
    }

}
