
package se.infotorg.webservices.infobilv3;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for performance complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="performance">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="acceleration" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="maxloadHp" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="maxloadKw" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="topSpeed" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="weightHp" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="weightKw" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "performance", propOrder = {
    "acceleration",
    "maxloadHp",
    "maxloadKw",
    "topSpeed",
    "weightHp",
    "weightKw"
})
public class Performance
    implements Serializable
{
	private static final long serialVersionUID = 1L;
	
    protected StringUnit acceleration;
    protected StringUnit maxloadHp;
    protected StringUnit maxloadKw;
    protected StringUnit topSpeed;
    protected StringUnit weightHp;
    protected StringUnit weightKw;

    /**
     * Gets the value of the acceleration property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getAcceleration() {
        return acceleration;
    }

    /**
     * Sets the value of the acceleration property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setAcceleration(StringUnit value) {
        this.acceleration = value;
    }

    /**
     * Gets the value of the maxloadHp property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getMaxloadHp() {
        return maxloadHp;
    }

    /**
     * Sets the value of the maxloadHp property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setMaxloadHp(StringUnit value) {
        this.maxloadHp = value;
    }

    /**
     * Gets the value of the maxloadKw property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getMaxloadKw() {
        return maxloadKw;
    }

    /**
     * Sets the value of the maxloadKw property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setMaxloadKw(StringUnit value) {
        this.maxloadKw = value;
    }

    /**
     * Gets the value of the topSpeed property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getTopSpeed() {
        return topSpeed;
    }

    /**
     * Sets the value of the topSpeed property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setTopSpeed(StringUnit value) {
        this.topSpeed = value;
    }

    /**
     * Gets the value of the weightHp property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getWeightHp() {
        return weightHp;
    }

    /**
     * Sets the value of the weightHp property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setWeightHp(StringUnit value) {
        this.weightHp = value;
    }

    /**
     * Gets the value of the weightKw property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getWeightKw() {
        return weightKw;
    }

    /**
     * Sets the value of the weightKw property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setWeightKw(StringUnit value) {
        this.weightKw = value;
    }

}
