package com.nordicpeak.flowengine.evaluators.childquery.duplicates;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class ChildDuplicateFlownstanceWeightEvaluatorCRUD extends BaseEvaluatorCRUD<ChildDuplicateFlownstanceWeightEvaluator, ChildDuplicateFlownstanceWeightEvaluationProviderModule> {

	private static final AnnotatedRequestPopulator<ChildDuplicateFlownstanceWeightEvaluator> POPULATOR = new AnnotatedRequestPopulator<ChildDuplicateFlownstanceWeightEvaluator>(ChildDuplicateFlownstanceWeightEvaluator.class);

	public ChildDuplicateFlownstanceWeightEvaluatorCRUD(Class<ChildDuplicateFlownstanceWeightEvaluator> beanClass, AnnotatedDAOWrapper<ChildDuplicateFlownstanceWeightEvaluator, Integer> evaluatorDAO, ChildDuplicateFlownstanceWeightEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "ChildDuplicateFlownstanceWeightEvaluator", "child duplicate flow instance weight evaluator", null, callback);
	}


}
