package com.nordicpeak.flowengine.evaluators.citizenidentifier;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class CitizenIdentifierQueryStateEvaluatorCRUD extends BaseEvaluatorCRUD<CitizenIdentifierQueryStateEvaluator, CitizenIdentifierQueryStateEvaluationProviderModule> {
	
	private static final BeanRequestPopulator<CitizenIdentifierQueryStateEvaluator> POPULATOR = new AnnotatedRequestPopulator<CitizenIdentifierQueryStateEvaluator>(CitizenIdentifierQueryStateEvaluator.class);
	
	public CitizenIdentifierQueryStateEvaluatorCRUD(Class<CitizenIdentifierQueryStateEvaluator> beanClass, AnnotatedDAOWrapper<CitizenIdentifierQueryStateEvaluator, Integer> evaluatorDAO, CitizenIdentifierQueryStateEvaluationProviderModule callback) {
		
		super(beanClass, evaluatorDAO, POPULATOR, "CitizenIdentifierQueryStateEvaluator", "citizen identifier query state evaluator", null, callback);
	}
}
