<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="EvolutionIntegrationProviderTemplates.xsl"/>
	
	<xsl:variable name="java.errorEmailSubject">Fel vid anrop till Evolution</xsl:variable>

	<xsl:variable name="java.errorEmailMessage">
		
		&lt;p&gt;Misslyckat anrop till Evolution fr rende $flow.name (rende nr. $flowInstance.flowInstanceID).&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa rendet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$flowInstance.url"&gt;$flowInstance.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	
	<xsl:variable name="i18n.validation.requiredField" select="'Du mste fylla i fltet:'"/>
	<xsl:variable name="i18n.validation.invalidFormat" select="'Felaktigt format p fltet:'"/>
	<xsl:variable name="i18n.validation.tooShort" select="'Fr kort innehll i fltet:'"/>
	<xsl:variable name="i18n.validation.tooLong" select="'Fr lngt innehll i fltet:'"/>	
	<xsl:variable name="i18n.validation.unknownError" select="'Oknt fel p fltet:'"/>
	<xsl:variable name="i18n.validation.unknownFault" select="'Ett oknt valideringsfel har uppsttt.'"/>
	
	<xsl:variable name="i18n.IntegrationEnabled">Status</xsl:variable>
	<xsl:variable name="i18n.Yes">Aktiverad</xsl:variable>
	<xsl:variable name="i18n.No">Inaktiverad</xsl:variable>
	
	<xsl:variable name="i18n.NoIntegrationSettings">Inga integrationsinstllningar har angets fr den hr e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.UpdateIntegrationSettings">ndra instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteIntegrationSettings">Ta bort instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteIntegrationSettings.Confirm">r du sker p att du vill ta bort integrationsinstllningarna fr den hr e-tjnsten?</xsl:variable>
	<xsl:variable name="i18n.UpdateIntegrationSettingsTitle">Integrationsinstllningar fr e-tjnsten</xsl:variable>
	
	<xsl:variable name="i18n.Enabled">Aktivera integrationen</xsl:variable>
	
	<xsl:variable name="i18n.Endpoint">Evolution-installation</xsl:variable>

	<xsl:variable name="i18n.CaseData">rendeinformation</xsl:variable>
	
	<xsl:variable name="i18n.Notifications">Notifikationer</xsl:variable>
	<xsl:variable name="i18n.Notifications.ErrorEmail">E-post vid kommunikationsfel</xsl:variable>
	<xsl:variable name="i18n.Notifications.ErrorEmail.EmailAddresses">E-postadresser fr notifiering vid kommunikationsfel</xsl:variable>
	
	<xsl:variable name="i18n.Attachments">Bilagor</xsl:variable>
	<xsl:variable name="i18n.addAttachmentsSeparately">Bifoga bilagor som separata filer</xsl:variable>

	<xsl:variable name="i18n.createCaseOnSpecificStatus">Skapa Evolution-rende vid specifik status</xsl:variable>
	<xsl:variable name="i18n.createCaseOnSpecificStatus.Description">Evolution-rende kommer att skapas frsta gngen rendet stts till vald status</xsl:variable>
	<xsl:variable name="i18n.caseStatusName">Status</xsl:variable>
	
	
	<xsl:variable name="i18n.unitCode">Enhetskod</xsl:variable>
	<xsl:variable name="i18n.description">rendemening</xsl:variable>
	<xsl:variable name="i18n.notes">Noteringar</xsl:variable>
	
	<xsl:variable name="i18n.ContactDetails">Kontakt</xsl:variable>
	<xsl:variable name="i18n.firstname">Frnamn</xsl:variable>
	<xsl:variable name="i18n.lastname">Efternamn</xsl:variable>
	<xsl:variable name="i18n.address">Adress</xsl:variable>
	<xsl:variable name="i18n.coAddress">C/o adress</xsl:variable>
	<xsl:variable name="i18n.zipCode">Postnummer</xsl:variable>
	<xsl:variable name="i18n.region">Ort</xsl:variable>
	<xsl:variable name="i18n.email">E-post</xsl:variable>
	<xsl:variable name="i18n.phone">Telefon</xsl:variable>
	<xsl:variable name="i18n.mobilePhone">Mobiltelefon</xsl:variable>
	
	<xsl:variable name="i18n.SupportedTags.Title">Tillgngliga taggar</xsl:variable>
	<xsl:variable name="i18n.SupportedTags.Description">Utver attributbaserade taggar med formatet $attribute{tagg} s kan fljande taggar anvndas i flten nedan.</xsl:variable>
</xsl:stylesheet>
