package com.nordicpeak.flowengine.api;

import java.util.Date;

import se.unlogic.hierarchy.foregroundmodules.rest.AnnotatedRESTModule;
import se.unlogic.standardutils.date.DateUtils;
import se.unlogic.standardutils.string.StringUtils;


public class APIModule extends AnnotatedRESTModule {

	protected Date getDate(String value, boolean start) {

		if(!StringUtils.isEmpty(value)){
			
			if(value.length() > 19){
				
				return DateUtils.getDate(DateUtils.DATE_TIME_SECONDS_MILLISECONDS_FORMATTER, value);
				
			}else if(value.length() > 16){
				
				return DateUtils.getDate(DateUtils.DATE_TIME_SECONDS_FORMATTER, value);
				
			}else if(value.length() > 10){
				
				return DateUtils.getDate(DateUtils.DATE_TIME_FORMATTER, value);
				
			}else{
				
				Date date = DateUtils.getDate(DateUtils.DATE_FORMATTER, value);
		
				if (date != null) {

					if(start){
						
						DateUtils.setTimeToMidnight(date);

					}else{
					
						DateUtils.setTimeToMaximum(date);
					}
				}
				
				return date;
			}
		}
		
		return null;
	}
}
