<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:import href="classpath://com/nordicpeak/flowengine/BaseFlowModule.sv.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="FlowInstanceListModuleTemplates.xsl"/>
	
	<xsl:variable name="java.anonymousSubmitter">Anonym anvndare</xsl:variable>
	
	<xsl:variable name="i18n.flowName">E-tjnst</xsl:variable>
		
	<xsl:variable name="i18n.Flowslist.title">rendelistor</xsl:variable>
	<xsl:variable name="i18n.Flowlist.description">Nedan visas samtliga e-tjnster som du har behrighet att komma t. Via denna modul kan du exportera renden och gra e-post utskick.</xsl:variable>
	
	<xsl:variable name="i18n.flowType">Kategori</xsl:variable>
	<xsl:variable name="i18n.steps">Steg</xsl:variable>
	<xsl:variable name="i18n.queries">Frgor</xsl:variable>
	<xsl:variable name="i18n.SubmittedInstances">Insk. renden</xsl:variable>
	<xsl:variable name="i18n.NotSubmittedInstances">Ej insk. renden</xsl:variable>
	<xsl:variable name="i18n.status">Status</xsl:variable>
	<xsl:variable name="i18n.noFlowsFound">Inga e-tjnster hittades.</xsl:variable>
	<xsl:variable name="i18n.disabled">Inaktiverad</xsl:variable>
	<xsl:variable name="i18n.published">Publicerad</xsl:variable>
	<xsl:variable name="i18n.notPublished">Ej publicerad</xsl:variable>
	<xsl:variable name="i18n.name">Namn</xsl:variable>

	<xsl:variable name="i18n.validation.unknownFault" select="'Ett oknt valideringsfel har uppsttt.'"/>
	<xsl:variable name="i18n.validation.unknownError" select="'Oknt fel p fltet:'"/>
	<xsl:variable name="i18n.validation.requiredField" select="'Du mste fylla i fltet:'"/>
	<xsl:variable name="i18n.validation.invalidFormat" select="'Felaktigt format p fltet:'"/>
	<xsl:variable name="i18n.validation.tooShort" select="'Fr kort innehll i fltet:'"/>
	<xsl:variable name="i18n.validation.tooLong" select="'Fr lngt innehll i fltet:'"/>	
	
	<xsl:variable name="i18n.FileSizeLimitExceeded.part1">Filen </xsl:variable>
	<xsl:variable name="i18n.FileSizeLimitExceeded.part2"> har en storlek p </xsl:variable>
	<xsl:variable name="i18n.FileSizeLimitExceeded.part3"> vilket verskrider den maximalt tilltna filstorleken p </xsl:variable>
	<xsl:variable name="i18n.FileSizeLimitExceeded.part4">.</xsl:variable>
	
	<xsl:variable name="i18n.ValidationError.UnableToParseRequest">Ett oknt fel uppstod vid filuppladdningen</xsl:variable>
	
	<xsl:variable name="i18n.versions">Versioner</xsl:variable>
	<xsl:variable name="i18n.version.title">Version</xsl:variable>
	
	<xsl:variable name="i18n.versions.description">Tabellen nedan visar samtliga versioner av denna e-tjnst. Markera de versioner som du vill exportera renden frn. Det gr inte att exportera renden frn inaktiverade versioner. renden som sparats men inte skickats in exkluderas automatisk vid export.</xsl:variable>
	
	<xsl:variable name="i18n.ExportFlowInstancesAsExcel">Exportera renden till Excel</xsl:variable>
	<xsl:variable name="i18n.ExportFlowInstancesAsExcel.Deprecated">Excel exporten har flyttats till botten av rendelistan i handlggningsgrnsnittet. Markera renden direkt i rendelistan och klicka p "Exportera till Excel" knappen. Det gr ven att klicka p knappen utan ngot rende valt s fr du upp en liknande vy som hr.</xsl:variable>
	<xsl:variable name="i18n.ExportFlowInstancesAsPDF">Exportera renden till PDF</xsl:variable>
	<xsl:variable name="i18n.FlowFamilyNotFound">Den begrda e-tjnsten hittades inte.</xsl:variable>
	<xsl:variable name="i18n.FlowFamilyAccessDenied">Du har inte behrighet att komma t den begrda e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.NoFlowVersionsSelected">Du mste vlja minst en version.</xsl:variable>
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	
	<xsl:variable name="i18n.fromDate">Frn</xsl:variable>
	<xsl:variable name="i18n.toDate">Till</xsl:variable>
	
	<xsl:variable name="i18n.SendMessageTitle">Skapa utskick fr e-tjnsten</xsl:variable>
<!-- 	<xsl:variable name="i18n.SendMessageTitle2">versioner frn e-tjnsten</xsl:variable> -->
	<xsl:variable name="i18n.SendMessage.EmailsSent">E-postmeddelande skickat till</xsl:variable>
	<xsl:variable name="i18n.SendMessage.MessagesSent.part1">mottagare rrande</xsl:variable>
	<xsl:variable name="i18n.SendMessage.MessagesSent.part2">renden.</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SMSsSent">SMS-meddelande skickat till</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Email">E-post</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SMS">SMS</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SenderName">Avsndarnamn</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SenderAddress">Avsndaradress</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Subject">Rubrik</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Message">Meddelande</xsl:variable>
	<xsl:variable name="i18n.emailSenderName">e-post avsndarnamn</xsl:variable>
	<xsl:variable name="i18n.emailSenderAddress">e-post avsndaradress</xsl:variable>
	<xsl:variable name="i18n.emailSubject">e-post rubrik</xsl:variable>
	<xsl:variable name="i18n.emailMessage">e-postmeddelande</xsl:variable>
	<xsl:variable name="i18n.smsMessage">SMS meddelande</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SendEmail">Skicka via e-post</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SendSMS">Skicka via SMS</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SubmitMessage">Skicka meddelande</xsl:variable>
	<xsl:variable name="i18n.SendMessages">Skapa utskick</xsl:variable>
	<xsl:variable name="i18n.NoEmailNoRecipients">Det finns inga mottagare att skicka till med de valda e-tjnst versionerna och datum filter</xsl:variable>
	<xsl:variable name="i18n.SendMessageTitleBetween">mellan</xsl:variable>
	<xsl:variable name="i18n.SendMessageTitleBetween2">och</xsl:variable>
	<xsl:variable name="i18n.SendMessageTitleAfter">efter</xsl:variable>
	<xsl:variable name="i18n.SendMessageTitleBefore">fre</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Recipients">mottagare.</xsl:variable>
	<xsl:variable name="i18n.NoMessagePathSelected">Du mste vlja minst en typ av utskick.</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Transport">Typ av utskick</xsl:variable>
	<xsl:variable name="i18n.AttachFiles">Bifoga filer</xsl:variable>
	<xsl:variable name="i18n.ChooseFiles">Vlj filer</xsl:variable>
	<xsl:variable name="i18n.MaximumFileSize">Maximal filstorlek vid uppladdning</xsl:variable>
	<xsl:variable name="i18n.DeleteFile">Ta bort fil</xsl:variable>
	
	
	<xsl:variable name="i18n.UserTagsTable.description">Fljande taggar kan anvndas i rubrik och meddelande (contact-taggar kan EJ anvndas i utskick till meddelande p mina sidor)</xsl:variable>
	<xsl:variable name="i18n.Tag">Tagg</xsl:variable>
	<xsl:variable name="i18n.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.FlowNameTag">E-tjnstens namn</xsl:variable>
	<xsl:variable name="i18n.FlowInstanceIDTag">rende nummer</xsl:variable>
	<xsl:variable name="i18n.FlowInstanceURLTag">Adress till rendet (kan ej anvndas i meddelande till ej inloggade anvndare)</xsl:variable>
	<xsl:variable name="i18n.PosterFirstnameTag">Kontaktpersonens frnamn (stds ej fr meddelanden p mina sidor)</xsl:variable>
	<xsl:variable name="i18n.PosterLastnameTag">Kontaktpersonens efternamn (stds ej fr meddelanden p mina sidor)</xsl:variable>
	
	<xsl:variable name="i18n.SendMessage.statusContentType.title">rende status</xsl:variable>
	<xsl:variable name="i18n.SendMessage.statusContentType.description">Vlj vilka renden som ska ing i utskicket baserat p vilken typ av status de har. Siffran inom parantes visar antalet renden finns inom de olika typerna av statusar.</xsl:variable>
	<xsl:variable name="i18n.SendMessage.statusContentType.description2">Ett rende kan ha flera gare vilket gr att antalet mottagare kan vara strre n antalet renden.</xsl:variable>
	<xsl:variable name="i18n.contentType.NEW">Sparade men ej inskickade renden</xsl:variable>
	<xsl:variable name="i18n.contentType.WAITING_FOR_MULTISIGN">Vntar p flerpartssignering</xsl:variable>
	<xsl:variable name="i18n.contentType.WAITING_FOR_MULTISIGN.userNotSigned">Personer som inte har signerat</xsl:variable>
	<xsl:variable name="i18n.contentType.WAITING_FOR_MULTISIGN.ownerSigned">Personer som har signerat</xsl:variable>
<!-- 	<xsl:variable name="i18n.contentType.WAITING_FOR_MULTISIGN.ownerSigned">Personer som har signerat som rende gare</xsl:variable> -->
	
	<xsl:variable name="i18n.contentType.WAITING_FOR_PAYMENT">Vntar p betalning</xsl:variable>
	<xsl:variable name="i18n.contentType.SUBMITTED">Inskickade renden</xsl:variable>
	<xsl:variable name="i18n.contentType.IN_PROGRESS">renden under behandling</xsl:variable>
	<xsl:variable name="i18n.contentType.WAITING_FOR_COMPLETION">Vntar p komplettering</xsl:variable>
	<xsl:variable name="i18n.contentType.ARCHIVED">Avslutade renden</xsl:variable>
	<xsl:variable name="i18n.NoContentTypesSelected">Du mste vlja minst en status typ att skicka till.</xsl:variable>
	<xsl:variable name="i18n.NoMultiSignTypesSelected">Du mste vlja minst en flerpartssigneringsundertyp om du valt flerpartssignering.</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Transport.description">Vlj vilken typ av utskick som ska gras. Utskick grs endast till de anvndare som valt de aktuella kontaktvgarna.</xsl:variable>
	
	<xsl:variable name="i18n.instances.description">Tabellen nedan visar inskickade renden frn valda versioner av denna e-tjnst. Om du inte valde ngon version p fregende sida s visas samtliga. Klicka p en rad fr att komma till rendet.</xsl:variable>
	
	<xsl:variable name="i18n.Column.InstanceID">rende ID</xsl:variable>
	<xsl:variable name="i18n.Column.SubmittedDate">Inskickat</xsl:variable>
	<xsl:variable name="i18n.Column.Poster">Inskickare</xsl:variable>
	<xsl:variable name="i18n.Column.FlowName">E-tjnst namn</xsl:variable>
	<xsl:variable name="i18n.ShowSubmittedInstances">Visa renden</xsl:variable>
	<xsl:variable name="i18n.ShowSubmittedInstancesTitle">Visa inskickade renden fr den hr e-tjnsten</xsl:variable>
	
	<xsl:variable name="i18n.DataTable.decimal">,</xsl:variable>
	<xsl:variable name="i18n.DataTable.emptyTable">Finns inga renden att visa</xsl:variable>
	<xsl:variable name="i18n.DataTable.info">Visar _START_ till _END_ av _TOTAL_ renden</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoEmpty">Visar 0 till 0 av 0 renden</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoFiltered">(filtrerat frn totalt _MAX_ renden)</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoPostFix"/>
	<xsl:variable name="i18n.DataTable.thousands"/>
	<xsl:variable name="i18n.DataTable.lengthMenu">Visa _MENU_ renden</xsl:variable>
	<xsl:variable name="i18n.DataTable.loadingRecords">Hmtar renden...</xsl:variable>
	<xsl:variable name="i18n.DataTable.processing">Bearbetar...</xsl:variable>
	<xsl:variable name="i18n.DataTable.search">Sk:</xsl:variable>
	<xsl:variable name="i18n.DataTable.zeroRecords">Inga matchande renden hittades</xsl:variable>
	<xsl:variable name="i18n.DataTable.fetchError">Ett fel uppstod vid hmtning av renden, vnligen frsk igen senare.</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.first">Frsta</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.last">Sista</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.next">Nsta</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.previous">Fregende</xsl:variable>
	<xsl:variable name="i18n.DataTable.aria.sortAscending">: aktivera fr att sortera kolumnen stigande</xsl:variable>
	<xsl:variable name="i18n.DataTable.aria.sortDescending">: aktivera fr att sortera kolumnen fallande</xsl:variable>
	<xsl:variable name="i18n.DataTable.selection.none">Inga rader markerade</xsl:variable>
	<xsl:variable name="i18n.DataTable.selection.one">1 rad markerad</xsl:variable>
	<xsl:variable name="i18n.DataTable.selection.many">%d rader markerade</xsl:variable>
	
	<xsl:variable name="i18n.Filter">Filtrera e-tjnster</xsl:variable>
	
	
	<xsl:variable name="i18n.MultiSigningHandler.missing">Kan inte filtrera flerpartssignering noggrannare, modulen saknas.</xsl:variable>
	
	<xsl:variable name="i18n.AddFlowInstanceManagers.Button">Lgg till handlggare</xsl:variable>
	<xsl:variable name="i18n.UpdateFlowInstanceStatuses.Button">ndra status</xsl:variable>
	<xsl:variable name="i18n.NothingSelected">Du mste markera tminstone ett rende.</xsl:variable>
	<xsl:variable name="i18n.MultipleFlowsSelected">Du fr endast vlja en version i taget.</xsl:variable>
	
	<xsl:variable name="i18n.UpdateFlowInstanceStatuses.Title">ndra rendestatus fr valda renden frn e-tjnst</xsl:variable>
	<xsl:variable name="i18n.UpdateFlowInstanceStatuses.description.1">Du har valt</xsl:variable>
	<xsl:variable name="i18n.UpdateFlowInstanceStatuses.description.2">renden att ndra status p. Statusar som krver signering gr inte att vlja.</xsl:variable>
	<xsl:variable name="i18n.UpdateFlowInstanceStatuses.Submit">ndra status</xsl:variable>
	<xsl:variable name="i18n.StatusNotFound">Den valda statusen hittades inte.</xsl:variable>
	<xsl:variable name="i18n.InvalidStatus">Du har valt en ogiltig status.</xsl:variable>
	
	<xsl:variable name="i18n.AddFlowInstanceManagers.Title">Lgg till rende handlggare fr e-tjnst</xsl:variable>
	<xsl:variable name="i18n.AddFlowInstanceManagers.description.1">Du har valt</xsl:variable>
	<xsl:variable name="i18n.AddFlowInstanceManagers.description.2">renden att lgga till handlggare p.</xsl:variable>
	<xsl:variable name="i18n.AddFlowInstanceManagers.Submit">Lgg till handlggare</xsl:variable>
	<xsl:variable name="i18n.NoManagerSelected">Du mste vlja tminstone en handlggare</xsl:variable>
	<xsl:variable name="i18n.OneOrMoreSelectedManagerNotFoundError">En eller flera av de valda handlggarna hittades inte.</xsl:variable>
	
	<xsl:variable name="i18n.SendMessage.SentExternalMessages">Meddelande p mina sidor har skickats till</xsl:variable>

	<xsl:variable name="i18n.SendMessage.SendExternalMessage">Meddelande p mina sidor</xsl:variable>
	<xsl:variable name="i18n.SendMessage.ExternalMessage">Meddelande p mina sidor</xsl:variable>
	<xsl:variable name="i18n.externalMessage">Meddelande p mina sidor</xsl:variable>

</xsl:stylesheet>
