<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	<xsl:include href="IconMapQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Placera symboler p karta</xsl:variable>
	<xsl:variable name="java.queryDescription">
Frgetypen Placera symboler p karta anvnds nr anvndaren skall kunna placera ut symboler p en karta. Under frgans instllningar r det mjligt att ladda upp symboler som skall kunna placeras ut p kartan
och begrnsa antalet som fr placeras ut.
Denna frgetyp har ven koppling till Lantmteriets tjnster fr adress- och fastighetsinformation vilket innebr att det r mjligt att navigera i kartan genom att ska p adress och/eller fastighetsbeteckning.
Genom att aktivera instllningen &quot;Krv fastighetsbeteckning&quot; samlas ven fastighetsbeteckning in och tvingar d anvndaren att vlja vilken fastighet som rendet gller innan symboler kan placeras ut.
	</xsl:variable>
	
	<xsl:variable name="java.pdfAttachmentDescriptionPrefix">En fil frn frga:</xsl:variable>
	<xsl:variable name="java.pdfAttachmentFilename">Kartbild 1 till $scale</xsl:variable>
	<xsl:variable name="java.pdfAttachmentFilenameWithoutScale">Kartbild</xsl:variable>
	<xsl:variable name="java.missingEndpoint">Tidigare vald geometriklla saknas: </xsl:variable>
	
	<xsl:variable name="i18n.IconMapQueryNotFound">Den begrda frgan hittades inte!</xsl:variable>
	
	<xsl:variable name="i18n.requiredQueryMessage">meddelande vid obligatorisk frga</xsl:variable>
	<xsl:variable name="i18n.RequiredQueryMessage">Meddelande vid obligatorisk frga</xsl:variable>
	<xsl:variable name="i18n.RequiredQueryMessageDescription">Meddelande som visas nr frgan r obligatorisk och inkomplett</xsl:variable>
	
	<xsl:variable name="i18n.ForceQueryPopulation">Bifoga alltid kartan med anskan (ven om ingen symbol ritas ut p kartan)</xsl:variable>
	<xsl:variable name="i18n.UseDetailedIconInfo">Anvnd utkad symbolinformation</xsl:variable>
	<xsl:variable name="i18n.ShowIconPUDInfo">Hmta fastighetsbeteckning fr utplacerade symboler</xsl:variable>
	<xsl:variable name="i18n.RequirePUD">Krv fastighetsbeteckning</xsl:variable>
	<xsl:variable name="i18n.MapIcons">Symboler</xsl:variable>
	<xsl:variable name="i18n.ChooseImage">Vlj symbol</xsl:variable>
	<xsl:variable name="i18n.ChangeImage">ndra symbol</xsl:variable>
	<xsl:variable name="i18n.AddIcon">Lgg till symbol</xsl:variable>
	
	<xsl:variable name="i18n.Icon">Symbol</xsl:variable>
	<xsl:variable name="i18n.MapIconName">Namn</xsl:variable>
	
	<xsl:variable name="i18n.MinimumIcons">Minst antal</xsl:variable>
	<xsl:variable name="i18n.MaxIcons">Max antal</xsl:variable>
	
	<xsl:variable name="i18n.DeleteIcon">Ta bort</xsl:variable>
	
	<xsl:variable name="i18n.OnRow">fr symbol p rad</xsl:variable>
	<xsl:variable name="i18n.NoMapIcon">Du har inte valt ngon bild</xsl:variable>
	
	<xsl:variable name="i18n.MaxIconsSmallerThanMinIcons">Max antal r strre n minst antal</xsl:variable>
	<xsl:variable name="i18n.NoIconsAdded">Du mste lgga till minst en symbol</xsl:variable>
	<xsl:variable name="i18n.InvalidIconFileFormat">Felaktig filformat endast ikoner i png, jpg, gif eller bmp format r tilltna.</xsl:variable>
	
	<xsl:variable name="i18n.AdvancedSettings">Avancerade instllningar</xsl:variable>
	<xsl:variable name="i18n.setAsAttribute">Spara geometri som attribut</xsl:variable>
	<xsl:variable name="i18n.attributeName">Attributprefix</xsl:variable>
	<xsl:variable name="i18n.attributeDescription">Fljande attribut kommer att sparas (semikolonseparerat vid flera geometrier) med det ovan valda prefixet. Anvndningsexempel om du valt prefixet 'test': $attribute{test.wkt}</xsl:variable>
	<xsl:variable name="i18n.attributes.name">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.attributes.value">Vrde</xsl:variable>
	<xsl:variable name="i18n.attributes.mainPropertyUnitDesignation">Fastighetsbeteckning fr vald fastighet</xsl:variable>
	<xsl:variable name="i18n.attributes.wkt">WKT-formaterad geometri</xsl:variable>
	<xsl:variable name="i18n.attributes.objectID">Objekt-ID (endast hmtade geometrier)</xsl:variable>
	<xsl:variable name="i18n.attributes.coordinates">Koordinater (endast egenplacerade geometrier)</xsl:variable>
	<xsl:variable name="i18n.attributes.propertyUnitDesignation">Fastighetsbeteckning fr placerade symboler</xsl:variable>
	
	<xsl:variable name="i18n.GeometryEndpointName">Geometriklla</xsl:variable>
	<xsl:variable name="i18n.ZoomToGeometries">Zooma kartan till hmtade geometrier</xsl:variable>
	<xsl:variable name="i18n.PrintAllFetchedGeometries">Visa ven ej valda geometrier i anskan</xsl:variable>
	<xsl:variable name="i18n.UseSelectableGeometries">Lt anvndaren vlja bland de hmtade geometrierna</xsl:variable>
	<xsl:variable name="i18n.MinSelectableGeometries">Minst antal geometrier som kan vljas</xsl:variable>
	<xsl:variable name="i18n.MaxSelectableGeometries">Max antal geometrier som kan vljas</xsl:variable>
	
	<xsl:variable name="i18n.NoGeometriesMessage">Meddelande nr geometrier saknas</xsl:variable>
	<xsl:variable name="i18n.NoGeometriesMessageDescription">Meddelande som visas nr geometrier saknas eller kunde inte hmtas</xsl:variable>
	<xsl:variable name="i18n.MissingGeometryMessage">Meddelande nr vald geometri saknas</xsl:variable>
	<xsl:variable name="i18n.MissingGeometryMessageDescription">Meddelande som visas nr anvndaren valt en geometri som inte lngre finns</xsl:variable>
	<xsl:variable name="i18n.ConfirmDeleteIcon">r du sker p att du vill ta bort ikonen?</xsl:variable>

	<xsl:variable name="i18n.SelectableGeometryReservationEnabled">Aktivera reservation vid val av hmtade geometrier</xsl:variable>
	<xsl:variable name="i18n.ReservationEnabledLoginRequired">Nr reservation r aktiverat s krvs det att anvndaren r inloggad</xsl:variable>
	<xsl:variable name="i18n.ReservationMinutes">Reservationstid</xsl:variable>
	<xsl:variable name="i18n.ReservationMinutes.Description">Ange hur mnga minuter som en reservation r giltig</xsl:variable>
	<xsl:variable name="i18n.ReservedGeometryColor">Frg p reserverade geometrier</xsl:variable>
	<xsl:variable name="i18n.ReservedGeometryColor.Description">Ange vilken frg reserverade geometrier ska visas med</xsl:variable>
	<xsl:variable name="i18n.GeometryAlreadyReservedMessage">Meddelande nr vald geometri redan reserverats</xsl:variable>
	<xsl:variable name="i18n.GeometryAlreadyReservedMessage.Description">Meddelande som visas nr anvndaren valt en geometri som hunnit reserverats av en annan anvndare</xsl:variable>
	
</xsl:stylesheet>
