<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:import href="classpath://com/nordicpeak/flowengine/alternativelist/provider/BaseAlternativeListProviderModule.sv.xsl"/>
	<xsl:include href="classpath://se/unlogic/hierarchy/core/utils/usergrouplist/UserGroupList.sv.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="InternalAlternativeListProviderModuleTemplates.xsl"/>
	
	<xsl:variable name="i18n.ListAlternativeLists">Interna listor</xsl:variable>
	<xsl:variable name="i18n.ListAlternativeLists.CombinedLists">Kombinerade listor</xsl:variable>

	<xsl:variable name="i18n.validationError.TooFewAlternatives">Du mste lgga till minst 1 alternativ i listan!</xsl:variable>
	<xsl:variable name="i18n.validationError.ValidToMustBeAfterValidTo">mste vara efter</xsl:variable>
	<xsl:variable name="i18n.validationError.CantRemoveOwnAccess">Du kan inte begrnsa din egen behrighet fr den hr listan</xsl:variable>
	<xsl:variable name="i18n.ValidationError.UnableToParseRequest">Ett oknt fel uppstod vid filuppladdningen</xsl:variable>
	<xsl:variable name="i18n.ValidationError.FileSizeLimitExceeded.part1">Filen </xsl:variable>
	<xsl:variable name="i18n.ValidationError.FileSizeLimitExceeded.part2"> har en storlek p </xsl:variable>
	<xsl:variable name="i18n.ValidationError.FileSizeLimitExceeded.part3"> vilket verskrider den maximalt tilltna filstorleken p </xsl:variable>
	<xsl:variable name="i18n.ValidationError.FileSizeLimitExceeded.part4">.</xsl:variable>
	<xsl:variable name="i18n.ValidationError.InvalidFileExtension.Part1">Filen</xsl:variable>
	<xsl:variable name="i18n.ValidationError.InvalidFileExtension.Part2">r av en felaktig filtyp.</xsl:variable>
	<xsl:variable name="i18n.ValidationError.InvalidFileExtension.Part3">Fljande filtyper r tilltna:</xsl:variable>
	<xsl:variable name="i18n.ValidationError.UnableToParseFile.part1">Den gick inte att tolka innehllet i filen </xsl:variable>
	<xsl:variable name="i18n.ValidationError.UnableToParseFile.part2">.</xsl:variable>
	<xsl:variable name="i18n.ValidationError.ErrorImportingExcel">Ett fel uppstod vid import av alternativ</xsl:variable>
	
	<xsl:variable name="i18n.ListAlternativeLists.Description">Hr kan du manuellt lgga till och ta bort interna listor.</xsl:variable>
	
	<xsl:variable name="i18n.AddInternal">Lgg till intern lista</xsl:variable>
	<xsl:variable name="i18n.UpdateInternal">ndra intern lista</xsl:variable>
	
	<xsl:variable name="i18n.InternalList.ExportToExcel">Exportera till excel</xsl:variable>
	<xsl:variable name="i18n.InternalList.ImportFromExcel">Importera alternativ frn Excel-fil (.xlsx)</xsl:variable>
	<xsl:variable name="i18n.InternalList.ImportFromExcel.description">Excel-filen mste ha samma format som <a href="{/Document/requestinfo/contextpath}/static/f/{/Document/module/sectionID}/{/Document/module/moduleID}/templates/Mall.xlsx">denna mall</a>. Observera att eventuella manuellt upplagda alternativ i detta formulr ignoreras om en Excel-fil bifogas.</xsl:variable>
	
	<xsl:variable name="i18n.useDateLimits">Aktivera datumfiltrering</xsl:variable>
	<xsl:variable name="i18n.Alternative.ValidFrom">Frn och med</xsl:variable>
	<xsl:variable name="i18n.Alternative.ValidTo">Till och med</xsl:variable>
	
	<xsl:variable name="i18n.AddCombined">Lgg till kombinerad lista</xsl:variable>
	<xsl:variable name="i18n.UpdateCombined">ndra kombinerad lista</xsl:variable>
	<xsl:variable name="i18n.CombinedList.ordering">Alternativ sortering</xsl:variable>
	<xsl:variable name="i18n.CombinedList.ordering.az">A till </xsl:variable>
	<xsl:variable name="i18n.CombinedList.ordering.za"> till A</xsl:variable>
	<xsl:variable name="i18n.CombinedList.ordering.listOrder">Ingen sortering</xsl:variable>
	<xsl:variable name="i18n.CombinedList.Lists">Listor som kombineras</xsl:variable>
	<xsl:variable name="i18n.CombinedList.Lists.SearchPlaceholder">Lgg till lista</xsl:variable>
	<xsl:variable name="i18n.DeleteCombiningList">Kombinera inte lista</xsl:variable>
	<xsl:variable name="i18n.DeleteCombiningList.Confirm">r du sker p att du inte vill kombinera med lista</xsl:variable>
	
	<xsl:variable name="i18n.ShowCombined">Visa kombinerad lista</xsl:variable>
	
	<xsl:variable name="i18n.AdminAccessControlEnabled">ppna upp behrighet fr administration av denna lista</xsl:variable>
	<xsl:variable name="i18n.AdminUsers">Administratrer</xsl:variable>
	<xsl:variable name="i18n.AdminGroups">Administratrsgrupper</xsl:variable>
	
</xsl:stylesheet>
