
package se.lantmateriet.namespace.distribution.produkter.belagenhetsadress.v4;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AdressplatspunktlageType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="AdressplatspunktlageType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Byggnad"/>
 *     &lt;enumeration value="Ingng"/>
 *     &lt;enumeration value="Infart"/>
 *     &lt;enumeration value="Tomtplats"/>
 *     &lt;enumeration value="Ungefrligt lgesbestmd"/>
 *     &lt;enumeration value="vrigt lge"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "AdressplatspunktlageType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1")
@XmlEnum
public enum AdressplatspunktlageType {

    @XmlEnumValue("Byggnad")
    BYGGNAD("Byggnad"),
    @XmlEnumValue("Ing\u00e5ng")
    INGNG("Ing\u00e5ng"),
    @XmlEnumValue("Infart")
    INFART("Infart"),
    @XmlEnumValue("Tomtplats")
    TOMTPLATS("Tomtplats"),
    @XmlEnumValue("Ungef\u00e4rligt l\u00e4gesbest\u00e4md")
    UNGEFRLIGT_LGESBESTMD("Ungef\u00e4rligt l\u00e4gesbest\u00e4md"),
    @XmlEnumValue("\u00d6vrigt l\u00e4ge")
    VRIGT_LGE("\u00d6vrigt l\u00e4ge");
    private final String value;

    AdressplatspunktlageType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static AdressplatspunktlageType fromValue(String v) {
        for (AdressplatspunktlageType c: AdressplatspunktlageType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
