
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AvtalsrattighetType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AvtalsrattighetType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivenBelastningType">
 *       &lt;sequence>
 *         &lt;element name="Avtalsrattighetsanmarkning" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}AvtalsrattighetsanmarkningType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AvtalsrattighetType", propOrder = {
    "avtalsrattighetsanmarkning"
})
@XmlSeeAlso({
    AvkomstrattType.class,
    ElkraftrattType.class,
    AvtalsnyttjanderattType.class,
    AvtalsservitutType.class
})
public abstract class AvtalsrattighetType
    extends InskrivenBelastningType
{

    @XmlElement(name = "Avtalsrattighetsanmarkning")
    protected List<AvtalsrattighetsanmarkningType> avtalsrattighetsanmarkning;

    /**
     * Gets the value of the avtalsrattighetsanmarkning property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the avtalsrattighetsanmarkning property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAvtalsrattighetsanmarkning().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AvtalsrattighetsanmarkningType }
     * 
     * 
     */
    public List<AvtalsrattighetsanmarkningType> getAvtalsrattighetsanmarkning() {
        if (avtalsrattighetsanmarkning == null) {
            avtalsrattighetsanmarkning = new ArrayList<AvtalsrattighetsanmarkningType>();
        }
        return this.avtalsrattighetsanmarkning;
    }

}
