
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for InskrivningType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InskrivningType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}UtbytesobjektType">
 *       &lt;sequence>
 *         &lt;element name="inskrivningsdag" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="dagboksnummer" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="aktnummer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="beslut" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}BeslutstypType"/>
 *         &lt;element name="NyttBeslut" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}NyttBeslutType" minOccurs="0"/>
 *         &lt;element name="uppskovsdatum" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="overklagande" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InskrivningType", propOrder = {
    "inskrivningsdag",
    "dagboksnummer",
    "aktnummer",
    "beslut",
    "nyttBeslut",
    "uppskovsdatum",
    "overklagande"
})
@XmlSeeAlso({ 
    InskrivetAgandeType.class,
    InskrivenBelastningType.class,
    InskrivningshandelseType.class,
    LagfartsanmarkningType.class,
    FangType.class,
    InteckningsanmarkningType.class,
    InnehavsanteckningType.class,
    TomtrattsinnehavsanmarkningType.class,
    TomtrattsupplatelseType.class,
    TomtrattsupplatelseanmarkningType.class,
    AnteckningsanmarkningType.class,
    AvtalsrattighetsanmarkningType.class,
    AnteckningType.class
})
public abstract class InskrivningType
    extends UtbytesobjektType
{

    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar inskrivningsdag;
    protected List<String> dagboksnummer;
    protected String aktnummer;
    @XmlElement(required = true)
    protected BeslutstypType beslut;
    @XmlElement(name = "NyttBeslut")
    protected NyttBeslutType nyttBeslut;
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar uppskovsdatum;
    protected String overklagande;

    /**
     * Gets the value of the inskrivningsdag property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getInskrivningsdag() {
        return inskrivningsdag;
    }

    /**
     * Sets the value of the inskrivningsdag property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setInskrivningsdag(XMLGregorianCalendar value) {
        this.inskrivningsdag = value;
    }

    /**
     * Gets the value of the dagboksnummer property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the dagboksnummer property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDagboksnummer().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getDagboksnummer() {
        if (dagboksnummer == null) {
            dagboksnummer = new ArrayList<String>();
        }
        return this.dagboksnummer;
    }

    /**
     * Gets the value of the aktnummer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAktnummer() {
        return aktnummer;
    }

    /**
     * Sets the value of the aktnummer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAktnummer(String value) {
        this.aktnummer = value;
    }

    /**
     * Gets the value of the beslut property.
     * 
     * @return
     *     possible object is
     *     {@link BeslutstypType }
     *     
     */
    public BeslutstypType getBeslut() {
        return beslut;
    }

    /**
     * Sets the value of the beslut property.
     * 
     * @param value
     *     allowed object is
     *     {@link BeslutstypType }
     *     
     */
    public void setBeslut(BeslutstypType value) {
        this.beslut = value;
    }

    /**
     * Gets the value of the nyttBeslut property.
     * 
     * @return
     *     possible object is
     *     {@link NyttBeslutType }
     *     
     */
    public NyttBeslutType getNyttBeslut() {
        return nyttBeslut;
    }

    /**
     * Sets the value of the nyttBeslut property.
     * 
     * @param value
     *     allowed object is
     *     {@link NyttBeslutType }
     *     
     */
    public void setNyttBeslut(NyttBeslutType value) {
        this.nyttBeslut = value;
    }

    /**
     * Gets the value of the uppskovsdatum property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getUppskovsdatum() {
        return uppskovsdatum;
    }

    /**
     * Sets the value of the uppskovsdatum property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setUppskovsdatum(XMLGregorianCalendar value) {
        this.uppskovsdatum = value;
    }

    /**
     * Gets the value of the overklagande property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOverklagande() {
        return overklagande;
    }

    /**
     * Sets the value of the overklagande property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOverklagande(String value) {
        this.overklagande = value;
    }

}
