package com.nordicpeak.flowengine.evaluators.internalaccount;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class MatchingInternalAccountQueryStateEvaluatorCRUD extends BaseEvaluatorCRUD<MatchingInternalAccountQueryStateEvaluator, MatchingInternalAccountQueryStateEvaluationProviderModule> {
	
	private static final BeanRequestPopulator<MatchingInternalAccountQueryStateEvaluator> POPULATOR = new AnnotatedRequestPopulator<MatchingInternalAccountQueryStateEvaluator>(MatchingInternalAccountQueryStateEvaluator.class);
	
	public MatchingInternalAccountQueryStateEvaluatorCRUD(Class<MatchingInternalAccountQueryStateEvaluator> beanClass, AnnotatedDAOWrapper<MatchingInternalAccountQueryStateEvaluator, Integer> evaluatorDAO, MatchingInternalAccountQueryStateEvaluationProviderModule callback) {
		
		super(beanClass, evaluatorDAO, POPULATOR, "MatchingInternalAccountQueryStateEvaluator", "Matching internal account query state evaluator", null, callback);
	}
}
