<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="MultiSigningHandler2ModuleTemplates.xsl"/>

	<xsl:variable name="java.anonymousUserName">Anonym anvndare</xsl:variable>
	<xsl:variable name="java.signMessage">$poster har bett dig signera rendet nedan.</xsl:variable>	
	<xsl:variable name="java.signedMessage">Du skrev under detta rende den $signed.</xsl:variable>
	<xsl:variable name="java.signingMessage">Du signerar nu $flow.name med rendenummer $flowInstance.flowInstanceID. rendet har fljande unika nyckel: $hash</xsl:variable>
	
	<xsl:variable name="i18n.Firstname">Frnamn</xsl:variable>
	<xsl:variable name="i18n.Lastname">Efternamn</xsl:variable>
	<xsl:variable name="i18n.Mobilephone">Mobiltelefon</xsl:variable>
	<xsl:variable name="i18n.Identifier">Personnummer</xsl:variable>
	<xsl:variable name="i18n.Email">E-post</xsl:variable>
	<xsl:variable name="i18n.Signed">Signerat</xsl:variable>
	<xsl:variable name="i18n.No">Nej</xsl:variable>
	
	<xsl:variable name="i18n.SigningStatus.Description">Ditt rende vntar p att en eller flera personer ska signera det. I tabellen nedan ser du aktuell status gllande signeringen av detta rende.</xsl:variable>
	<xsl:variable name="i18n.PreviousSigners">Fljande personer har redan signerat rendet:</xsl:variable>
	
	<xsl:variable name="i18n.SignFlowInstance">Signering av rende</xsl:variable>

	<xsl:variable name="i18n.DownloadFlowInstancePDF">Hmta rendet i PDF format.</xsl:variable>
	<xsl:variable name="i18n.DownloadSignedFlowInstancePDF">Hmta det signerade rendet i PDF format.</xsl:variable>
	<xsl:variable name="i18n.DownloadSigningFlowInstancePDF">Hmta signeringsunderlaget i PDF format.</xsl:variable>
	<xsl:variable name="i18n.SigningLinkMessage">Ett SMS och/eller e-postmeddelande har skickats till samtliga personer i listan ovan. Om de inte mottagit detta meddelande eller du vill pminna dem s kan du be dem beska adressen nedan fr att signera detta rende. Observera att personer som skall signera utan personnummer inte kan anvnda lnken nedan.</xsl:variable>
	<xsl:variable name="i18n.SigningLinkMessage.Sequential">Ett SMS och/eller e-postmeddelande skickats i turordning till nsta person i listan ovan som ska signera. Om de inte mottagit detta meddelande eller du vill pminna dem s kan du be dem beska adressen nedan fr att signera detta rende. Observera att personer som skall signera utan personnummer inte kan anvnda lnken nedan.</xsl:variable>
	<xsl:variable name="i18n.SignFlowInstanceButton">Signera rende</xsl:variable>
	<xsl:variable name="i18n.Signing.BackButton">Bakt</xsl:variable>
	
	<xsl:variable name="i18n.FlowDisabled.title">E-tjnsten ej tillgnglig</xsl:variable>
	<xsl:variable name="i18n.FlowDisabled.message">Den hr e-tjnsten r inte tillgnglig fr tillfllet.</xsl:variable>
	
	<xsl:variable name="i18n.SigningPartyNotFound.title">tgrden ej mjlig</xsl:variable>
	<xsl:variable name="i18n.SigningPartyNotFound.message">Detta kan bero p att rendet bytt status, ndrats, tagits bort eller att du r inloggad som fel person.</xsl:variable>
	
	<xsl:variable name="i18n.SequentialSigningBlock.title">tgrden ej mjlig nnu</xsl:variable>
	<xsl:variable name="i18n.SequentialSigningBlock.message">Det hr rendet anvnder sekventiell signering och krver att alla parter fre dig signerat innan du fr signera. Du fr en notifikation nr det r din tur att signera.</xsl:variable>
	
	<xsl:variable name="i18n.WrongStatusContentType.title">tgrden ej mjlig</xsl:variable>
	<xsl:variable name="i18n.WrongStatusContentType.message">Detta kan bero p att rendet bytt status, ndrats, tagits bort eller att du r inloggad som fel person.</xsl:variable>
	
	<xsl:variable name="i18n.MisconfiguredMultisigning">Den hr e-tjnsten r felkonfigurerad. Vnligen kontakta ansvarige att se ver e-tjnstens statusar gllande flerpartssignering.</xsl:variable>
	
	<xsl:variable name="i18n.CancelSigning">Avbryt flerpartssignering</xsl:variable>
	<xsl:variable name="i18n.CancelSigning.Confirm">r du sker p att du vill avbryta flerpartssigneringen?</xsl:variable>
	<xsl:variable name="i18n.CancelSigning.Party">Vgra signering och avbryt flerpartssignering</xsl:variable>
	<xsl:variable name="i18n.CancelSigning.Party.Confirm">r du sker p att du vill avbryta flerpartssigneringen?</xsl:variable>
	<xsl:variable name="i18n.MayNotCancelSubmittedFlowInstance.title">Du kan ej avbryta flerpartssigneringen</xsl:variable>
	<xsl:variable name="i18n.MayNotCancelSubmittedFlowInstance.message">Detta rende har redan skickats in och krver drfr att handlggaren r den som avbryter flerpartssigneringen. Kontakta handlggaren fr att avbryta flerpartssigneringen.</xsl:variable>
	
	<xsl:variable name="i18n.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.noAnsweredQueriesInThisStep">Det finns inga besvarade frgor i detta steg.</xsl:variable>
	
	<xsl:variable name="i18n.Help">Hjlp</xsl:variable>
	<xsl:variable name="i18n.FlowName">E-tjnst</xsl:variable>
	<xsl:variable name="i18n.Status">Status</xsl:variable>
	<xsl:variable name="i18n.Updated">Senast sparat</xsl:variable>
	<xsl:variable name="i18n.SiteProfile">Kommun</xsl:variable>
	
	<xsl:variable name="i18n.WaitingMultiSignFlowInstancesTitle">renden som vntar p din signatur</xsl:variable>
	<xsl:variable name="i18n.WaitingMultiSignFlowInstances.Part1">Du har</xsl:variable>
	<xsl:variable name="i18n.WaitingMultiSignFlowInstances.Part2">rende</xsl:variable>
	<xsl:variable name="i18n.WaitingMultiSignFlowInstances.Part2.Plural">renden</xsl:variable>
	<xsl:variable name="i18n.WaitingMultiSignFlowInstances.Part3">som vntar p din signatur</xsl:variable>
	<xsl:variable name="i18n.WaitingForYourSignature">Vntar p din signatur</xsl:variable>
	<xsl:variable name="i18n.WaitingMultiSignFlowInstancesHelp">
<h2 class="h1 full" data-icon-before="?">renden som vntar p din signatur</h2>
De renden som ngon annan har pbrjat med dig som signerings part. Signera genom att klicka p "Vntar p signering". 
	</xsl:variable>
</xsl:stylesheet>
