<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	<xsl:include href="PriceTableQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Pristabellfrga</xsl:variable>
	<xsl:variable name="java.queryDescription">
Frgetypen Pristabellfrga kan anvndas nr anvndaren skall f vlja mellan olika prissatta artiklar. Nr anvndaren skriver in vilket antal som nskas av artiklarna summerar frgan den totala kostnaden.
	</xsl:variable>
	
	<xsl:variable name="java.exportCount">Antal</xsl:variable>
	<xsl:variable name="java.exportSum">Summa</xsl:variable>
	<xsl:variable name="java.exportAmount">Antal</xsl:variable>
	<xsl:variable name="java.exportComment">Kommentar</xsl:variable>
	
	<xsl:variable name="i18n.PriceTableQueryNotFound">Den begrda frgan hittades inte!</xsl:variable>
	<xsl:variable name="i18n.ValidationError.PriceMayNotBeNegative">Priset fr inte vara negativt!</xsl:variable>
	
	<xsl:variable name="i18n.BaseInfo">Grundinformation</xsl:variable>
	
	<xsl:variable name="i18n.UpdateBaseInformation">Uppdatera grundinformation</xsl:variable>
	<xsl:variable name="i18n.Add">Lgg till</xsl:variable>
	<xsl:variable name="i18n.Done">Klar</xsl:variable>
	
	<xsl:variable name="i18n.Label">Namn</xsl:variable>
	<xsl:variable name="i18n.label">namn</xsl:variable>
	<xsl:variable name="i18n.Required">Obligatorisk</xsl:variable>
	
	<xsl:variable name="i18n.Rows">Rader</xsl:variable>
	<xsl:variable name="i18n.AddRow">Lgg till rad</xsl:variable>
	<xsl:variable name="i18n.DeleteRow.Confirm">Ta bort rad</xsl:variable>
	<xsl:variable name="i18n.DeleteRow">Ta bort rad</xsl:variable>
	<xsl:variable name="i18n.UpdateRow">Uppdatera rad</xsl:variable>
	<xsl:variable name="i18n.SortRows">Sortera rader fr frga</xsl:variable>
	<xsl:variable name="i18n.SortRows.Title">Sortera rader</xsl:variable>
	<xsl:variable name="i18n.RowsLabel">Titel fr radnamns kolumnen</xsl:variable>
	<xsl:variable name="i18n.Yes">Ja</xsl:variable>
	<xsl:variable name="i18n.No">Nej</xsl:variable>
	
	<xsl:variable name="i18n.DecimalSetting">Decimalinstllning</xsl:variable>
	<xsl:variable name="i18n.DecimalSetting.Allow">Tillt decimaler</xsl:variable>
	<xsl:variable name="i18n.DecimalSetting.Force">Tillt och visa alltid decimaler</xsl:variable>
	<xsl:variable name="i18n.DecimalSetting.Disallow">Tillt inte decimaler</xsl:variable>
	<xsl:variable name="i18n.Query.ShowComments">Visa flt fr kommentar p rader</xsl:variable>
	<xsl:variable name="i18n.AllowNegative">Tillt negativa antal</xsl:variable>
	<xsl:variable name="i18n.HideEmptyRows">Dlj rader utan antal frn kvittens och PDF</xsl:variable>
	<xsl:variable name="i18n.Price">Pris per enhet</xsl:variable>
	
	<xsl:variable name="i18n.AdvancedSettings">Avancerade instllningar</xsl:variable>
	<xsl:variable name="i18n.setAsAttribute">Spara fltets vrde som attribut</xsl:variable>
	<xsl:variable name="i18n.amountSumAttributeName">Attributnamn fr antalsumma</xsl:variable>
	
</xsl:stylesheet>
