
package se.bolagsverket.schema.ssbt.rollintyg;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import se.bolagsverket.schema.ssbt.foretag.Funktionar;
import se.bolagsverket.schema.ssbt.foretag.JaNej;


/**
 * <p>Java class for roll complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="roll">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}Firmatecknare"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}Funktionar" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "roll", propOrder = {
    "firmatecknare",
    "funktionar"
})
public class Roll {

    @XmlElement(name = "Firmatecknare", namespace = "http://schema.bolagsverket.se/ssbt/foretag", required = true)
    @XmlSchemaType(name = "string")
    protected JaNej firmatecknare;
    @XmlElement(name = "Funktionar", namespace = "http://schema.bolagsverket.se/ssbt/foretag", required = true)
    protected List<Funktionar> funktionar;

    /**
     * Gets the value of the firmatecknare property.
     * 
     * @return
     *     possible object is
     *     {@link JaNej }
     *     
     */
    public JaNej getFirmatecknare() {
        return firmatecknare;
    }

    /**
     * Sets the value of the firmatecknare property.
     * 
     * @param value
     *     allowed object is
     *     {@link JaNej }
     *     
     */
    public void setFirmatecknare(JaNej value) {
        this.firmatecknare = value;
    }

    /**
     * Gets the value of the funktionar property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the funktionar property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFunktionar().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Funktionar }
     * 
     * 
     */
    public List<Funktionar> getFunktionar() {
        if (funktionar == null) {
            funktionar = new ArrayList<Funktionar>();
        }
        return this.funktionar;
    }

}
