
package se.bolagsverket.schema.ssbt.rollintyg;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for rollIntygMetadata complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="rollIntygMetadata">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/rollintyg}RollIntygId"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/rollintyg}RollIntygUtfardat"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/rollintyg}RollIntygUtfardatAv"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/rollintyg}RollIntygUtfardatTill"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/rollintyg}RollIntygUtfardatForPerson"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/rollintyg}RollIntygUtfardatForForetag"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "rollIntygMetadata", propOrder = {
    "rollIntygId",
    "rollIntygUtfardat",
    "rollIntygUtfardatAv",
    "rollIntygUtfardatTill",
    "rollIntygUtfardatForPerson",
    "rollIntygUtfardatForForetag"
})
public class RollIntygMetadata {

    @XmlElement(name = "RollIntygId", required = true)
    protected String rollIntygId;
    @XmlElement(name = "RollIntygUtfardat", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar rollIntygUtfardat;
    @XmlElement(name = "RollIntygUtfardatAv", required = true)
    protected RollIntygUtfardatAv rollIntygUtfardatAv;
    @XmlElement(name = "RollIntygUtfardatTill", required = true)
    protected RollIntygUtfardatTill rollIntygUtfardatTill;
    @XmlElement(name = "RollIntygUtfardatForPerson", required = true)
    protected RollIntygUtfardatForPerson rollIntygUtfardatForPerson;
    @XmlElement(name = "RollIntygUtfardatForForetag", required = true)
    protected RollIntygUtfardatForForetag rollIntygUtfardatForForetag;

    /**
     * Gets the value of the rollIntygId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRollIntygId() {
        return rollIntygId;
    }

    /**
     * Sets the value of the rollIntygId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRollIntygId(String value) {
        this.rollIntygId = value;
    }

    /**
     * Gets the value of the rollIntygUtfardat property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getRollIntygUtfardat() {
        return rollIntygUtfardat;
    }

    /**
     * Sets the value of the rollIntygUtfardat property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setRollIntygUtfardat(XMLGregorianCalendar value) {
        this.rollIntygUtfardat = value;
    }

    /**
     * Gets the value of the rollIntygUtfardatAv property.
     * 
     * @return
     *     possible object is
     *     {@link RollIntygUtfardatAv }
     *     
     */
    public RollIntygUtfardatAv getRollIntygUtfardatAv() {
        return rollIntygUtfardatAv;
    }

    /**
     * Sets the value of the rollIntygUtfardatAv property.
     * 
     * @param value
     *     allowed object is
     *     {@link RollIntygUtfardatAv }
     *     
     */
    public void setRollIntygUtfardatAv(RollIntygUtfardatAv value) {
        this.rollIntygUtfardatAv = value;
    }

    /**
     * Gets the value of the rollIntygUtfardatTill property.
     * 
     * @return
     *     possible object is
     *     {@link RollIntygUtfardatTill }
     *     
     */
    public RollIntygUtfardatTill getRollIntygUtfardatTill() {
        return rollIntygUtfardatTill;
    }

    /**
     * Sets the value of the rollIntygUtfardatTill property.
     * 
     * @param value
     *     allowed object is
     *     {@link RollIntygUtfardatTill }
     *     
     */
    public void setRollIntygUtfardatTill(RollIntygUtfardatTill value) {
        this.rollIntygUtfardatTill = value;
    }

    /**
     * Gets the value of the rollIntygUtfardatForPerson property.
     * 
     * @return
     *     possible object is
     *     {@link RollIntygUtfardatForPerson }
     *     
     */
    public RollIntygUtfardatForPerson getRollIntygUtfardatForPerson() {
        return rollIntygUtfardatForPerson;
    }

    /**
     * Sets the value of the rollIntygUtfardatForPerson property.
     * 
     * @param value
     *     allowed object is
     *     {@link RollIntygUtfardatForPerson }
     *     
     */
    public void setRollIntygUtfardatForPerson(RollIntygUtfardatForPerson value) {
        this.rollIntygUtfardatForPerson = value;
    }

    /**
     * Gets the value of the rollIntygUtfardatForForetag property.
     * 
     * @return
     *     possible object is
     *     {@link RollIntygUtfardatForForetag }
     *     
     */
    public RollIntygUtfardatForForetag getRollIntygUtfardatForForetag() {
        return rollIntygUtfardatForForetag;
    }

    /**
     * Sets the value of the rollIntygUtfardatForForetag property.
     * 
     * @param value
     *     allowed object is
     *     {@link RollIntygUtfardatForForetag }
     *     
     */
    public void setRollIntygUtfardatForForetag(RollIntygUtfardatForForetag value) {
        this.rollIntygUtfardatForForetag = value;
    }

}
