
package se.bolagsverket.schema.ssbten.engagemang;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

import se.bolagsverket.schema.ssbt.foretag.PersonId;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the se.bolagsverket.schema.ssbten.engagemang package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _EngagemangBegaranDetaljer_QNAME = new QName("http://schema.bolagsverket.se/ssbten/engagemang", "EngagemangBegaranDetaljer");
    private final static QName _EngagemangSvarDetaljer_QNAME = new QName("http://schema.bolagsverket.se/ssbten/engagemang", "EngagemangSvarDetaljer");
    private final static QName _EngagemangSvarMetadata_QNAME = new QName("http://schema.bolagsverket.se/ssbten/engagemang", "EngagemangSvarMetadata");
    private final static QName _EngagemangSvar_QNAME = new QName("http://schema.bolagsverket.se/ssbten/engagemang", "EngagemangSvar");
    private final static QName _ForetagEngagemang_QNAME = new QName("http://schema.bolagsverket.se/ssbten/engagemang", "ForetagEngagemang");
    private final static QName _EngagemangBegaran_QNAME = new QName("http://schema.bolagsverket.se/ssbten/engagemang", "EngagemangBegaran");
    private final static QName _ForetagEngagemangMetadata_QNAME = new QName("http://schema.bolagsverket.se/ssbten/engagemang", "ForetagEngagemangMetadata");
    private final static QName _PersonId_QNAME = new QName("http://schema.bolagsverket.se/ssbten/engagemang", "PersonId");
    private final static QName _ForetagId_QNAME = new QName("http://schema.bolagsverket.se/ssbten/engagemang", "ForetagId");
    private final static QName _Foretag_QNAME = new QName("http://schema.bolagsverket.se/ssbten/engagemang", "Foretag");
    private final static QName _Foretagsformer_QNAME = new QName("http://schema.bolagsverket.se/ssbten/engagemang", "Foretagsformer");
    private final static QName _EngagemangBegaranMetadata_QNAME = new QName("http://schema.bolagsverket.se/ssbten/engagemang", "EngagemangBegaranMetadata");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: se.bolagsverket.schema.ssbten.engagemang
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link EngagemangSvarDetaljer }
     * 
     */
    public EngagemangSvarDetaljer createEngagemangSvarDetaljer() {
        return new EngagemangSvarDetaljer();
    }

    /**
     * Create an instance of {@link Foretagsformer }
     * 
     */
    public Foretagsformer createForetagsformer() {
        return new Foretagsformer();
    }

    /**
     * Create an instance of {@link ForetagId }
     * 
     */
    public ForetagId createForetagId() {
        return new ForetagId();
    }

    /**
     * Create an instance of {@link EngagemangBegaran }
     * 
     */
    public EngagemangBegaran createEngagemangBegaran() {
        return new EngagemangBegaran();
    }

    /**
     * Create an instance of {@link EngagemangSvarMetadata }
     * 
     */
    public EngagemangSvarMetadata createEngagemangSvarMetadata() {
        return new EngagemangSvarMetadata();
    }

    /**
     * Create an instance of {@link EngagemangSvar }
     * 
     */
    public EngagemangSvar createEngagemangSvar() {
        return new EngagemangSvar();
    }

    /**
     * Create an instance of {@link ForetagEngagemang }
     * 
     */
    public ForetagEngagemang createForetagEngagemang() {
        return new ForetagEngagemang();
    }

    /**
     * Create an instance of {@link PersonId }
     * 
     */
    public PersonId createPersonId() {
        return new PersonId();
    }

    /**
     * Create an instance of {@link EngagemangBegaranMetadata }
     * 
     */
    public EngagemangBegaranMetadata createEngagemangBegaranMetadata() {
        return new EngagemangBegaranMetadata();
    }

    /**
     * Create an instance of {@link Foretag }
     * 
     */
    public Foretag createForetag() {
        return new Foretag();
    }

    /**
     * Create an instance of {@link EngagemangBegaranDetaljer }
     * 
     */
    public EngagemangBegaranDetaljer createEngagemangBegaranDetaljer() {
        return new EngagemangBegaranDetaljer();
    }

    /**
     * Create an instance of {@link ForetagEngagemangMetadata }
     * 
     */
    public ForetagEngagemangMetadata createForetagEngagemangMetadata() {
        return new ForetagEngagemangMetadata();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EngagemangBegaranDetaljer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbten/engagemang", name = "EngagemangBegaranDetaljer")
    public JAXBElement<EngagemangBegaranDetaljer> createEngagemangBegaranDetaljer(EngagemangBegaranDetaljer value) {
        return new JAXBElement<EngagemangBegaranDetaljer>(_EngagemangBegaranDetaljer_QNAME, EngagemangBegaranDetaljer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EngagemangSvarDetaljer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbten/engagemang", name = "EngagemangSvarDetaljer")
    public JAXBElement<EngagemangSvarDetaljer> createEngagemangSvarDetaljer(EngagemangSvarDetaljer value) {
        return new JAXBElement<EngagemangSvarDetaljer>(_EngagemangSvarDetaljer_QNAME, EngagemangSvarDetaljer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EngagemangSvarMetadata }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbten/engagemang", name = "EngagemangSvarMetadata")
    public JAXBElement<EngagemangSvarMetadata> createEngagemangSvarMetadata(EngagemangSvarMetadata value) {
        return new JAXBElement<EngagemangSvarMetadata>(_EngagemangSvarMetadata_QNAME, EngagemangSvarMetadata.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EngagemangSvar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbten/engagemang", name = "EngagemangSvar")
    public JAXBElement<EngagemangSvar> createEngagemangSvar(EngagemangSvar value) {
        return new JAXBElement<EngagemangSvar>(_EngagemangSvar_QNAME, EngagemangSvar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ForetagEngagemang }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbten/engagemang", name = "ForetagEngagemang")
    public JAXBElement<ForetagEngagemang> createForetagEngagemang(ForetagEngagemang value) {
        return new JAXBElement<ForetagEngagemang>(_ForetagEngagemang_QNAME, ForetagEngagemang.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EngagemangBegaran }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbten/engagemang", name = "EngagemangBegaran")
    public JAXBElement<EngagemangBegaran> createEngagemangBegaran(EngagemangBegaran value) {
        return new JAXBElement<EngagemangBegaran>(_EngagemangBegaran_QNAME, EngagemangBegaran.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ForetagEngagemangMetadata }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbten/engagemang", name = "ForetagEngagemangMetadata")
    public JAXBElement<ForetagEngagemangMetadata> createForetagEngagemangMetadata(ForetagEngagemangMetadata value) {
        return new JAXBElement<ForetagEngagemangMetadata>(_ForetagEngagemangMetadata_QNAME, ForetagEngagemangMetadata.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersonId }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbten/engagemang", name = "PersonId")
    public JAXBElement<PersonId> createPersonId(PersonId value) {
        return new JAXBElement<PersonId>(_PersonId_QNAME, PersonId.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ForetagId }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbten/engagemang", name = "ForetagId")
    public JAXBElement<ForetagId> createForetagId(ForetagId value) {
        return new JAXBElement<ForetagId>(_ForetagId_QNAME, ForetagId.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Foretag }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbten/engagemang", name = "Foretag")
    public JAXBElement<Foretag> createForetag(Foretag value) {
        return new JAXBElement<Foretag>(_Foretag_QNAME, Foretag.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Foretagsformer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbten/engagemang", name = "Foretagsformer")
    public JAXBElement<Foretagsformer> createForetagsformer(Foretagsformer value) {
        return new JAXBElement<Foretagsformer>(_Foretagsformer_QNAME, Foretagsformer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EngagemangBegaranMetadata }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbten/engagemang", name = "EngagemangBegaranMetadata")
    public JAXBElement<EngagemangBegaranMetadata> createEngagemangBegaranMetadata(EngagemangBegaranMetadata value) {
        return new JAXBElement<EngagemangBegaranMetadata>(_EngagemangBegaranMetadata_QNAME, EngagemangBegaranMetadata.class, null, value);
    }

}
