
package se.bolagsverket.schema.ssbtgu.v2.grundlaggandeuppgifter;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import se.bolagsverket.schema.ssbt.fel.Fel;
import se.bolagsverket.schema.ssbt.foretag.Sni;


/**
 * SNI-koder fretag.
 * 
 * <p>Java class for ud0024 complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ud0024">
 *   &lt;complexContent>
 *     &lt;extension base="{http://schema.bolagsverket.se/ssbtgu/v2/grundlaggandeuppgifter}grundlaggandeUppgift">
 *       &lt;choice>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}SNI" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/fel}Fel"/>
 *       &lt;/choice>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ud0024", propOrder = {
    "sni",
    "fel"
})
public class Ud0024
    extends GrundlaggandeUppgift
{

    @XmlElement(name = "SNI", namespace = "http://schema.bolagsverket.se/ssbt/foretag")
    protected List<Sni> sni;
    @XmlElement(name = "Fel", namespace = "http://schema.bolagsverket.se/ssbt/fel")
    protected Fel fel;

    /**
     * Gets the value of the sni property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the sni property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSNI().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Sni }
     * 
     * 
     */
    public List<Sni> getSNI() {
        if (sni == null) {
            sni = new ArrayList<Sni>();
        }
        return this.sni;
    }

    /**
     * Gets the value of the fel property.
     * 
     * @return
     *     possible object is
     *     {@link Fel }
     *     
     */
    public Fel getFel() {
        return fel;
    }

    /**
     * Sets the value of the fel property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fel }
     *     
     */
    public void setFel(Fel value) {
        this.fel = value;
    }

}
