
package se.bolagsverket.schema.ssbtro.roll;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

import se.bolagsverket.schema.ssbt.foretag.ForetagId;
import se.bolagsverket.schema.ssbt.foretag.Foretagsform;
import se.bolagsverket.schema.ssbt.foretag.PersonId;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the se.bolagsverket.schema.ssbtro.roll package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _RollBegaranMetadata_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/roll", "RollBegaranMetadata");
    private final static QName _RollSvarDetaljer_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/roll", "RollSvarDetaljer");
    private final static QName _ForetagRoll_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/roll", "ForetagRoll");
    private final static QName _RollBegaranDetaljer_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/roll", "RollBegaranDetaljer");
    private final static QName _Foretagsform_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/roll", "Foretagsform");
    private final static QName _RollBegaran_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/roll", "RollBegaran");
    private final static QName _PersonId_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/roll", "PersonId");
    private final static QName _ForetagId_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/roll", "ForetagId");
    private final static QName _ForetagRollMetadata_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/roll", "ForetagRollMetadata");
    private final static QName _RollSvarMetadata_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/roll", "RollSvarMetadata");
    private final static QName _RollSvar_QNAME = new QName("http://schema.bolagsverket.se/ssbtro/roll", "RollSvar");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: se.bolagsverket.schema.ssbtro.roll
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link RollBegaran }
     * 
     */
    public RollBegaran createRollBegaran() {
        return new RollBegaran();
    }

    /**
     * Create an instance of {@link ForetagId }
     * 
     */
    public ForetagId createForetagId() {
        return new ForetagId();
    }

    /**
     * Create an instance of {@link ForetagRollMetadata }
     * 
     */
    public ForetagRollMetadata createForetagRollMetadata() {
        return new ForetagRollMetadata();
    }

    /**
     * Create an instance of {@link Foretagsform }
     * 
     */
    public Foretagsform createForetagsform() {
        return new Foretagsform();
    }

    /**
     * Create an instance of {@link PersonId }
     * 
     */
    public PersonId createPersonId() {
        return new PersonId();
    }

    /**
     * Create an instance of {@link ForetagRoll }
     * 
     */
    public ForetagRoll createForetagRoll() {
        return new ForetagRoll();
    }

    /**
     * Create an instance of {@link RollSvar }
     * 
     */
    public RollSvar createRollSvar() {
        return new RollSvar();
    }

    /**
     * Create an instance of {@link RollBegaranDetaljer }
     * 
     */
    public RollBegaranDetaljer createRollBegaranDetaljer() {
        return new RollBegaranDetaljer();
    }

    /**
     * Create an instance of {@link RollSvarMetadata }
     * 
     */
    public RollSvarMetadata createRollSvarMetadata() {
        return new RollSvarMetadata();
    }

    /**
     * Create an instance of {@link RollBegaranMetadata }
     * 
     */
    public RollBegaranMetadata createRollBegaranMetadata() {
        return new RollBegaranMetadata();
    }

    /**
     * Create an instance of {@link RollSvarDetaljer }
     * 
     */
    public RollSvarDetaljer createRollSvarDetaljer() {
        return new RollSvarDetaljer();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RollBegaranMetadata }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/roll", name = "RollBegaranMetadata")
    public JAXBElement<RollBegaranMetadata> createRollBegaranMetadata(RollBegaranMetadata value) {
        return new JAXBElement<RollBegaranMetadata>(_RollBegaranMetadata_QNAME, RollBegaranMetadata.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RollSvarDetaljer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/roll", name = "RollSvarDetaljer")
    public JAXBElement<RollSvarDetaljer> createRollSvarDetaljer(RollSvarDetaljer value) {
        return new JAXBElement<RollSvarDetaljer>(_RollSvarDetaljer_QNAME, RollSvarDetaljer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ForetagRoll }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/roll", name = "ForetagRoll")
    public JAXBElement<ForetagRoll> createForetagRoll(ForetagRoll value) {
        return new JAXBElement<ForetagRoll>(_ForetagRoll_QNAME, ForetagRoll.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RollBegaranDetaljer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/roll", name = "RollBegaranDetaljer")
    public JAXBElement<RollBegaranDetaljer> createRollBegaranDetaljer(RollBegaranDetaljer value) {
        return new JAXBElement<RollBegaranDetaljer>(_RollBegaranDetaljer_QNAME, RollBegaranDetaljer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Foretagsform }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/roll", name = "Foretagsform")
    public JAXBElement<Foretagsform> createForetagsform(Foretagsform value) {
        return new JAXBElement<Foretagsform>(_Foretagsform_QNAME, Foretagsform.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RollBegaran }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/roll", name = "RollBegaran")
    public JAXBElement<RollBegaran> createRollBegaran(RollBegaran value) {
        return new JAXBElement<RollBegaran>(_RollBegaran_QNAME, RollBegaran.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersonId }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/roll", name = "PersonId")
    public JAXBElement<PersonId> createPersonId(PersonId value) {
        return new JAXBElement<PersonId>(_PersonId_QNAME, PersonId.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ForetagId }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/roll", name = "ForetagId")
    public JAXBElement<ForetagId> createForetagId(ForetagId value) {
        return new JAXBElement<ForetagId>(_ForetagId_QNAME, ForetagId.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ForetagRollMetadata }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/roll", name = "ForetagRollMetadata")
    public JAXBElement<ForetagRollMetadata> createForetagRollMetadata(ForetagRollMetadata value) {
        return new JAXBElement<ForetagRollMetadata>(_ForetagRollMetadata_QNAME, ForetagRollMetadata.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RollSvarMetadata }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/roll", name = "RollSvarMetadata")
    public JAXBElement<RollSvarMetadata> createRollSvarMetadata(RollSvarMetadata value) {
        return new JAXBElement<RollSvarMetadata>(_RollSvarMetadata_QNAME, RollSvarMetadata.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RollSvar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schema.bolagsverket.se/ssbtro/roll", name = "RollSvar")
    public JAXBElement<RollSvar> createRollSvar(RollSvar value) {
        return new JAXBElement<RollSvar>(_RollSvar_QNAME, RollSvar.class, null, value);
    }

}
