package com.nordicpeak.flowengine.integration.sokigo.beans;

import java.util.List;

import se.unlogic.standardutils.dao.annotations.DAOManaged;
import se.unlogic.standardutils.dao.annotations.OneToMany;
import se.unlogic.standardutils.dao.annotations.Table;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.integration.base.beans.BaseIntegrationEndpoint;

@Table(name = "sokigo_integration_endpoints")
@XMLElement(name = "Endpoint")
public class IntegrationEndpoint extends BaseIntegrationEndpoint {
	
	@DAOManaged
	@XMLElement
	private String serviceAddress;
	
	@DAOManaged
	@OneToMany
	private List<IntegrationSettings> integrationSettings;
	
	public String getServiceAddress() {
		return serviceAddress;
	}
	
	public void setServiceAddress(String serviceAddress) {
		this.serviceAddress = serviceAddress;
	}
	
}
