package com.nordicpeak.flowengine.alternativelist.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.alternativelist.beans.AlternativeListDescriptor;
import com.nordicpeak.flowengine.alternativelist.interfaces.AlternativeListProvider;

@XMLElement(name = "validationError")
public class ListNameAlreadyInUseValidationError extends ValidationError {
	
	private static final long serialVersionUID = -5722978774396903664L;

	@XMLElement
	protected AlternativeListDescriptor list;
	
	@XMLElement
	protected AlternativeListProvider provider;
	
	public ListNameAlreadyInUseValidationError(AlternativeListDescriptor existingList, AlternativeListProvider existingListProvider) {
		super("ListNameAlreadyInUse");
		
		this.list = existingList;
		this.provider = existingListProvider;
	}
	
	
	
}
