
package se.artvise.mercuryapi;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the se.artvise.mercuryapi package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: se.artvise.mercuryapi
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetDeed }
     * 
     */
    public GetDeed createGetDeed() {
        return new GetDeed();
    }

    /**
     * Create an instance of {@link GetFileByGuid }
     * 
     */
    public GetFileByGuid createGetFileByGuid() {
        return new GetFileByGuid();
    }

    /**
     * Create an instance of {@link SetLocationsResponse }
     * 
     */
    public SetLocationsResponse createSetLocationsResponse() {
        return new SetLocationsResponse();
    }

    /**
     * Create an instance of {@link GetMediaTypesResponse }
     * 
     */
    public GetMediaTypesResponse createGetMediaTypesResponse() {
        return new GetMediaTypesResponse();
    }

    /**
     * Create an instance of {@link SetCaseIdentifierResponse }
     * 
     */
    public SetCaseIdentifierResponse createSetCaseIdentifierResponse() {
        return new SetCaseIdentifierResponse();
    }

    /**
     * Create an instance of {@link GetHandlingOfficersResponse }
     * 
     */
    public GetHandlingOfficersResponse createGetHandlingOfficersResponse() {
        return new GetHandlingOfficersResponse();
    }

    /**
     * Create an instance of {@link TestResponse }
     * 
     */
    public TestResponse createTestResponse() {
        return new TestResponse();
    }

    /**
     * Create an instance of {@link GetCaseResponse }
     * 
     */
    public GetCaseResponse createGetCaseResponse() {
        return new GetCaseResponse();
    }

    /**
     * Create an instance of {@link CreateCase }
     * 
     */
    public CreateCase createCreateCase() {
        return new CreateCase();
    }

    /**
     * Create an instance of {@link GetCustomPropertiesResponse }
     * 
     */
    public GetCustomPropertiesResponse createGetCustomPropertiesResponse() {
        return new GetCustomPropertiesResponse();
    }

    /**
     * Create an instance of {@link SetOrganisationResponse }
     * 
     */
    public SetOrganisationResponse createSetOrganisationResponse() {
        return new SetOrganisationResponse();
    }

    /**
     * Create an instance of {@link SetLocations }
     * 
     */
    public SetLocations createSetLocations() {
        return new SetLocations();
    }

    /**
     * Create an instance of {@link GetCaseByRefID }
     * 
     */
    public GetCaseByRefID createGetCaseByRefID() {
        return new GetCaseByRefID();
    }

    /**
     * Create an instance of {@link GetPreferedInboxGuidResponse }
     * 
     */
    public GetPreferedInboxGuidResponse createGetPreferedInboxGuidResponse() {
        return new GetPreferedInboxGuidResponse();
    }

    /**
     * Create an instance of {@link SetCaseCategories }
     * 
     */
    public SetCaseCategories createSetCaseCategories() {
        return new SetCaseCategories();
    }

    /**
     * Create an instance of {@link GetCaseByRefIDResponse }
     * 
     */
    public GetCaseByRefIDResponse createGetCaseByRefIDResponse() {
        return new GetCaseByRefIDResponse();
    }

    /**
     * Create an instance of {@link GetFileResponse }
     * 
     */
    public GetFileResponse createGetFileResponse() {
        return new GetFileResponse();
    }

    /**
     * Create an instance of {@link SearchDistributionListMembersResponse }
     * 
     */
    public SearchDistributionListMembersResponse createSearchDistributionListMembersResponse() {
        return new SearchDistributionListMembersResponse();
    }

    /**
     * Create an instance of {@link GetLocations }
     * 
     */
    public GetLocations createGetLocations() {
        return new GetLocations();
    }

    /**
     * Create an instance of {@link Test }
     * 
     */
    public Test createTest() {
        return new Test();
    }

    /**
     * Create an instance of {@link IsValidApiKey }
     * 
     */
    public IsValidApiKey createIsValidApiKey() {
        return new IsValidApiKey();
    }

    /**
     * Create an instance of {@link SetCaseReferenceResponse }
     * 
     */
    public SetCaseReferenceResponse createSetCaseReferenceResponse() {
        return new SetCaseReferenceResponse();
    }

    /**
     * Create an instance of {@link CreateDeedResponse }
     * 
     */
    public CreateDeedResponse createCreateDeedResponse() {
        return new CreateDeedResponse();
    }

    /**
     * Create an instance of {@link GetCustomProperties }
     * 
     */
    public GetCustomProperties createGetCustomProperties() {
        return new GetCustomProperties();
    }

    /**
     * Create an instance of {@link SetOrganisation }
     * 
     */
    public SetOrganisation createSetOrganisation() {
        return new SetOrganisation();
    }

    /**
     * Create an instance of {@link UpdateCase }
     * 
     */
    public UpdateCase createUpdateCase() {
        return new UpdateCase();
    }

    /**
     * Create an instance of {@link GetLocationsResponse }
     * 
     */
    public GetLocationsResponse createGetLocationsResponse() {
        return new GetLocationsResponse();
    }

    /**
     * Create an instance of {@link SetCaseReference }
     * 
     */
    public SetCaseReference createSetCaseReference() {
        return new SetCaseReference();
    }

    /**
     * Create an instance of {@link SetCustomPropertyResponse }
     * 
     */
    public SetCustomPropertyResponse createSetCustomPropertyResponse() {
        return new SetCustomPropertyResponse();
    }

    /**
     * Create an instance of {@link GetFileByGuidResponse }
     * 
     */
    public GetFileByGuidResponse createGetFileByGuidResponse() {
        return new GetFileByGuidResponse();
    }

    /**
     * Create an instance of {@link CreateCaseResponse }
     * 
     */
    public CreateCaseResponse createCreateCaseResponse() {
        return new CreateCaseResponse();
    }

    /**
     * Create an instance of {@link GetSystemMessagesResponse }
     * 
     */
    public GetSystemMessagesResponse createGetSystemMessagesResponse() {
        return new GetSystemMessagesResponse();
    }

    /**
     * Create an instance of {@link GetDeedTypesResponse }
     * 
     */
    public GetDeedTypesResponse createGetDeedTypesResponse() {
        return new GetDeedTypesResponse();
    }

    /**
     * Create an instance of {@link SetCaseHandlingOfficer }
     * 
     */
    public SetCaseHandlingOfficer createSetCaseHandlingOfficer() {
        return new SetCaseHandlingOfficer();
    }

    /**
     * Create an instance of {@link SetCaseHandlingOfficerResponse }
     * 
     */
    public SetCaseHandlingOfficerResponse createSetCaseHandlingOfficerResponse() {
        return new SetCaseHandlingOfficerResponse();
    }

    /**
     * Create an instance of {@link GetPriorities }
     * 
     */
    public GetPriorities createGetPriorities() {
        return new GetPriorities();
    }

    /**
     * Create an instance of {@link GetDeedByRefID }
     * 
     */
    public GetDeedByRefID createGetDeedByRefID() {
        return new GetDeedByRefID();
    }

    /**
     * Create an instance of {@link GetStatuses }
     * 
     */
    public GetStatuses createGetStatuses() {
        return new GetStatuses();
    }

    /**
     * Create an instance of {@link SetCaseStatus }
     * 
     */
    public SetCaseStatus createSetCaseStatus() {
        return new SetCaseStatus();
    }

    /**
     * Create an instance of {@link GetFileByRefIDResponse }
     * 
     */
    public GetFileByRefIDResponse createGetFileByRefIDResponse() {
        return new GetFileByRefIDResponse();
    }

    /**
     * Create an instance of {@link GetMediaTypes }
     * 
     */
    public GetMediaTypes createGetMediaTypes() {
        return new GetMediaTypes();
    }

    /**
     * Create an instance of {@link GetCaseByIdentifier }
     * 
     */
    public GetCaseByIdentifier createGetCaseByIdentifier() {
        return new GetCaseByIdentifier();
    }

    /**
     * Create an instance of {@link GetCasesByCounterpartSocialSecurityNumberResponse }
     * 
     */
    public GetCasesByCounterpartSocialSecurityNumberResponse createGetCasesByCounterpartSocialSecurityNumberResponse() {
        return new GetCasesByCounterpartSocialSecurityNumberResponse();
    }

    /**
     * Create an instance of {@link SetOrganisations }
     * 
     */
    public SetOrganisations createSetOrganisations() {
        return new SetOrganisations();
    }

    /**
     * Create an instance of {@link GetCase }
     * 
     */
    public GetCase createGetCase() {
        return new GetCase();
    }

    /**
     * Create an instance of {@link SetCaseCategory }
     * 
     */
    public SetCaseCategory createSetCaseCategory() {
        return new SetCaseCategory();
    }

    /**
     * Create an instance of {@link GetCaseTypes }
     * 
     */
    public GetCaseTypes createGetCaseTypes() {
        return new GetCaseTypes();
    }

    /**
     * Create an instance of {@link GetCasesByInboxGuidResponse }
     * 
     */
    public GetCasesByInboxGuidResponse createGetCasesByInboxGuidResponse() {
        return new GetCasesByInboxGuidResponse();
    }

    /**
     * Create an instance of {@link GetAnswerTypes }
     * 
     */
    public GetAnswerTypes createGetAnswerTypes() {
        return new GetAnswerTypes();
    }

    /**
     * Create an instance of {@link GetSystemMessages }
     * 
     */
    public GetSystemMessages createGetSystemMessages() {
        return new GetSystemMessages();
    }

    /**
     * Create an instance of {@link DistributeCase }
     * 
     */
    public DistributeCase createDistributeCase() {
        return new DistributeCase();
    }

    /**
     * Create an instance of {@link SetCustomPropertiesResponse }
     * 
     */
    public SetCustomPropertiesResponse createSetCustomPropertiesResponse() {
        return new SetCustomPropertiesResponse();
    }

    /**
     * Create an instance of {@link GetCaseTypesResponse }
     * 
     */
    public GetCaseTypesResponse createGetCaseTypesResponse() {
        return new GetCaseTypesResponse();
    }

    /**
     * Create an instance of {@link GetPrioritiesResponse }
     * 
     */
    public GetPrioritiesResponse createGetPrioritiesResponse() {
        return new GetPrioritiesResponse();
    }

    /**
     * Create an instance of {@link SetCaseCategoriesResponse }
     * 
     */
    public SetCaseCategoriesResponse createSetCaseCategoriesResponse() {
        return new SetCaseCategoriesResponse();
    }

    /**
     * Create an instance of {@link GetFileByRefID }
     * 
     */
    public GetFileByRefID createGetFileByRefID() {
        return new GetFileByRefID();
    }

    /**
     * Create an instance of {@link SetCustomProperty }
     * 
     */
    public SetCustomProperty createSetCustomProperty() {
        return new SetCustomProperty();
    }

    /**
     * Create an instance of {@link SetCaseIdentifier }
     * 
     */
    public SetCaseIdentifier createSetCaseIdentifier() {
        return new SetCaseIdentifier();
    }

    /**
     * Create an instance of {@link GetOrganisationsResponse }
     * 
     */
    public GetOrganisationsResponse createGetOrganisationsResponse() {
        return new GetOrganisationsResponse();
    }

    /**
     * Create an instance of {@link SetLocationResponse }
     * 
     */
    public SetLocationResponse createSetLocationResponse() {
        return new SetLocationResponse();
    }

    /**
     * Create an instance of {@link GetInboxes }
     * 
     */
    public GetInboxes createGetInboxes() {
        return new GetInboxes();
    }

    /**
     * Create an instance of {@link SetCaseCoordinates }
     * 
     */
    public SetCaseCoordinates createSetCaseCoordinates() {
        return new SetCaseCoordinates();
    }

    /**
     * Create an instance of {@link GetStatusesResponse }
     * 
     */
    public GetStatusesResponse createGetStatusesResponse() {
        return new GetStatusesResponse();
    }

    /**
     * Create an instance of {@link SearchDistributionListMembers }
     * 
     */
    public SearchDistributionListMembers createSearchDistributionListMembers() {
        return new SearchDistributionListMembers();
    }

    /**
     * Create an instance of {@link SearchRelatedCasesResponse }
     * 
     */
    public SearchRelatedCasesResponse createSearchRelatedCasesResponse() {
        return new SearchRelatedCasesResponse();
    }

    /**
     * Create an instance of {@link GetAnswerTypesResponse }
     * 
     */
    public GetAnswerTypesResponse createGetAnswerTypesResponse() {
        return new GetAnswerTypesResponse();
    }

    /**
     * Create an instance of {@link IsValidApiKeyResponse }
     * 
     */
    public IsValidApiKeyResponse createIsValidApiKeyResponse() {
        return new IsValidApiKeyResponse();
    }

    /**
     * Create an instance of {@link GetCasesByInboxGuid }
     * 
     */
    public GetCasesByInboxGuid createGetCasesByInboxGuid() {
        return new GetCasesByInboxGuid();
    }

    /**
     * Create an instance of {@link GetHandlingOfficers }
     * 
     */
    public GetHandlingOfficers createGetHandlingOfficers() {
        return new GetHandlingOfficers();
    }

    /**
     * Create an instance of {@link SetCustomProperties }
     * 
     */
    public SetCustomProperties createSetCustomProperties() {
        return new SetCustomProperties();
    }

    /**
     * Create an instance of {@link SetLocation }
     * 
     */
    public SetLocation createSetLocation() {
        return new SetLocation();
    }

    /**
     * Create an instance of {@link UpdateCaseResponse }
     * 
     */
    public UpdateCaseResponse createUpdateCaseResponse() {
        return new UpdateCaseResponse();
    }

    /**
     * Create an instance of {@link SetCasePriority }
     * 
     */
    public SetCasePriority createSetCasePriority() {
        return new SetCasePriority();
    }

    /**
     * Create an instance of {@link GetPreferedInboxGuid }
     * 
     */
    public GetPreferedInboxGuid createGetPreferedInboxGuid() {
        return new GetPreferedInboxGuid();
    }

    /**
     * Create an instance of {@link DistributeCaseResponse }
     * 
     */
    public DistributeCaseResponse createDistributeCaseResponse() {
        return new DistributeCaseResponse();
    }

    /**
     * Create an instance of {@link GetInboxesResponse }
     * 
     */
    public GetInboxesResponse createGetInboxesResponse() {
        return new GetInboxesResponse();
    }

    /**
     * Create an instance of {@link SetCaseStatusResponse }
     * 
     */
    public SetCaseStatusResponse createSetCaseStatusResponse() {
        return new SetCaseStatusResponse();
    }

    /**
     * Create an instance of {@link GetCasesByCounterpartSocialSecurityNumber }
     * 
     */
    public GetCasesByCounterpartSocialSecurityNumber createGetCasesByCounterpartSocialSecurityNumber() {
        return new GetCasesByCounterpartSocialSecurityNumber();
    }

    /**
     * Create an instance of {@link GetFile }
     * 
     */
    public GetFile createGetFile() {
        return new GetFile();
    }

    /**
     * Create an instance of {@link SetOrganisationsResponse }
     * 
     */
    public SetOrganisationsResponse createSetOrganisationsResponse() {
        return new SetOrganisationsResponse();
    }

    /**
     * Create an instance of {@link SetCaseCategoryResponse }
     * 
     */
    public SetCaseCategoryResponse createSetCaseCategoryResponse() {
        return new SetCaseCategoryResponse();
    }

    /**
     * Create an instance of {@link SetCaseCoordinatesResponse }
     * 
     */
    public SetCaseCoordinatesResponse createSetCaseCoordinatesResponse() {
        return new SetCaseCoordinatesResponse();
    }

    /**
     * Create an instance of {@link GetOrganisations }
     * 
     */
    public GetOrganisations createGetOrganisations() {
        return new GetOrganisations();
    }

    /**
     * Create an instance of {@link GetDeedByRefIDResponse }
     * 
     */
    public GetDeedByRefIDResponse createGetDeedByRefIDResponse() {
        return new GetDeedByRefIDResponse();
    }

    /**
     * Create an instance of {@link SearchRelatedCases }
     * 
     */
    public SearchRelatedCases createSearchRelatedCases() {
        return new SearchRelatedCases();
    }

    /**
     * Create an instance of {@link GetChecklistItems }
     * 
     */
    public GetChecklistItems createGetChecklistItems() {
        return new GetChecklistItems();
    }

    /**
     * Create an instance of {@link SetCaseDescription }
     * 
     */
    public SetCaseDescription createSetCaseDescription() {
        return new SetCaseDescription();
    }

    /**
     * Create an instance of {@link CreateDeed }
     * 
     */
    public CreateDeed createCreateDeed() {
        return new CreateDeed();
    }

    /**
     * Create an instance of {@link GetCaseByIdentifierResponse }
     * 
     */
    public GetCaseByIdentifierResponse createGetCaseByIdentifierResponse() {
        return new GetCaseByIdentifierResponse();
    }

    /**
     * Create an instance of {@link SetCasePriorityResponse }
     * 
     */
    public SetCasePriorityResponse createSetCasePriorityResponse() {
        return new SetCasePriorityResponse();
    }

    /**
     * Create an instance of {@link GetDeedResponse }
     * 
     */
    public GetDeedResponse createGetDeedResponse() {
        return new GetDeedResponse();
    }

    /**
     * Create an instance of {@link GetChecklistItemsResponse }
     * 
     */
    public GetChecklistItemsResponse createGetChecklistItemsResponse() {
        return new GetChecklistItemsResponse();
    }

    /**
     * Create an instance of {@link GetDeedTypes }
     * 
     */
    public GetDeedTypes createGetDeedTypes() {
        return new GetDeedTypes();
    }

    /**
     * Create an instance of {@link SetCaseDescriptionResponse }
     * 
     */
    public SetCaseDescriptionResponse createSetCaseDescriptionResponse() {
        return new SetCaseDescriptionResponse();
    }

}
