<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:variable name="java.i18nUserBookingModuleAlias">Adress till Mina bokningar</xsl:variable>
	<xsl:variable name="java.i18nUserBookingModuleAliasDescription">Den kompletta url:en till Mina bokningar fr denna profil</xsl:variable>
	<xsl:variable name="java.i18nBookingSlotAdminModuleAlias">Adress till bokningsadministrationen</xsl:variable>
	<xsl:variable name="java.i18nBookingSlotAdminModuleAliasDescription">Den kompletta url:en till bokningsadministrationen fr denna profil</xsl:variable>
	
	<xsl:variable name="java.manualEntranceSMS">Du har ftt en tid fr $calendar.name vid $bookingSlot.start</xsl:variable>
	<xsl:variable name="java.manualEntranceEmailSubject">Du har ftt en tid fr $calendar.name vid $bookingSlot.start</xsl:variable>
	<xsl:variable name="java.manualEntranceEmailMessage">
	
		&lt;p&gt;Hej $contact.firstname,&lt;/p&gt;
		
		&lt;p&gt;Hr kommer en bekrftelse p att du ftt en tid fr $calendar.name vid $bookingSlot.start.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	<xsl:variable name="java.manualEntranceManagerEmailSubject">Ny bokning fr $calendar.name vid $bookingSlot.start</xsl:variable>
	<xsl:variable name="java.manualEntranceManagerEmailMessage">
	
		&lt;p&gt;Hej $manager.firstname,&lt;/p&gt;
		
		&lt;p&gt;Det finns en ny bokning av $calendar.name (tid $bookingSlot.start).&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="java.manualReminderSMS">Du har en tid bokad fr $calendar.name vid $bookingSlot.start</xsl:variable>
	<xsl:variable name="java.manualReminderEmailSubject">Du har en tid bokad fr $calendar.name vid $bookingSlot.start</xsl:variable>
	<xsl:variable name="java.manualReminderEmailMessage">
	
		&lt;p&gt;Hej $contact.firstname,&lt;/p&gt; 
		
		&lt;p&gt;Hr kommer en pminnelse om att du har en tid fr $calendar.name vid $bookingSlot.start.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="java.externalMessageReceivedUserSMS">Du har ftt ett nytt meddelande kopplat till din bokning av $calendar.name</xsl:variable>
	<xsl:variable name="java.externalMessageReceivedUserEmailSubject">Nytt meddelande kopplat till din bokning av $calendar.name</xsl:variable>
	<xsl:variable name="java.externalMessageReceivedUserEmailMessage">
	
		&lt;p&gt;Hej $contact.firstname,&lt;/p&gt;
		
		&lt;p&gt;Du har ftt ett nytt meddelande kopplat till din bokning av $calendar.name.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
	
	</xsl:variable>
	
	<xsl:variable name="java.externalMessageReceivedManagerEmailSubject">Nytt meddelande kopplat till bokning av $calendar.name (tid $bookingSlot.start)</xsl:variable>
	<xsl:variable name="java.externalMessageReceivedManagerEmailMessage">
	
		&lt;p&gt;Hej $manager.firstname,&lt;/p&gt;
		
		&lt;p&gt;Du har ftt ett nytt meddelande kopplat till en bokning av $calendar.name (tid $bookingSlot.start).&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
	
	</xsl:variable>
	
	<xsl:variable name="java.externalMessageReceivedGlobalEmailSubject">Nytt meddelande kopplat till bokning av $calendar.name (tid $bookingSlot.start)</xsl:variable>
	<xsl:variable name="java.externalMessageReceivedGlobalEmailMessage">
	
		&lt;p&gt;Hej,&lt;/p&gt;
		
		&lt;p&gt;Ett nytt meddelande har skickats in kopplat till en bokning av $calendar.name (tid $bookingSlot.start).&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
	
	</xsl:variable>
	
	<xsl:variable name="java.reminderSMS">Glm inte din bokning av $calendar.name den $bookingSlot.start</xsl:variable>
	
	<xsl:variable name="java.exitUserSMS">Din bokning av $calendar.name vid $bookingSlot.start r nu avbokad.</xsl:variable>
	<xsl:variable name="java.exitUserEmailSubject">Avbokad tid av $calendar.name</xsl:variable>
	<xsl:variable name="java.exitUserEmailMessage">
	
		&lt;p&gt;Hej $contact.firstname,&lt;/p&gt;
		
		&lt;p&gt;Din bokning av $calendar.name vid $bookingSlot.start r nu avbokad.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="java.rebookedUserSMS">Din bokning av $calendar.name vid $bookingSlotOld.start r nu ndrad till $bookingSlot.start.</xsl:variable>
	<xsl:variable name="java.rebookedUserEmailSubject">ndrad tid av $calendar.name</xsl:variable>
	<xsl:variable name="java.rebookedUserEmailMessage">
	
		&lt;p&gt;Hej $contact.firstname,&lt;/p&gt;
		
		&lt;p&gt;Din bokning av $calendar.name vid $bookingSlotOld.start r nu ndrad till $bookingSlot.start.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="java.bookingSlotRebookedUserSMS">Din bokning av $calendar.name vid $bookingSlotOld.start - $bookingSlotOld.end r nu ndrad till $bookingSlot.start - $bookingSlot.end.</xsl:variable>
	<xsl:variable name="java.bookingSlotRebookedUserEmailSubject">ndrad tid av $calendar.name</xsl:variable>
	<xsl:variable name="java.bookingSlotRebookedUserEmailMessage">
	
		&lt;p&gt;Hej $contact.firstname,&lt;/p&gt;
		
		&lt;p&gt;Din bokning av $calendar.name vid $bookingSlotOld.start - $bookingSlotOld.end r nu ndrad till $bookingSlot.start - $bookingSlot.end.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="java.bookingSlotDeletedUserSMS">Din bokning av $calendar.name vid $bookingSlot.start r nu avbokad.</xsl:variable>
	<xsl:variable name="java.bookingSlotDeletedUserEmailSubject">Avbokad tid av $calendar.name</xsl:variable>
	<xsl:variable name="java.bookingSlotDeletedUserEmailMessage">
	
		&lt;p&gt;Hej $contact.firstname,&lt;/p&gt;
		
		&lt;p&gt;Din bokning av $calendar.name vid $bookingSlot.start r nu avbokad.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
		
	<xsl:variable name="java.exitManagerEmailSubject">Avbokning av $calendar.name (tid $bookingSlot.start)</xsl:variable>
	<xsl:variable name="java.exitManagerEmailMessage">
	
		&lt;p&gt;Hej $manager.firstname,&lt;/p&gt;
		
		&lt;p&gt;En bokning av $calendar.name vid $bookingSlot.start r avbokad.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
	
	</xsl:variable>
	
	<xsl:variable name="java.exitGlobalEmailSubject">Avbokad tid av $calendar.name</xsl:variable>
	<xsl:variable name="java.exitGlobalEmailMessage">
	
		&lt;p&gt;Hej,&lt;/p&gt;
		
		&lt;p&gt;En bokning av $calendar.name vid $bookingSlot.start r avbokad.&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
	
	</xsl:variable>
	
	<xsl:variable name="java.rebookedManagerEmailSubject">Ombokning av $calendar.name (frn tid $bookingSlotOld.start till $bookingSlot.start)</xsl:variable>
	<xsl:variable name="java.rebookedManagerEmailMessage">
	
		&lt;p&gt;Hej,&lt;/p&gt;
		
		&lt;p&gt;$contact.firstname $contact.lastname har bokat om sin tid i $calendar.name frn $bookingSlotOld.start (handlggare $managersOld) till $bookingSlot.start (handlggare $managersNew).&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
	
	</xsl:variable>
	
	<xsl:variable name="java.rebookedGlobalEmailSubject">Ombokad tid av $calendar.name</xsl:variable>
	<xsl:variable name="java.rebookedGlobalEmailMessage">
	
		&lt;p&gt;Hej,&lt;/p&gt;
		
		&lt;p&gt;$contact.firstname $contact.lastname har bokat om sin tid i $calendar.name frn $bookingSlotOld.start (handlggare $managersOld) till $bookingSlot.start (handlggare $managersNew).&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa bokningen:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$booking.url"&gt;$booking.url&lt;/a&gt;
		&lt;/p&gt;
	
	</xsl:variable>

</xsl:stylesheet>
