package com.nordicpeak.flowengine.booking.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.booking.beans.Booking;

@XMLElement(name = "validationError")
public class InvalidRecipientPhoneNumberValidationError extends ValidationError {

	private static final long serialVersionUID = 7843171463780051247L;

	@XMLElement
	private Booking slot;

	@XMLElement
	private String phoneNumber;

	public InvalidRecipientPhoneNumberValidationError(Booking slot, String phoneNumber) {

		super("InvalidRecipientPhoneNumber");

		this.slot = slot;
		this.phoneNumber = phoneNumber;
	}

	public Booking getSlot() {

		return slot;
	}
}
