package com.nordicpeak.flowengine.integration.efecte.beans;

import se.unlogic.standardutils.dao.annotations.DAOManaged;
import se.unlogic.standardutils.dao.annotations.ManyToOne;
import se.unlogic.standardutils.dao.annotations.Table;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.integration.base.beans.BaseIntegrationParameter;

@Table(name = "efecte_integration_parameters")
@XMLElement
public class IntegrationParameter extends BaseIntegrationParameter {

	@DAOManaged
	@XMLElement
	private boolean splitValue;

	@DAOManaged(columnName = "flowFamilyID")
	@ManyToOne
	private IntegrationSettings settings;

	public boolean isSplitValue() {

		return splitValue;
	}

	public void setSplitValue(boolean splitValue) {

		this.splitValue = splitValue;
	}

	public IntegrationSettings getSettings() {

		return settings;
	}

	public void setSettings(IntegrationSettings settings) {

		this.settings = settings;
	}
}
