
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution.DirectionStatus;


/**
 * <p>Java class for DocumentDetails complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DocumentDetails">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ActivityProcessDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}ActivityProcessDetails" minOccurs="0"/>
 *         &lt;element name="ActivityProcessId" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid" minOccurs="0"/>
 *         &lt;element name="CaseNumber" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="CaseYear" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ClosedDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="ContactDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}ContactDetails" minOccurs="0"/>
 *         &lt;element name="CreateDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="CreatedBy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CustomerDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}CustomerDetails" minOccurs="0"/>
 *         &lt;element name="DecisionAuthorityDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}DecisionAuthorityDetails" minOccurs="0"/>
 *         &lt;element name="DecisionAuthorityId" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="DecisionParagraph" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DepartmentDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}DepartmentDetails" minOccurs="0"/>
 *         &lt;element name="Departmentid" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DiaryNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DirectionStatus" type="{http://schemas.datacontract.org/2004/07/Evolution.Common}DirectionStatus" minOccurs="0"/>
 *         &lt;element name="DocId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DocumentContactDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}ArrayOfContactDetails" minOccurs="0"/>
 *         &lt;element name="DocumentTypeCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DocumentTypeDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}DocumentTypeDetails" minOccurs="0"/>
 *         &lt;element name="ExternalCaseNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FileDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}FileDetails" minOccurs="0"/>
 *         &lt;element name="FileVersion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Id" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid" minOccurs="0"/>
 *         &lt;element name="MeetingDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="Note" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Number" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="RegisteredDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="Responsible" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ResponsibleDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}ResponsibleDetails" minOccurs="0"/>
 *         &lt;element name="Secrecy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="UnitCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="UpdateDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="Year" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DocumentDetails", propOrder = {
    "activityProcessDetails",
    "activityProcessId",
    "caseNumber",
    "caseYear",
    "closedDate",
    "contactDetails",
    "createDate",
    "createdBy",
    "customerDetails",
    "decisionAuthorityDetails",
    "decisionAuthorityId",
    "decisionParagraph",
    "departmentDetails",
    "departmentid",
    "description",
    "diaryNumber",
    "directionStatus",
    "docId",
    "documentContactDetails",
    "documentTypeCode",
    "documentTypeDetails",
    "externalCaseNumber",
    "fileDetails",
    "fileVersion",
    "id",
    "meetingDate",
    "note",
    "number",
    "registeredDate",
    "responsible",
    "responsibleDetails",
    "secrecy",
    "serviceName",
    "unitCode",
    "updateDate",
    "year"
})
public class DocumentDetails {

    @XmlElement(name = "ActivityProcessDetails", nillable = true)
    protected ActivityProcessDetails activityProcessDetails;
    @XmlElement(name = "ActivityProcessId")
    protected String activityProcessId;
    @XmlElement(name = "CaseNumber", nillable = true)
    protected Integer caseNumber;
    @XmlElement(name = "CaseYear", nillable = true)
    protected String caseYear;
    @XmlElement(name = "ClosedDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar closedDate;
    @XmlElement(name = "ContactDetails", nillable = true)
    protected ContactDetails contactDetails;
    @XmlElement(name = "CreateDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar createDate;
    @XmlElement(name = "CreatedBy", nillable = true)
    protected String createdBy;
    @XmlElement(name = "CustomerDetails", nillable = true)
    protected CustomerDetails customerDetails;
    @XmlElement(name = "DecisionAuthorityDetails", nillable = true)
    protected DecisionAuthorityDetails decisionAuthorityDetails;
    @XmlElement(name = "DecisionAuthorityId", nillable = true)
    protected Integer decisionAuthorityId;
    @XmlElement(name = "DecisionParagraph", nillable = true)
    protected String decisionParagraph;
    @XmlElement(name = "DepartmentDetails", nillable = true)
    protected DepartmentDetails departmentDetails;
    @XmlElement(name = "Departmentid", nillable = true)
    protected Integer departmentid;
    @XmlElement(name = "Description", nillable = true)
    protected String description;
    @XmlElement(name = "DiaryNumber", nillable = true)
    protected String diaryNumber;
    @XmlElement(name = "DirectionStatus", nillable = true)
    @XmlSchemaType(name = "string")
    protected DirectionStatus directionStatus;
    @XmlElement(name = "DocId", nillable = true)
    protected String docId;
    @XmlElement(name = "DocumentContactDetails", nillable = true)
    protected ArrayOfContactDetails documentContactDetails;
    @XmlElement(name = "DocumentTypeCode", nillable = true)
    protected String documentTypeCode;
    @XmlElement(name = "DocumentTypeDetails", nillable = true)
    protected DocumentTypeDetails documentTypeDetails;
    @XmlElement(name = "ExternalCaseNumber", nillable = true)
    protected String externalCaseNumber;
    @XmlElement(name = "FileDetails", nillable = true)
    protected FileDetails fileDetails;
    @XmlElement(name = "FileVersion", nillable = true)
    protected String fileVersion;
    @XmlElement(name = "Id")
    protected String id;
    @XmlElement(name = "MeetingDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar meetingDate;
    @XmlElement(name = "Note", nillable = true)
    protected String note;
    @XmlElement(name = "Number", nillable = true)
    protected Integer number;
    @XmlElement(name = "RegisteredDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar registeredDate;
    @XmlElement(name = "Responsible", nillable = true)
    protected String responsible;
    @XmlElement(name = "ResponsibleDetails", nillable = true)
    protected ResponsibleDetails responsibleDetails;
    @XmlElement(name = "Secrecy", nillable = true)
    protected String secrecy;
    @XmlElement(name = "ServiceName", nillable = true)
    protected String serviceName;
    @XmlElement(name = "UnitCode", nillable = true)
    protected String unitCode;
    @XmlElement(name = "UpdateDate", nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar updateDate;
    @XmlElement(name = "Year", nillable = true)
    protected String year;

    /**
     * Gets the value of the activityProcessDetails property.
     * 
     * @return
     *     possible object is
     *     {@link ActivityProcessDetails }
     *     
     */
    public ActivityProcessDetails getActivityProcessDetails() {
        return activityProcessDetails;
    }

    /**
     * Sets the value of the activityProcessDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link ActivityProcessDetails }
     *     
     */
    public void setActivityProcessDetails(ActivityProcessDetails value) {
        this.activityProcessDetails = value;
    }

    /**
     * Gets the value of the activityProcessId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getActivityProcessId() {
        return activityProcessId;
    }

    /**
     * Sets the value of the activityProcessId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setActivityProcessId(String value) {
        this.activityProcessId = value;
    }

    /**
     * Gets the value of the caseNumber property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getCaseNumber() {
        return caseNumber;
    }

    /**
     * Sets the value of the caseNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setCaseNumber(Integer value) {
        this.caseNumber = value;
    }

    /**
     * Gets the value of the caseYear property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCaseYear() {
        return caseYear;
    }

    /**
     * Sets the value of the caseYear property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCaseYear(String value) {
        this.caseYear = value;
    }

    /**
     * Gets the value of the closedDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getClosedDate() {
        return closedDate;
    }

    /**
     * Sets the value of the closedDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setClosedDate(XMLGregorianCalendar value) {
        this.closedDate = value;
    }

    /**
     * Gets the value of the contactDetails property.
     * 
     * @return
     *     possible object is
     *     {@link ContactDetails }
     *     
     */
    public ContactDetails getContactDetails() {
        return contactDetails;
    }

    /**
     * Sets the value of the contactDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContactDetails }
     *     
     */
    public void setContactDetails(ContactDetails value) {
        this.contactDetails = value;
    }

    /**
     * Gets the value of the createDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getCreateDate() {
        return createDate;
    }

    /**
     * Sets the value of the createDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setCreateDate(XMLGregorianCalendar value) {
        this.createDate = value;
    }

    /**
     * Gets the value of the createdBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the value of the createdBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreatedBy(String value) {
        this.createdBy = value;
    }

    /**
     * Gets the value of the customerDetails property.
     * 
     * @return
     *     possible object is
     *     {@link CustomerDetails }
     *     
     */
    public CustomerDetails getCustomerDetails() {
        return customerDetails;
    }

    /**
     * Sets the value of the customerDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link CustomerDetails }
     *     
     */
    public void setCustomerDetails(CustomerDetails value) {
        this.customerDetails = value;
    }

    /**
     * Gets the value of the decisionAuthorityDetails property.
     * 
     * @return
     *     possible object is
     *     {@link DecisionAuthorityDetails }
     *     
     */
    public DecisionAuthorityDetails getDecisionAuthorityDetails() {
        return decisionAuthorityDetails;
    }

    /**
     * Sets the value of the decisionAuthorityDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link DecisionAuthorityDetails }
     *     
     */
    public void setDecisionAuthorityDetails(DecisionAuthorityDetails value) {
        this.decisionAuthorityDetails = value;
    }

    /**
     * Gets the value of the decisionAuthorityId property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDecisionAuthorityId() {
        return decisionAuthorityId;
    }

    /**
     * Sets the value of the decisionAuthorityId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDecisionAuthorityId(Integer value) {
        this.decisionAuthorityId = value;
    }

    /**
     * Gets the value of the decisionParagraph property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDecisionParagraph() {
        return decisionParagraph;
    }

    /**
     * Sets the value of the decisionParagraph property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDecisionParagraph(String value) {
        this.decisionParagraph = value;
    }

    /**
     * Gets the value of the departmentDetails property.
     * 
     * @return
     *     possible object is
     *     {@link DepartmentDetails }
     *     
     */
    public DepartmentDetails getDepartmentDetails() {
        return departmentDetails;
    }

    /**
     * Sets the value of the departmentDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link DepartmentDetails }
     *     
     */
    public void setDepartmentDetails(DepartmentDetails value) {
        this.departmentDetails = value;
    }

    /**
     * Gets the value of the departmentid property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDepartmentid() {
        return departmentid;
    }

    /**
     * Sets the value of the departmentid property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDepartmentid(Integer value) {
        this.departmentid = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the diaryNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDiaryNumber() {
        return diaryNumber;
    }

    /**
     * Sets the value of the diaryNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDiaryNumber(String value) {
        this.diaryNumber = value;
    }

    /**
     * Gets the value of the directionStatus property.
     * 
     * @return
     *     possible object is
     *     {@link DirectionStatus }
     *     
     */
    public DirectionStatus getDirectionStatus() {
        return directionStatus;
    }

    /**
     * Sets the value of the directionStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link DirectionStatus }
     *     
     */
    public void setDirectionStatus(DirectionStatus value) {
        this.directionStatus = value;
    }

    /**
     * Gets the value of the docId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDocId() {
        return docId;
    }

    /**
     * Sets the value of the docId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDocId(String value) {
        this.docId = value;
    }

    /**
     * Gets the value of the documentContactDetails property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfContactDetails }
     *     
     */
    public ArrayOfContactDetails getDocumentContactDetails() {
        return documentContactDetails;
    }

    /**
     * Sets the value of the documentContactDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfContactDetails }
     *     
     */
    public void setDocumentContactDetails(ArrayOfContactDetails value) {
        this.documentContactDetails = value;
    }

    /**
     * Gets the value of the documentTypeCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDocumentTypeCode() {
        return documentTypeCode;
    }

    /**
     * Sets the value of the documentTypeCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDocumentTypeCode(String value) {
        this.documentTypeCode = value;
    }

    /**
     * Gets the value of the documentTypeDetails property.
     * 
     * @return
     *     possible object is
     *     {@link DocumentTypeDetails }
     *     
     */
    public DocumentTypeDetails getDocumentTypeDetails() {
        return documentTypeDetails;
    }

    /**
     * Sets the value of the documentTypeDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link DocumentTypeDetails }
     *     
     */
    public void setDocumentTypeDetails(DocumentTypeDetails value) {
        this.documentTypeDetails = value;
    }

    /**
     * Gets the value of the externalCaseNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExternalCaseNumber() {
        return externalCaseNumber;
    }

    /**
     * Sets the value of the externalCaseNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExternalCaseNumber(String value) {
        this.externalCaseNumber = value;
    }

    /**
     * Gets the value of the fileDetails property.
     * 
     * @return
     *     possible object is
     *     {@link FileDetails }
     *     
     */
    public FileDetails getFileDetails() {
        return fileDetails;
    }

    /**
     * Sets the value of the fileDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link FileDetails }
     *     
     */
    public void setFileDetails(FileDetails value) {
        this.fileDetails = value;
    }

    /**
     * Gets the value of the fileVersion property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFileVersion() {
        return fileVersion;
    }

    /**
     * Sets the value of the fileVersion property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFileVersion(String value) {
        this.fileVersion = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the meetingDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getMeetingDate() {
        return meetingDate;
    }

    /**
     * Sets the value of the meetingDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setMeetingDate(XMLGregorianCalendar value) {
        this.meetingDate = value;
    }

    /**
     * Gets the value of the note property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNote() {
        return note;
    }

    /**
     * Sets the value of the note property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNote(String value) {
        this.note = value;
    }

    /**
     * Gets the value of the number property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getNumber() {
        return number;
    }

    /**
     * Sets the value of the number property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setNumber(Integer value) {
        this.number = value;
    }

    /**
     * Gets the value of the registeredDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getRegisteredDate() {
        return registeredDate;
    }

    /**
     * Sets the value of the registeredDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setRegisteredDate(XMLGregorianCalendar value) {
        this.registeredDate = value;
    }

    /**
     * Gets the value of the responsible property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getResponsible() {
        return responsible;
    }

    /**
     * Sets the value of the responsible property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setResponsible(String value) {
        this.responsible = value;
    }

    /**
     * Gets the value of the responsibleDetails property.
     * 
     * @return
     *     possible object is
     *     {@link ResponsibleDetails }
     *     
     */
    public ResponsibleDetails getResponsibleDetails() {
        return responsibleDetails;
    }

    /**
     * Sets the value of the responsibleDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link ResponsibleDetails }
     *     
     */
    public void setResponsibleDetails(ResponsibleDetails value) {
        this.responsibleDetails = value;
    }

    /**
     * Gets the value of the secrecy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSecrecy() {
        return secrecy;
    }

    /**
     * Sets the value of the secrecy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSecrecy(String value) {
        this.secrecy = value;
    }

    /**
     * Gets the value of the serviceName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getServiceName() {
        return serviceName;
    }

    /**
     * Sets the value of the serviceName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setServiceName(String value) {
        this.serviceName = value;
    }

    /**
     * Gets the value of the unitCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUnitCode() {
        return unitCode;
    }

    /**
     * Sets the value of the unitCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUnitCode(String value) {
        this.unitCode = value;
    }

    /**
     * Gets the value of the updateDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getUpdateDate() {
        return updateDate;
    }

    /**
     * Sets the value of the updateDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setUpdateDate(XMLGregorianCalendar value) {
        this.updateDate = value;
    }

    /**
     * Gets the value of the year property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getYear() {
        return year;
    }

    /**
     * Sets the value of the year property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setYear(String value) {
        this.year = value;
    }

}
