
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservices;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.datacontract.schemas._2004._07.evolution_eservices package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _OrderBoardMeetingAgendasBy_QNAME = new QName("http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts", "OrderBoardMeetingAgendasBy");
    private final static QName _OrderBoardsBy_QNAME = new QName("http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts", "OrderBoardsBy");
    private final static QName _OrderBoardMeetingsBy_QNAME = new QName("http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts", "OrderBoardMeetingsBy");
    private final static QName _DefaultDistributionType_QNAME = new QName("http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts", "DefaultDistributionType");
    private final static QName _DecisionAuthorityDetails_QNAME = new QName("http://schemas.datacontract.org/2004/07/Evolution.EServices.DataAccess", "DecisionAuthorityDetails");
    private final static QName _OrderCaseDocumentsBy_QNAME = new QName("http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts", "OrderCaseDocumentsBy");
    private final static QName _OrderCasesBy_QNAME = new QName("http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts", "OrderCasesBy");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.datacontract.schemas._2004._07.evolution_eservices
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DecisionAuthorityDetails }
     * 
     */
    public DecisionAuthorityDetails createDecisionAuthorityDetails() {
        return new DecisionAuthorityDetails();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrderBoardMeetingAgendasBy }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts", name = "OrderBoardMeetingAgendasBy")
    public JAXBElement<OrderBoardMeetingAgendasBy> createOrderBoardMeetingAgendasBy(OrderBoardMeetingAgendasBy value) {
        return new JAXBElement<OrderBoardMeetingAgendasBy>(_OrderBoardMeetingAgendasBy_QNAME, OrderBoardMeetingAgendasBy.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrderBoardsBy }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts", name = "OrderBoardsBy")
    public JAXBElement<OrderBoardsBy> createOrderBoardsBy(OrderBoardsBy value) {
        return new JAXBElement<OrderBoardsBy>(_OrderBoardsBy_QNAME, OrderBoardsBy.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrderBoardMeetingsBy }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts", name = "OrderBoardMeetingsBy")
    public JAXBElement<OrderBoardMeetingsBy> createOrderBoardMeetingsBy(OrderBoardMeetingsBy value) {
        return new JAXBElement<OrderBoardMeetingsBy>(_OrderBoardMeetingsBy_QNAME, OrderBoardMeetingsBy.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DefaultDistributionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts", name = "DefaultDistributionType")
    public JAXBElement<DefaultDistributionType> createDefaultDistributionType(DefaultDistributionType value) {
        return new JAXBElement<DefaultDistributionType>(_DefaultDistributionType_QNAME, DefaultDistributionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DecisionAuthorityDetails }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.datacontract.org/2004/07/Evolution.EServices.DataAccess", name = "DecisionAuthorityDetails")
    public JAXBElement<DecisionAuthorityDetails> createDecisionAuthorityDetails(DecisionAuthorityDetails value) {
        return new JAXBElement<DecisionAuthorityDetails>(_DecisionAuthorityDetails_QNAME, DecisionAuthorityDetails.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrderCaseDocumentsBy }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts", name = "OrderCaseDocumentsBy")
    public JAXBElement<OrderCaseDocumentsBy> createOrderCaseDocumentsBy(OrderCaseDocumentsBy value) {
        return new JAXBElement<OrderCaseDocumentsBy>(_OrderCaseDocumentsBy_QNAME, OrderCaseDocumentsBy.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrderCasesBy }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts", name = "OrderCasesBy")
    public JAXBElement<OrderCasesBy> createOrderCasesBy(OrderCasesBy value) {
        return new JAXBElement<OrderCasesBy>(_OrderCasesBy_QNAME, OrderCasesBy.class, null, value);
    }

}
