
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservices;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrderBoardMeetingsBy.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="OrderBoardMeetingsBy">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="MeetingDateAsc"/>
 *     &lt;enumeration value="MeetingDateDesc"/>
 *     &lt;enumeration value="LocationAsc"/>
 *     &lt;enumeration value="LocationDesc"/>
 *     &lt;enumeration value="ChairmanAsc"/>
 *     &lt;enumeration value="ChairmanDesc"/>
 *     &lt;enumeration value="Unsorted"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "OrderBoardMeetingsBy", namespace = "http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts")
@XmlEnum
public enum OrderBoardMeetingsBy {

    @XmlEnumValue("MeetingDateAsc")
    MEETING_DATE_ASC("MeetingDateAsc"),
    @XmlEnumValue("MeetingDateDesc")
    MEETING_DATE_DESC("MeetingDateDesc"),
    @XmlEnumValue("LocationAsc")
    LOCATION_ASC("LocationAsc"),
    @XmlEnumValue("LocationDesc")
    LOCATION_DESC("LocationDesc"),
    @XmlEnumValue("ChairmanAsc")
    CHAIRMAN_ASC("ChairmanAsc"),
    @XmlEnumValue("ChairmanDesc")
    CHAIRMAN_DESC("ChairmanDesc"),
    @XmlEnumValue("Unsorted")
    UNSORTED("Unsorted");
    private final String value;

    OrderBoardMeetingsBy(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static OrderBoardMeetingsBy fromValue(String v) {
        for (OrderBoardMeetingsBy c: OrderBoardMeetingsBy.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
