package com.nordicpeak.flowengine.flowinstanceadmin2.flexjson;

import java.lang.reflect.Type;

import com.nordicpeak.flowengine.flowinstanceadmin2.enums.TableSettingColumnType;

import flexjson.JSONException;
import flexjson.ObjectBinder;
import flexjson.factories.EnumObjectFactory;

public class TableSettingColumnTypeObjectFactory extends EnumObjectFactory {

	@SuppressWarnings("rawtypes")
	@Override
	public Object instantiate(ObjectBinder context, Object value, Type targetType, Class targetClass) {

		if (value instanceof String) {

			String name = (String) value;

			TableSettingColumnType rowType = TableSettingColumnType.fromName(name);

			if (rowType != null) {

				return rowType;
			}
		}

		throw new JSONException("Invalid TableSettingColumnType name: " + value);
	}

}
