<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:import href="classpath://com/nordicpeak/flowengine/BaseFlowModule.sv.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="FlowInstanceExcelExporterModuleTemplates.xsl"/>
	
	<xsl:variable name="java.queryNotSupported">Frgan stds ej.</xsl:variable>
	<xsl:variable name="java.status">Status</xsl:variable>
	<xsl:variable name="java.lastStatusChange">Senaste statusndring</xsl:variable>
	<xsl:variable name="java.externalFlowID">Externt rende-ID</xsl:variable>
	<xsl:variable name="java.description">Beskrivning</xsl:variable>
	<xsl:variable name="java.submitted">Inskickat</xsl:variable>
	<xsl:variable name="java.siteProfile">Kommun</xsl:variable>
	<xsl:variable name="java.managers">Handlggare</xsl:variable>
	<xsl:variable name="java.anonymousSubmitter">Anonym anvndare</xsl:variable>
	<xsl:variable name="java.buttonName">Exportera till Excel</xsl:variable>
	<xsl:variable name="java.buttonTitle">Exportera valda renden till Excel. Om inget rende r valt ppnas avancerade export vyn.</xsl:variable>
	<xsl:variable name="java.queryTypeMissing">Kan inte exportera den hr versionen, frgetyp saknas:</xsl:variable>
	<xsl:variable name="java.flowAdminExtensionViewTitle">Instllningar fr Excel-export av renden</xsl:variable>
	<xsl:variable name="java.exportedFileName">Export av $numberOfExportedFlows e-tjnster</xsl:variable>
	
	<xsl:variable name="i18n.flowName">E-tjnst</xsl:variable>
		
	<xsl:variable name="i18n.Flowslist.title">Exportera renden till Excel</xsl:variable>
	<xsl:variable name="i18n.Flowlist.description">Nedan visas samtliga e-tjnster som du har behrighet att komma t.</xsl:variable>
	<xsl:variable name="i18n.Filter">Filtrera e-tjnster</xsl:variable>
	
	<xsl:variable name="i18n.flowType">Kategori</xsl:variable>
	<xsl:variable name="i18n.steps">Steg</xsl:variable>
	<xsl:variable name="i18n.queries">Frgor</xsl:variable>
	<xsl:variable name="i18n.SubmittedInstances">Insk. renden</xsl:variable>
	<xsl:variable name="i18n.NotSubmittedInstances">Ej insk. renden</xsl:variable>
	<xsl:variable name="i18n.status">Status</xsl:variable>
	<xsl:variable name="i18n.noFlowsFound">Inga e-tjnster hittades.</xsl:variable>
	<xsl:variable name="i18n.disabled">Inaktiverad</xsl:variable>
	<xsl:variable name="i18n.published">Publicerad</xsl:variable>
	<xsl:variable name="i18n.notPublished">Ej publicerad</xsl:variable>
	<xsl:variable name="i18n.name">Namn</xsl:variable>

	<xsl:variable name="i18n.versions">Versioner</xsl:variable>
	<xsl:variable name="i18n.version.title">Version</xsl:variable>
	<xsl:variable name="i18n.versions.description">Tabellen nedan visar samtliga versioner av denna e-tjnst. Markera de versioner som du vill exportera renden frn. Det gr inte att exportera renden frn inaktiverade versioner. renden som sparats men inte skickats in exkluderas automatisk vid export.</xsl:variable>
	
	<xsl:variable name="i18n.ExportFlowInstancesAsExcel">Exportera renden till Excel</xsl:variable>
	<xsl:variable name="i18n.FlowFamilyNotFound">Den begrda e-tjnsten hittades inte.</xsl:variable>
	<xsl:variable name="i18n.FlowFamilyAccessDenied">Du har inte behrighet att komma t den begrda e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.NoFlowVersionsSelected">Du mste vlja minst en version.</xsl:variable>
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	
	<xsl:variable name="i18n.fromDate">Frn</xsl:variable>
	<xsl:variable name="i18n.toDate">Till</xsl:variable>
	
	<xsl:variable name="i18n.ExportProgress.title.working">Exporterar...</xsl:variable>
	<xsl:variable name="i18n.ExportProgress.title.done">Export klar</xsl:variable>
	<xsl:variable name="i18n.ExportProgress.total">Totalt</xsl:variable>
	<xsl:variable name="i18n.ExportProgress.flowInstance">rende</xsl:variable>
	<xsl:variable name="i18n.ExportProgress.of">av</xsl:variable>
	<xsl:variable name="i18n.ExportProgress.Close">Stng</xsl:variable>
	
	<xsl:variable name="i18n.validation.unknownFault" select="'Ett oknt valideringsfel har uppsttt.'"/>
	<xsl:variable name="i18n.validation.unknownError" select="'Oknt fel p fltet:'"/>
	<xsl:variable name="i18n.validation.requiredField" select="'Du mste fylla i fltet:'"/>
	<xsl:variable name="i18n.validation.invalidFormat" select="'Felaktigt format p fltet:'"/>
	<xsl:variable name="i18n.validation.tooShort" select="'Fr kort innehll i fltet:'"/>
	<xsl:variable name="i18n.validation.tooLong" select="'Fr lngt innehll i fltet:'"/>
	
	<xsl:variable name="i18n.NothingSelected">Du mste markera tminstone ett rende.</xsl:variable>
	<xsl:variable name="i18n.MultipleFlowsSelected">Du fr endast vlja en version i taget.</xsl:variable>
	
	<xsl:variable name="i18n.ExportSettings.Enabled">Aktivera</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.HideQueryColumns">Exportera inte e-tjnstens frgor, endast nedan angivna attribut</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.HideQueryColumnsActive">E-tjnstens frgor exporteras inte, endast angivna attribut.</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.ExportExternalFlowIDActive">Externt rende-ID exporteras.</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.AddDateToFileNameActive">Aktuellt datum lggs p filnamnet vid export.</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.NoAttributes">Inga attribut exporteras.</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.NumberOfAttributes.Part1">Det finns</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.NumberOfAttributes.Part2.single">attribut-kolumn aktiverad.</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.NumberOfAttributes.Part2.several">attribut-kolumner aktiverade.</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.NoSettings">Inga attribut eller extra flt vid Excel-export r aktiverade fr den hr e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.UpdateSettings">ndra instllningar</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.DeleteSettings">Ta bort instllningar</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.DeleteSettings.Confirm">r du sker p att du vill ta bort attributen fr den hr e-tjnsten?</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.UpdateSettingsTitle">Extra flt och attribut i Excel-exporten av renden fr e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.ExportLastStatusChange">Exportera kolumn med datum fr senaste statusndring</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.ExportLastStatusChangeActive">Kolumn med datum fr senaste statusndring exporteras.</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.ExportColoredTags">Exportera frgmarkeringar</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.ExportColoredTagsActive">Exporterar frgmarkeringar.</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.ExportExternalFlowID">Exportera kolumn med externt rende-ID</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.AllVersions">Alla versioner</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.Attributes">Attribut</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.Attributes.Info.1">Ange ett attributnamn per rad. Fr att dpa kolumnen i Excel-filen till ngot annat n attributets namn kan man lgga till ett kolon efter attributnamnet och drefter skriva nskat kolumnnamn:</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.Attributes.Info.2">AttributetsNamn:KolumnensNamnIExcelfilen</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.SaveChanges">Spara</xsl:variable>
	<xsl:variable name="i18n.ExportSettings.AddDateToFileName">Lgg p datum till filnamnet vid export</xsl:variable>
	
		
</xsl:stylesheet>
