function addParameter(){
	
	var clone = $("#parameter-template").clone();
	
	var parameterID = generateUUID();
	
	clone.attr("id", "parameter-" + generateUUID());
	
	clone.find("input[name='name']").attr("name", "name-" + parameterID);
	clone.find("input[name='value']").attr("name", "value-" + parameterID);
	clone.find("input[name='parameterID']").attr("value", parameterID);
	
	$("#param-table").find('tbody').append(clone);
	
	return false;
}

function deleteParameter(source){
	
	$(source).parents("tr").first().remove();
	
	return false;
}

function generateUUID() {
	var chars = '0123456789abcdef'.split('');
	var uuid = [], rnd = Math.random;
	var r;
	uuid[8] = uuid[13] = uuid[18] = uuid[23] = '-';
	uuid[14] = '4';
	for (var i = 0; i < 36; i++) {
		if (!uuid[i]) {
			r = 0 | rnd()*16;
			uuid[i] = chars[(i == 19) ? (r & 0x3) | 0x8 : r & 0xf];
		}
	}
	return uuid.join('');
}