<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryCommon.sv.xsl"/>
	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/basemapquery/BaseMapQueryCommon.sv.xsl"/>
	
	<xsl:include href="IconMapQueryTemplates.xsl"/>
	
	<xsl:variable name="i18n.GeometryNotValid">Ett fler uppstod nr en symbol skulle sparas. Frsk igen.</xsl:variable>
	
	<xsl:variable name="i18n.UnknownValidationError">Ett oknt valideringsfel har uppsttt.</xsl:variable>
	<xsl:variable name="i18n.UnkownErrorMessageTitle">Ovntat fel</xsl:variable>

	<xsl:variable name="i18n.Move">Flytta</xsl:variable>
	<xsl:variable name="i18n.Delete">Ta bort</xsl:variable>
	
	<xsl:variable name="i18n.ToFewIcons.Part1">Du mste stta ut minst</xsl:variable>
	<xsl:variable name="i18n.ToFewIcons.Part2">symboler av typen</xsl:variable>
	
	<xsl:variable name="i18n.ToManyIcons.Part1">Du fr inte rita ut fler n</xsl:variable>
	<xsl:variable name="i18n.ToManyIcons.Part2">symboler av typen</xsl:variable>
	
	<xsl:variable name="i18n.PUDRequired">Du mste vlja en fastighet genom att skriva in fastighetsbeteckning eller adress</xsl:variable>
	<xsl:variable name="i18n.PropertyUnitDesignation">Fastighetsbeteckning</xsl:variable>
	
	<xsl:variable name="i18n.GettingPUD">Hmtar fastighetsbeteckning..</xsl:variable>
	<xsl:variable name="i18n.PUDNotFound">Ingen fastighet hittades</xsl:variable>
	<xsl:variable name="i18n.PUDRequestError">Det gick inte att hmta fastighet</xsl:variable>

	<xsl:variable name="i18n.MapIcon">Symbol</xsl:variable>
	<xsl:variable name="i18n.Coordinates">Koordinater</xsl:variable>
	<xsl:variable name="i18n.CoordinatesLonLat">(longitud, latitud)</xsl:variable>
	<xsl:variable name="i18n.CoordinatesDescription">
	Koordinaterna fr utplacerade symboler r representerade med koordinatsystemet EPSG:3006 ven kallat SWEREF 99 TM och r angiven i ordningen longitud, latitud. 
	Fr att anvnda koordinaterna i andra tjnster kan de behva konverteras till det koordinatsystem som anvnds i den aktuella tjnsten.
	</xsl:variable>
	<xsl:variable name="i18n.Comment">Kommentar</xsl:variable>
	<xsl:variable name="i18n.NoDrawnGeometries">Det finns inga utplacerade symboler</xsl:variable>
	
	<xsl:variable name="i18n.MaxGeometriesMessage">Du fr inte stta ut fler symboler av den hr typen</xsl:variable>
	<xsl:variable name="i18n.MaxSelectedMessage">Du fr inte vlja fler n $objects objekt</xsl:variable>
	<xsl:variable name="i18n.Name">Namn</xsl:variable>
	<xsl:variable name="i18n.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.Price">Pris</xsl:variable>
	<xsl:variable name="i18n.Select">Vlj</xsl:variable>
	<xsl:variable name="i18n.UnSelect">ngra val</xsl:variable>
	<xsl:variable name="i18n.CurrencySymbol">kr</xsl:variable>
	<xsl:variable name="i18n.HitsChooseSymbol">trffar. Vlj ett objekt</xsl:variable>

	<xsl:variable name="i18n.ToFewSelected.Part1">Du mste vlja minst</xsl:variable>
	<xsl:variable name="i18n.ToFewSelected.Part2">objekt i kartan</xsl:variable>
	<xsl:variable name="i18n.ToManySelected.Part1">Du fr inte vlja fler n</xsl:variable>
	<xsl:variable name="i18n.ToManySelected.Part2">objekt i kartan</xsl:variable>
	
	<xsl:variable name="i18n.RequiresLogin">Du mste vara inloggad fr att besvara den hr frgan</xsl:variable>
	<xsl:variable name="i18n.SubmittedWithReservations">Denna frga har reserverade geometrier och kan drfr inte besvaras igen</xsl:variable>
	<xsl:variable name="i18n.ReservationError">Ett oknt fel uppstod vid reservation av vald geometri</xsl:variable>
	

</xsl:stylesheet>
