
package se.lantmateriet.namespace.distribution.produkter.belagenhetsadress.v4;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AdressattAnlaggningstypType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="AdressattAnlaggningstypType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Avloppspumpstation"/>
 *     &lt;enumeration value="Brygga"/>
 *     &lt;enumeration value="Idrottsanlggning"/>
 *     &lt;enumeration value="Smbtshamn"/>
 *     &lt;enumeration value="Tele- och radiomast"/>
 *     &lt;enumeration value="Transformator, transformatorstation, ntstation"/>
 *     &lt;enumeration value="Vattentkt"/>
 *     &lt;enumeration value="tervinningsstation"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "AdressattAnlaggningstypType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1")
@XmlEnum
public enum AdressattAnlaggningstypType {

    @XmlEnumValue("Avloppspumpstation")
    AVLOPPSPUMPSTATION("Avloppspumpstation"),
    @XmlEnumValue("Brygga")
    BRYGGA("Brygga"),
    @XmlEnumValue("Idrottsanl\u00e4ggning")
    IDROTTSANLGGNING("Idrottsanl\u00e4ggning"),
    @XmlEnumValue("Sm\u00e5b\u00e5tshamn")
    SMBTSHAMN("Sm\u00e5b\u00e5tshamn"),
    @XmlEnumValue("Tele- och radiomast")
    TELE_OCH_RADIOMAST("Tele- och radiomast"),
    @XmlEnumValue("Transformator, transformatorstation, n\u00e4tstation")
    TRANSFORMATOR_TRANSFORMATORSTATION_NTSTATION("Transformator, transformatorstation, n\u00e4tstation"),
    @XmlEnumValue("Vattent\u00e4kt")
    VATTENTKT("Vattent\u00e4kt"),
    @XmlEnumValue("\u00c5tervinningsstation")
    TERVINNINGSSTATION("\u00c5tervinningsstation");
    private final String value;

    AdressattAnlaggningstypType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static AdressattAnlaggningstypType fromValue(String v) {
        for (AdressattAnlaggningstypType c: AdressattAnlaggningstypType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
