
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AnteckningstypType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="AnteckningstypType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Anskan om sammanlggning"/>
 *     &lt;enumeration value="Beslut om sammanlggning"/>
 *     &lt;enumeration value="Beslut om tagande i frvar"/>
 *     &lt;enumeration value="Betalningsskring verkstlld"/>
 *     &lt;enumeration value="Ersttningsbeslut"/>
 *     &lt;enumeration value="Exekutiv frsljning"/>
 *     &lt;enumeration value="Exekutiv frsljning begrd"/>
 *     &lt;enumeration value="Exploateringssamverkan"/>
 *     &lt;enumeration value="Expropriation"/>
 *     &lt;enumeration value="Expropriationsrtten frverkad"/>
 *     &lt;enumeration value="Expropriationsstmning"/>
 *     &lt;enumeration value="Frga om inlsen enligt anlggningslagen"/>
 *     &lt;enumeration value="Frga om inlsen enligt fastighetsbildningslagen"/>
 *     &lt;enumeration value="Frga om inlsen enligt ledningsrttslagen"/>
 *     &lt;enumeration value="Frbud"/>
 *     &lt;enumeration value="Frelggande"/>
 *     &lt;enumeration value="Fretagsinteckning"/>
 *     &lt;enumeration value="Frkpsrtt"/>
 *     &lt;enumeration value="Frkpsrtt bestridd"/>
 *     &lt;enumeration value="Frmnsrtt fr fordran"/>
 *     &lt;enumeration value="Frnyelse"/>
 *     &lt;enumeration value="Frordnande att hela fastigheten skall sljas"/>
 *     &lt;enumeration value="Hembud"/>
 *     &lt;enumeration value="Industritillbehr"/>
 *     &lt;enumeration value="Intresseanmlan fr arrendatorers rtt att frvrva arrendestlle"/>
 *     &lt;enumeration value="Intresseanmlan fr ombildning till bostadsrtt"/>
 *     &lt;enumeration value="Intresseanmlan fr ombildning till kooperativ hyresrtt"/>
 *     &lt;enumeration value="Konkurs"/>
 *     &lt;enumeration value="Konkurs avslutad utan att fastigheten slts"/>
 *     &lt;enumeration value="Kvarstad"/>
 *     &lt;enumeration value="Orubbad avtalsrttighet vid inlsen"/>
 *     &lt;enumeration value="Stllfretrdare"/>
 *     &lt;enumeration value="Stmning i ml om inlsen"/>
 *     &lt;enumeration value="Talan om bulvanfrhllande"/>
 *     &lt;enumeration value="Talan om inlsen"/>
 *     &lt;enumeration value="Tvngsfrvaltning"/>
 *     &lt;enumeration value="Utlndskt beslut fr likvidationsfrfarande"/>
 *     &lt;enumeration value="Utlndskt beslut fr insolvensfrfarande"/>
 *     &lt;enumeration value="Utlndskt beslut fr rekonstruktionstgrd/likvidationsfrfarande"/>
 *     &lt;enumeration value="Utlndskt beslut fr rekonstruktionstgrd"/>
 *     &lt;enumeration value="Utmtning"/>
 *     &lt;enumeration value="Yttrande om sammanlggning"/>
 *     &lt;enumeration value="lggande"/>
 *     &lt;enumeration value="verltelsefrbud"/>
 *     &lt;enumeration value="vrigt"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "AnteckningstypType")
@XmlEnum
public enum AnteckningstypType {

    @XmlEnumValue("Ans\u00f6kan om sammanl\u00e4ggning")
    ANSKAN_OM_SAMMANLGGNING("Ans\u00f6kan om sammanl\u00e4ggning"),
    @XmlEnumValue("Beslut om sammanl\u00e4ggning")
    BESLUT_OM_SAMMANLGGNING("Beslut om sammanl\u00e4ggning"),
    @XmlEnumValue("Beslut om tagande i f\u00f6rvar")
    BESLUT_OM_TAGANDE_I_FRVAR("Beslut om tagande i f\u00f6rvar"),
    @XmlEnumValue("Betalningss\u00e4kring verkst\u00e4lld")
    BETALNINGSSKRING_VERKSTLLD("Betalningss\u00e4kring verkst\u00e4lld"),
    @XmlEnumValue("Ers\u00e4ttningsbeslut")
    ERSTTNINGSBESLUT("Ers\u00e4ttningsbeslut"),
    @XmlEnumValue("Exekutiv f\u00f6rs\u00e4ljning")
    EXEKUTIV_FRSLJNING("Exekutiv f\u00f6rs\u00e4ljning"),
    @XmlEnumValue("Exekutiv f\u00f6rs\u00e4ljning beg\u00e4rd")
    EXEKUTIV_FRSLJNING_BEGRD("Exekutiv f\u00f6rs\u00e4ljning beg\u00e4rd"),
    @XmlEnumValue("Exploateringssamverkan")
    EXPLOATERINGSSAMVERKAN("Exploateringssamverkan"),
    @XmlEnumValue("Expropriation")
    EXPROPRIATION("Expropriation"),
    @XmlEnumValue("Expropriationsr\u00e4tten f\u00f6rverkad")
    EXPROPRIATIONSRTTEN_FRVERKAD("Expropriationsr\u00e4tten f\u00f6rverkad"),
    @XmlEnumValue("Expropriationsst\u00e4mning")
    EXPROPRIATIONSSTMNING("Expropriationsst\u00e4mning"),
    @XmlEnumValue("Fr\u00e5ga om inl\u00f6sen enligt anl\u00e4ggningslagen")
    FRGA_OM_INLSEN_ENLIGT_ANLGGNINGSLAGEN("Fr\u00e5ga om inl\u00f6sen enligt anl\u00e4ggningslagen"),
    @XmlEnumValue("Fr\u00e5ga om inl\u00f6sen enligt fastighetsbildningslagen")
    FRGA_OM_INLSEN_ENLIGT_FASTIGHETSBILDNINGSLAGEN("Fr\u00e5ga om inl\u00f6sen enligt fastighetsbildningslagen"),
    @XmlEnumValue("Fr\u00e5ga om inl\u00f6sen enligt ledningsr\u00e4ttslagen")
    FRGA_OM_INLSEN_ENLIGT_LEDNINGSRTTSLAGEN("Fr\u00e5ga om inl\u00f6sen enligt ledningsr\u00e4ttslagen"),
    @XmlEnumValue("F\u00f6rbud")
    FRBUD("F\u00f6rbud"),
    @XmlEnumValue("F\u00f6rel\u00e4ggande")
    FRELGGANDE("F\u00f6rel\u00e4ggande"),
    @XmlEnumValue("F\u00f6retagsinteckning")
    FRETAGSINTECKNING("F\u00f6retagsinteckning"),
    @XmlEnumValue("F\u00f6rk\u00f6psr\u00e4tt")
    FRKPSRTT("F\u00f6rk\u00f6psr\u00e4tt"),
    @XmlEnumValue("F\u00f6rk\u00f6psr\u00e4tt bestridd")
    FRKPSRTT_BESTRIDD("F\u00f6rk\u00f6psr\u00e4tt bestridd"),
    @XmlEnumValue("F\u00f6rm\u00e5nsr\u00e4tt f\u00f6r fordran")
    FRMNSRTT_FR_FORDRAN("F\u00f6rm\u00e5nsr\u00e4tt f\u00f6r fordran"),
    @XmlEnumValue("F\u00f6rnyelse")
    FRNYELSE("F\u00f6rnyelse"),
    @XmlEnumValue("F\u00f6rordnande att hela fastigheten skall s\u00e4ljas")
    FRORDNANDE_ATT_HELA_FASTIGHETEN_SKALL_SLJAS("F\u00f6rordnande att hela fastigheten skall s\u00e4ljas"),
    @XmlEnumValue("Hembud")
    HEMBUD("Hembud"),
    @XmlEnumValue("Industritillbeh\u00f6r")
    INDUSTRITILLBEHR("Industritillbeh\u00f6r"),
    @XmlEnumValue("Intresseanm\u00e4lan f\u00f6r arrendatorers r\u00e4tt att f\u00f6rv\u00e4rva arrendest\u00e4lle")
    INTRESSEANMLAN_FR_ARRENDATORERS_RTT_ATT_FRVRVA_ARRENDESTLLE("Intresseanm\u00e4lan f\u00f6r arrendatorers r\u00e4tt att f\u00f6rv\u00e4rva arrendest\u00e4lle"),
    @XmlEnumValue("Intresseanm\u00e4lan f\u00f6r ombildning till bostadsr\u00e4tt")
    INTRESSEANMLAN_FR_OMBILDNING_TILL_BOSTADSRTT("Intresseanm\u00e4lan f\u00f6r ombildning till bostadsr\u00e4tt"),
    @XmlEnumValue("Intresseanm\u00e4lan f\u00f6r ombildning till kooperativ hyresr\u00e4tt")
    INTRESSEANMLAN_FR_OMBILDNING_TILL_KOOPERATIV_HYRESRTT("Intresseanm\u00e4lan f\u00f6r ombildning till kooperativ hyresr\u00e4tt"),
    @XmlEnumValue("Konkurs")
    KONKURS("Konkurs"),
    @XmlEnumValue("Konkurs avslutad utan att fastigheten s\u00e5lts")
    KONKURS_AVSLUTAD_UTAN_ATT_FASTIGHETEN_SLTS("Konkurs avslutad utan att fastigheten s\u00e5lts"),
    @XmlEnumValue("Kvarstad")
    KVARSTAD("Kvarstad"),
    @XmlEnumValue("Orubbad avtalsr\u00e4ttighet vid inl\u00f6sen")
    ORUBBAD_AVTALSRTTIGHET_VID_INLSEN("Orubbad avtalsr\u00e4ttighet vid inl\u00f6sen"),
    @XmlEnumValue("St\u00e4llf\u00f6retr\u00e4dare")
    STLLFRETRDARE("St\u00e4llf\u00f6retr\u00e4dare"),
    @XmlEnumValue("St\u00e4mning i m\u00e5l om inl\u00f6sen")
    STMNING_I_ML_OM_INLSEN("St\u00e4mning i m\u00e5l om inl\u00f6sen"),
    @XmlEnumValue("Talan om bulvanf\u00f6rh\u00e5llande")
    TALAN_OM_BULVANFRHLLANDE("Talan om bulvanf\u00f6rh\u00e5llande"),
    @XmlEnumValue("Talan om inl\u00f6sen")
    TALAN_OM_INLSEN("Talan om inl\u00f6sen"),
    @XmlEnumValue("Tv\u00e5ngsf\u00f6rvaltning")
    TVNGSFRVALTNING("Tv\u00e5ngsf\u00f6rvaltning"),
    @XmlEnumValue("Utl\u00e4ndskt beslut f\u00f6r likvidationsf\u00f6rfarande")
    UTLNDSKT_BESLUT_FR_LIKVIDATIONSFRFARANDE("Utl\u00e4ndskt beslut f\u00f6r likvidationsf\u00f6rfarande"),
    @XmlEnumValue("Utl\u00e4ndskt beslut f\u00f6r insolvensf\u00f6rfarande")
    UTLNDSKT_BESLUT_FR_INSOLVENSFRFARANDE("Utl\u00e4ndskt beslut f\u00f6r insolvensf\u00f6rfarande"),
    @XmlEnumValue("Utl\u00e4ndskt beslut f\u00f6r rekonstruktions\u00e5tg\u00e4rd/likvidationsf\u00f6rfarande")
    UTLNDSKT_BESLUT_FR_REKONSTRUKTIONSTGRD_LIKVIDATIONSFRFARANDE("Utl\u00e4ndskt beslut f\u00f6r rekonstruktions\u00e5tg\u00e4rd/likvidationsf\u00f6rfarande"),
    @XmlEnumValue("Utl\u00e4ndskt beslut f\u00f6r rekonstruktions\u00e5tg\u00e4rd")
    UTLNDSKT_BESLUT_FR_REKONSTRUKTIONSTGRD("Utl\u00e4ndskt beslut f\u00f6r rekonstruktions\u00e5tg\u00e4rd"),
    @XmlEnumValue("Utm\u00e4tning")
    UTMTNING("Utm\u00e4tning"),
    @XmlEnumValue("Yttrande om sammanl\u00e4ggning")
    YTTRANDE_OM_SAMMANLGGNING("Yttrande om sammanl\u00e4ggning"),
    @XmlEnumValue("\u00c5l\u00e4ggande")
    LGGANDE("\u00c5l\u00e4ggande"),
    @XmlEnumValue("\u00d6verl\u00e5telsef\u00f6rbud")
    VERLTELSEFRBUD("\u00d6verl\u00e5telsef\u00f6rbud"),
    @XmlEnumValue("\u00d6vrigt")
    VRIGT("\u00d6vrigt");
    private final String value;

    AnteckningstypType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static AnteckningstypType fromValue(String v) {
        for (AnteckningstypType c: AnteckningstypType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
