
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InnehavsanteckningType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InnehavsanteckningType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivningType">
 *       &lt;sequence>
 *         &lt;element name="organisationsnamn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="efternamn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="fornamn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="utdelningsadress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="postnummer" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="postkod" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="postort" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="land" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="landskod" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InnehavsanteckningType", propOrder = {
    "organisationsnamn",
    "efternamn",
    "fornamn",
    "utdelningsadress",
    "postnummer",
    "postkod",
    "postort",
    "land",
    "landskod"
})
public class InnehavsanteckningType
    extends InskrivningType
{

    protected String organisationsnamn;
    protected String efternamn;
    protected String fornamn;
    protected String utdelningsadress;
    protected Integer postnummer;
    protected String postkod;
    protected String postort;
    protected String land;
    protected String landskod;

    /**
     * Gets the value of the organisationsnamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrganisationsnamn() {
        return organisationsnamn;
    }

    /**
     * Sets the value of the organisationsnamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrganisationsnamn(String value) {
        this.organisationsnamn = value;
    }

    /**
     * Gets the value of the efternamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEfternamn() {
        return efternamn;
    }

    /**
     * Sets the value of the efternamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEfternamn(String value) {
        this.efternamn = value;
    }

    /**
     * Gets the value of the fornamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFornamn() {
        return fornamn;
    }

    /**
     * Sets the value of the fornamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFornamn(String value) {
        this.fornamn = value;
    }

    /**
     * Gets the value of the utdelningsadress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUtdelningsadress() {
        return utdelningsadress;
    }

    /**
     * Sets the value of the utdelningsadress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUtdelningsadress(String value) {
        this.utdelningsadress = value;
    }

    /**
     * Gets the value of the postnummer property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPostnummer() {
        return postnummer;
    }

    /**
     * Sets the value of the postnummer property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPostnummer(Integer value) {
        this.postnummer = value;
    }

    /**
     * Gets the value of the postkod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostkod() {
        return postkod;
    }

    /**
     * Sets the value of the postkod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostkod(String value) {
        this.postkod = value;
    }

    /**
     * Gets the value of the postort property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostort() {
        return postort;
    }

    /**
     * Sets the value of the postort property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostort(String value) {
        this.postort = value;
    }

    /**
     * Gets the value of the land property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLand() {
        return land;
    }

    /**
     * Sets the value of the land property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLand(String value) {
        this.land = value;
    }

    /**
     * Gets the value of the landskod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLandskod() {
        return landskod;
    }

    /**
     * Sets the value of the landskod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLandskod(String value) {
        this.landskod = value;
    }

}
