
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InskrivenPersonType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InskrivenPersonType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}UtbytesobjektType">
 *       &lt;sequence>
 *         &lt;element name="efternamn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="fornamn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="organisationsnamn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IDnummer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="Person" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}PersonType"/>
 *           &lt;element name="Organisation" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}OrganisationType"/>
 *           &lt;element name="UtlandskAgare" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}UtlandskAgareType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InskrivenPersonType", propOrder = {
    "efternamn",
    "fornamn",
    "organisationsnamn",
    "iDnummer",
    "person",
    "organisation",
    "utlandskAgare"
})
public class InskrivenPersonType
    extends UtbytesobjektType
{

    protected String efternamn;
    protected String fornamn;
    protected String organisationsnamn;
    @XmlElement(name = "IDnummer")
    protected String iDnummer;
    @XmlElement(name = "Person")
    protected PersonType person;
    @XmlElement(name = "Organisation")
    protected OrganisationType organisation;
    @XmlElement(name = "UtlandskAgare")
    protected UtlandskAgareType utlandskAgare;

    /**
     * Gets the value of the efternamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEfternamn() {
        return efternamn;
    }

    /**
     * Sets the value of the efternamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEfternamn(String value) {
        this.efternamn = value;
    }

    /**
     * Gets the value of the fornamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFornamn() {
        return fornamn;
    }

    /**
     * Sets the value of the fornamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFornamn(String value) {
        this.fornamn = value;
    }

    /**
     * Gets the value of the organisationsnamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrganisationsnamn() {
        return organisationsnamn;
    }

    /**
     * Sets the value of the organisationsnamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrganisationsnamn(String value) {
        this.organisationsnamn = value;
    }

    /**
     * Gets the value of the iDnummer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIDnummer() {
        return iDnummer;
    }

    /**
     * Sets the value of the iDnummer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIDnummer(String value) {
        this.iDnummer = value;
    }

    /**
     * Gets the value of the person property.
     * 
     * @return
     *     possible object is
     *     {@link PersonType }
     *     
     */
    public PersonType getPerson() {
        return person;
    }

    /**
     * Sets the value of the person property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonType }
     *     
     */
    public void setPerson(PersonType value) {
        this.person = value;
    }

    /**
     * Gets the value of the organisation property.
     * 
     * @return
     *     possible object is
     *     {@link OrganisationType }
     *     
     */
    public OrganisationType getOrganisation() {
        return organisation;
    }

    /**
     * Sets the value of the organisation property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrganisationType }
     *     
     */
    public void setOrganisation(OrganisationType value) {
        this.organisation = value;
    }

    /**
     * Gets the value of the utlandskAgare property.
     * 
     * @return
     *     possible object is
     *     {@link UtlandskAgareType }
     *     
     */
    public UtlandskAgareType getUtlandskAgare() {
        return utlandskAgare;
    }

    /**
     * Sets the value of the utlandskAgare property.
     * 
     * @param value
     *     allowed object is
     *     {@link UtlandskAgareType }
     *     
     */
    public void setUtlandskAgare(UtlandskAgareType value) {
        this.utlandskAgare = value;
    }

}
