
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InskrivetAgandeanmarkningstypType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="InskrivetAgandeanmarkningstypType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Andel osker"/>
 *     &lt;enumeration value="Anmrkning"/>
 *     &lt;enumeration value="Avyttringsskyldighet"/>
 *     &lt;enumeration value="Enskild egendom"/>
 *     &lt;enumeration value="Frga om rttelse"/>
 *     &lt;enumeration value="Frbehll"/>
 *     &lt;enumeration value="Frbehll om inteckning"/>
 *     &lt;enumeration value="Frbehll om inteckning, pantsttning"/>
 *     &lt;enumeration value="Frbehll om inteckning, pantsttning, upplta rttighet"/>
 *     &lt;enumeration value="Frbehll om inteckning, upplta rttighet"/>
 *     &lt;enumeration value="Frbehll om pantsttning"/>
 *     &lt;enumeration value="Frbehll om pantsttning, upplta rttighet"/>
 *     &lt;enumeration value="Frbehll om upplta rttighet"/>
 *     &lt;enumeration value="Frbehll om verltelse"/>
 *     &lt;enumeration value="Frbehll om verltelse, inteckning"/>
 *     &lt;enumeration value="Frbehll om verltelse, inteckning, pantsttning"/>
 *     &lt;enumeration value="Frbehll om verltelse, inteckning, pantsttning, upplta rttighet"/>
 *     &lt;enumeration value="Frbehll om verltelse, inteckning, upplta rttighet"/>
 *     &lt;enumeration value="Frbehll om verltelse, pantsttning"/>
 *     &lt;enumeration value="Frbehll om verltelse, pantsttning, upplta rttighet"/>
 *     &lt;enumeration value="Frbehll om verltelse, upplta rttighet"/>
 *     &lt;enumeration value="Hembud"/>
 *     &lt;enumeration value="ID-nummer kompletterat"/>
 *     &lt;enumeration value="Jrnvgslagfart"/>
 *     &lt;enumeration value="Kommunens lagfartsfrhllanden ej utredda"/>
 *     &lt;enumeration value="Lagfarten avser stamfastigheten"/>
 *     &lt;enumeration value="Namn"/>
 *     &lt;enumeration value="Rttat"/>
 *     &lt;enumeration value="Sammanlggningsavtal"/>
 *     &lt;enumeration value="Tvist"/>
 *     &lt;enumeration value="Tvist avgjord"/>
 *     &lt;enumeration value="Ytterligare fng frekommer"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "InskrivetAgandeanmarkningstypType")
@XmlEnum
public enum InskrivetAgandeanmarkningstypType {

    @XmlEnumValue("Andel os\u00e4ker")
    ANDEL_OSKER("Andel os\u00e4ker"),
    @XmlEnumValue("Anm\u00e4rkning")
    ANMRKNING("Anm\u00e4rkning"),
    @XmlEnumValue("Avyttringsskyldighet")
    AVYTTRINGSSKYLDIGHET("Avyttringsskyldighet"),
    @XmlEnumValue("Enskild egendom")
    ENSKILD_EGENDOM("Enskild egendom"),
    @XmlEnumValue("Fr\u00e5ga om r\u00e4ttelse")
    FRGA_OM_RTTELSE("Fr\u00e5ga om r\u00e4ttelse"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll")
    FRBEHLL("F\u00f6rbeh\u00e5ll"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om inteckning")
    FRBEHLL_OM_INTECKNING("F\u00f6rbeh\u00e5ll om inteckning"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om inteckning, pants\u00e4ttning")
    FRBEHLL_OM_INTECKNING_PANTSTTNING("F\u00f6rbeh\u00e5ll om inteckning, pants\u00e4ttning"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om inteckning, pants\u00e4ttning, uppl\u00e5ta r\u00e4ttighet")
    FRBEHLL_OM_INTECKNING_PANTSTTNING_UPPLTA_RTTIGHET("F\u00f6rbeh\u00e5ll om inteckning, pants\u00e4ttning, uppl\u00e5ta r\u00e4ttighet"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om inteckning, uppl\u00e5ta r\u00e4ttighet")
    FRBEHLL_OM_INTECKNING_UPPLTA_RTTIGHET("F\u00f6rbeh\u00e5ll om inteckning, uppl\u00e5ta r\u00e4ttighet"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om pants\u00e4ttning")
    FRBEHLL_OM_PANTSTTNING("F\u00f6rbeh\u00e5ll om pants\u00e4ttning"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om pants\u00e4ttning, uppl\u00e5ta r\u00e4ttighet")
    FRBEHLL_OM_PANTSTTNING_UPPLTA_RTTIGHET("F\u00f6rbeh\u00e5ll om pants\u00e4ttning, uppl\u00e5ta r\u00e4ttighet"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om uppl\u00e5ta r\u00e4ttighet")
    FRBEHLL_OM_UPPLTA_RTTIGHET("F\u00f6rbeh\u00e5ll om uppl\u00e5ta r\u00e4ttighet"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse")
    FRBEHLL_OM_VERLTELSE("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, inteckning")
    FRBEHLL_OM_VERLTELSE_INTECKNING("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, inteckning"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, inteckning, pants\u00e4ttning")
    FRBEHLL_OM_VERLTELSE_INTECKNING_PANTSTTNING("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, inteckning, pants\u00e4ttning"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, inteckning, pants\u00e4ttning, uppl\u00e5ta r\u00e4ttighet")
    FRBEHLL_OM_VERLTELSE_INTECKNING_PANTSTTNING_UPPLTA_RTTIGHET("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, inteckning, pants\u00e4ttning, uppl\u00e5ta r\u00e4ttighet"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, inteckning, uppl\u00e5ta r\u00e4ttighet")
    FRBEHLL_OM_VERLTELSE_INTECKNING_UPPLTA_RTTIGHET("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, inteckning, uppl\u00e5ta r\u00e4ttighet"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, pants\u00e4ttning")
    FRBEHLL_OM_VERLTELSE_PANTSTTNING("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, pants\u00e4ttning"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, pants\u00e4ttning, uppl\u00e5ta r\u00e4ttighet")
    FRBEHLL_OM_VERLTELSE_PANTSTTNING_UPPLTA_RTTIGHET("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, pants\u00e4ttning, uppl\u00e5ta r\u00e4ttighet"),
    @XmlEnumValue("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, uppl\u00e5ta r\u00e4ttighet")
    FRBEHLL_OM_VERLTELSE_UPPLTA_RTTIGHET("F\u00f6rbeh\u00e5ll om \u00f6verl\u00e5telse, uppl\u00e5ta r\u00e4ttighet"),
    @XmlEnumValue("Hembud")
    HEMBUD("Hembud"),
    @XmlEnumValue("ID-nummer kompletterat")
    ID_NUMMER_KOMPLETTERAT("ID-nummer kompletterat"),
    @XmlEnumValue("J\u00e4rnv\u00e4gslagfart")
    JRNVGSLAGFART("J\u00e4rnv\u00e4gslagfart"),
    @XmlEnumValue("Kommunens lagfartsf\u00f6rh\u00e5llanden ej utredda")
    KOMMUNENS_LAGFARTSFRHLLANDEN_EJ_UTREDDA("Kommunens lagfartsf\u00f6rh\u00e5llanden ej utredda"),
    @XmlEnumValue("Lagfarten avser stamfastigheten")
    LAGFARTEN_AVSER_STAMFASTIGHETEN("Lagfarten avser stamfastigheten"),
    @XmlEnumValue("Namn")
    NAMN("Namn"),
    @XmlEnumValue("R\u00e4ttat")
    RTTAT("R\u00e4ttat"),
    @XmlEnumValue("Sammanl\u00e4ggningsavtal")
    SAMMANLGGNINGSAVTAL("Sammanl\u00e4ggningsavtal"),
    @XmlEnumValue("Tvist")
    TVIST("Tvist"),
    @XmlEnumValue("Tvist avgjord")
    TVIST_AVGJORD("Tvist avgjord"),
    @XmlEnumValue("Ytterligare f\u00e5ng f\u00f6rekommer")
    YTTERLIGARE_FNG_FREKOMMER("Ytterligare f\u00e5ng f\u00f6rekommer");
    private final String value;

    InskrivetAgandeanmarkningstypType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static InskrivetAgandeanmarkningstypType fromValue(String v) {
        for (InskrivetAgandeanmarkningstypType c: InskrivetAgandeanmarkningstypType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
