
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InskrivningDatasetType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InskrivningDatasetType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;sequence>
 *           &lt;element name="basinformation" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *           &lt;element name="agare" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *           &lt;choice minOccurs="0">
 *             &lt;element name="senasteFang" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *             &lt;element name="historikAgande" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *           &lt;/choice>
 *           &lt;element name="avtalsrattighet" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *           &lt;element name="inteckning" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *           &lt;element name="anteckning" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *           &lt;element name="tomtrattsupplatelse" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;/sequence>
 *         &lt;element name="total" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InskrivningDatasetType", propOrder = {
    "basinformation",
    "agare",
    "senasteFang",
    "historikAgande",
    "avtalsrattighet",
    "inteckning",
    "anteckning",
    "tomtrattsupplatelse",
    "total"
})
public class InskrivningDatasetType {

    @XmlElement(defaultValue = "false")
    protected Boolean basinformation;
    @XmlElement(defaultValue = "false")
    protected Boolean agare;
    @XmlElement(defaultValue = "false")
    protected Boolean senasteFang;
    @XmlElement(defaultValue = "false")
    protected Boolean historikAgande;
    @XmlElement(defaultValue = "false")
    protected Boolean avtalsrattighet;
    @XmlElement(defaultValue = "false")
    protected Boolean inteckning;
    @XmlElement(defaultValue = "false")
    protected Boolean anteckning;
    @XmlElement(defaultValue = "false")
    protected Boolean tomtrattsupplatelse;
    protected Boolean total;

    /**
     * Gets the value of the basinformation property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isBasinformation() {
        return basinformation;
    }

    /**
     * Sets the value of the basinformation property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setBasinformation(Boolean value) {
        this.basinformation = value;
    }

    /**
     * Gets the value of the agare property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isAgare() {
        return agare;
    }

    /**
     * Sets the value of the agare property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setAgare(Boolean value) {
        this.agare = value;
    }

    /**
     * Gets the value of the senasteFang property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isSenasteFang() {
        return senasteFang;
    }

    /**
     * Sets the value of the senasteFang property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSenasteFang(Boolean value) {
        this.senasteFang = value;
    }

    /**
     * Gets the value of the historikAgande property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isHistorikAgande() {
        return historikAgande;
    }

    /**
     * Sets the value of the historikAgande property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setHistorikAgande(Boolean value) {
        this.historikAgande = value;
    }

    /**
     * Gets the value of the avtalsrattighet property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isAvtalsrattighet() {
        return avtalsrattighet;
    }

    /**
     * Sets the value of the avtalsrattighet property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setAvtalsrattighet(Boolean value) {
        this.avtalsrattighet = value;
    }

    /**
     * Gets the value of the inteckning property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isInteckning() {
        return inteckning;
    }

    /**
     * Sets the value of the inteckning property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setInteckning(Boolean value) {
        this.inteckning = value;
    }

    /**
     * Gets the value of the anteckning property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isAnteckning() {
        return anteckning;
    }

    /**
     * Sets the value of the anteckning property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setAnteckning(Boolean value) {
        this.anteckning = value;
    }

    /**
     * Gets the value of the tomtrattsupplatelse property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isTomtrattsupplatelse() {
        return tomtrattsupplatelse;
    }

    /**
     * Sets the value of the tomtrattsupplatelse property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setTomtrattsupplatelse(Boolean value) {
        this.tomtrattsupplatelse = value;
    }

    /**
     * Gets the value of the total property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isTotal() {
        return total;
    }

    /**
     * Sets the value of the total property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setTotal(Boolean value) {
        this.total = value;
    }

}
