
package se.lantmateriet.namespace.distribution.produkter.registerbeteckning.v4;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import net.opengis.gml._3.AbstractFeatureType;


/**
 * <p>Java class for BeteckningType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="BeteckningType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://www.opengis.net/gml/3.2}AbstractFeatureType">
 *       &lt;sequence>
 *         &lt;element name="Registerenhetsreferens" type="{http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4}RegisterenhetsreferensType" minOccurs="0"/>
 *         &lt;element name="Registerbeteckning" type="{http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4}RegisterbeteckningType" minOccurs="0"/>
 *         &lt;element name="AldreRegisterbeteckning" type="{http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4}AldreRegisterbeteckningType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="AldreTidigareRegisterbeteckning" type="{http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4}AldreTidigareRegisterbeteckningType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BeteckningType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", propOrder = {
    "registerenhetsreferens",
    "registerbeteckning",
    "aldreRegisterbeteckning",
    "aldreTidigareRegisterbeteckning"
})
public class BeteckningType
    extends AbstractFeatureType
{

    @XmlElement(name = "Registerenhetsreferens")
    protected RegisterenhetsreferensType registerenhetsreferens;
    @XmlElement(name = "Registerbeteckning")
    protected RegisterbeteckningType registerbeteckning;
    @XmlElement(name = "AldreRegisterbeteckning")
    protected List<AldreRegisterbeteckningType> aldreRegisterbeteckning;
    @XmlElement(name = "AldreTidigareRegisterbeteckning")
    protected List<AldreTidigareRegisterbeteckningType> aldreTidigareRegisterbeteckning;

    /**
     * Gets the value of the registerenhetsreferens property.
     * 
     * @return
     *     possible object is
     *     {@link RegisterenhetsreferensType }
     * 
     */
    public RegisterenhetsreferensType getRegisterenhetsreferens() {
        return registerenhetsreferens;
    }

    /**
     * Sets the value of the registerenhetsreferens property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegisterenhetsreferensType }
     * 
     */
    public void setRegisterenhetsreferens(RegisterenhetsreferensType value) {
        this.registerenhetsreferens = value;
    }

    /**
     * Gets the value of the registerbeteckning property.
     * 
     * @return
     *     possible object is
     *     {@link RegisterbeteckningType }
     * 
     */
    public RegisterbeteckningType getRegisterbeteckning() {
        return registerbeteckning;
    }

    /**
     * Sets the value of the registerbeteckning property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegisterbeteckningType }
     * 
     */
    public void setRegisterbeteckning(RegisterbeteckningType value) {
        this.registerbeteckning = value;
    }

    /**
     * Gets the value of the aldreRegisterbeteckning property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the aldreRegisterbeteckning property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAldreRegisterbeteckning().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AldreRegisterbeteckningType }
     * 
     * 
     */
    public List<AldreRegisterbeteckningType> getAldreRegisterbeteckning() {
        if (aldreRegisterbeteckning == null) {
            aldreRegisterbeteckning = new ArrayList<AldreRegisterbeteckningType>();
        }
        return this.aldreRegisterbeteckning;
    }

    /**
     * Gets the value of the aldreTidigareRegisterbeteckning property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the aldreTidigareRegisterbeteckning property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAldreTidigareRegisterbeteckning().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AldreTidigareRegisterbeteckningType }
     * 
     * 
     */
    public List<AldreTidigareRegisterbeteckningType> getAldreTidigareRegisterbeteckning() {
        if (aldreTidigareRegisterbeteckning == null) {
            aldreTidigareRegisterbeteckning = new ArrayList<AldreTidigareRegisterbeteckningType>();
        }
        return this.aldreTidigareRegisterbeteckning;
    }

}
