
package se.lantmateriet.namespace.distribution.produkter.registerbeteckning.v4;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;



/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the test package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory extends se.lantmateriet.namespace.distribution.produkter.common.ObjectFactory {

    private final static QName _NamnRequest_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", "NamnRequest");
    private final static QName _RegisterbeteckningsreferensResponse_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", "RegisterbeteckningsreferensResponse");
    private final static QName _RegisterbeteckningResponse_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", "RegisterbeteckningResponse");
    private final static QName _GeometriRequest_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", "GeometriRequest");
    private final static QName _Beteckning_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", "Beteckning");
    private final static QName _StatusResponse_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", "StatusResponse");
    private final static QName _IdRequest_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", "IdRequest");
    private final static QName _BeteckningResponse_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", "BeteckningResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: test
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link StatusType }
     * 
     */
    public StatusType createStatusType() {
        return new StatusType();
    }

    /**
     * Create an instance of {@link BeteckningResponseType }
     * 
     */
    public BeteckningResponseType createBeteckningResponseType() {
        return new BeteckningResponseType();
    }

    /**
     * Create an instance of {@link AldreRegisterbeteckningType }
     * 
     */
    public AldreRegisterbeteckningType createAldreRegisterbeteckningType() {
        return new AldreRegisterbeteckningType();
    }

    /**
     * Create an instance of {@link GeometriRequestType }
     * 
     */
    public GeometriRequestType createGeometriRequestType() {
        return new GeometriRequestType();
    }

    /**
     * Create an instance of {@link RegisterbeteckningMemberType }
     * 
     */
    public RegisterbeteckningMemberType createRegisterbeteckningMemberType() {
        return new RegisterbeteckningMemberType();
    }

    /**
     * Create an instance of {@link NamnRequestType }
     * 
     */
    public NamnRequestType createNamnRequestType() {
        return new NamnRequestType();
    }

    /**
     * Create an instance of {@link RegisterbeteckningsreferensResponseType }
     * 
     */
    public RegisterbeteckningsreferensResponseType createRegisterbeteckningsreferensResponseType() {
        return new RegisterbeteckningsreferensResponseType();
    }

    /**
     * Create an instance of {@link StatusResponseType }
     * 
     */
    public StatusResponseType createStatusResponseType() {
        return new StatusResponseType();
    }

    /**
     * Create an instance of {@link BeteckningType }
     * 
     */
    public BeteckningType createBeteckningType() {
        return new BeteckningType();
    }

    /**
     * Create an instance of {@link RegisterbeteckningsreferensType }
     * 
     */
    public RegisterbeteckningsreferensType createRegisterbeteckningsreferensType() {
        return new RegisterbeteckningsreferensType();
    }

    /**
     * Create an instance of {@link IdRequestType }
     * 
     */
    public IdRequestType createIdRequestType() {
        return new IdRequestType();
    }

    /**
     * Create an instance of {@link RegisterenhetsreferensType }
     * 
     */
    public RegisterenhetsreferensType createRegisterenhetsreferensType() {
        return new RegisterenhetsreferensType();
    }

    /**
     * Create an instance of {@link EnhetsomradeType }
     * 
     */
    public EnhetsomradeType createEnhetsomradeType() {
        return new EnhetsomradeType();
    }

    /**
     * Create an instance of {@link RegisterbeteckningType }
     * 
     */
    public RegisterbeteckningType createRegisterbeteckningType() {
        return new RegisterbeteckningType();
    }

    /**
     * Create an instance of {@link RegisterbeteckningResponseType }
     * 
     */
    public RegisterbeteckningResponseType createRegisterbeteckningResponseType() {
        return new RegisterbeteckningResponseType();
    }

    /**
     * Create an instance of {@link AldreTidigareRegisterbeteckningType }
     * 
     */
    public AldreTidigareRegisterbeteckningType createAldreTidigareRegisterbeteckningType() {
        return new AldreTidigareRegisterbeteckningType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link NamnRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", name = "NamnRequest")
    public JAXBElement<NamnRequestType> createNamnRequest(NamnRequestType value) {
        return new JAXBElement<NamnRequestType>(_NamnRequest_QNAME, NamnRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RegisterbeteckningsreferensResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", name = "RegisterbeteckningsreferensResponse")
    public JAXBElement<RegisterbeteckningsreferensResponseType> createRegisterbeteckningsreferensResponse(RegisterbeteckningsreferensResponseType value) {
        return new JAXBElement<RegisterbeteckningsreferensResponseType>(_RegisterbeteckningsreferensResponse_QNAME, RegisterbeteckningsreferensResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RegisterbeteckningResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", name = "RegisterbeteckningResponse", substitutionHeadNamespace = "http://www.opengis.net/gml/3.2", substitutionHeadName = "AbstractFeature")
    public JAXBElement<RegisterbeteckningResponseType> createRegisterbeteckningResponse(RegisterbeteckningResponseType value) {
        return new JAXBElement<RegisterbeteckningResponseType>(_RegisterbeteckningResponse_QNAME, RegisterbeteckningResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GeometriRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", name = "GeometriRequest")
    public JAXBElement<GeometriRequestType> createGeometriRequest(GeometriRequestType value) {
        return new JAXBElement<GeometriRequestType>(_GeometriRequest_QNAME, GeometriRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BeteckningType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", name = "Beteckning", substitutionHeadNamespace = "http://www.opengis.net/gml/3.2", substitutionHeadName = "AbstractFeature")
    public JAXBElement<BeteckningType> createBeteckning(BeteckningType value) {
        return new JAXBElement<BeteckningType>(_Beteckning_QNAME, BeteckningType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", name = "StatusResponse")
    public JAXBElement<StatusResponseType> createStatusResponse(StatusResponseType value) {
        return new JAXBElement<StatusResponseType>(_StatusResponse_QNAME, StatusResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", name = "IdRequest")
    public JAXBElement<IdRequestType> createIdRequest(IdRequestType value) {
        return new JAXBElement<IdRequestType>(_IdRequest_QNAME, IdRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BeteckningResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", name = "BeteckningResponse")
    public JAXBElement<BeteckningResponseType> createBeteckningResponse(BeteckningResponseType value) {
        return new JAXBElement<BeteckningResponseType>(_BeteckningResponse_QNAME, BeteckningResponseType.class, null, value);
    }

}
