<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:import href="classpath://com/nordicpeak/flowengine/FlowTestCommon.sv.xsl"/>
	
	<xsl:include href="ManagerFlowTestModuleTemplates.xsl"/>
	
	<xsl:variable name="java.hiddenQueryText">(dold)</xsl:variable>
	
	<xsl:variable name="i18n.flowName">E-tjnst</xsl:variable>
		
	<xsl:variable name="i18n.Flowslist.title">Testa e-tjnster</xsl:variable>
	<xsl:variable name="i18n.Flowlist.description">Nedan visas samtliga e-tjnster som du har behrighet att testa.</xsl:variable>
	
	<xsl:variable name="i18n.flowType">Typ</xsl:variable>
	<xsl:variable name="i18n.flowCategory">Kategori</xsl:variable>
	<xsl:variable name="i18n.steps">Steg</xsl:variable>
	<xsl:variable name="i18n.queries">Frgor</xsl:variable>
	<xsl:variable name="i18n.instances">Insk. renden</xsl:variable>
	<xsl:variable name="i18n.status">Status</xsl:variable>
	<xsl:variable name="i18n.noFlowsFound">Inga e-tjnster hittades.</xsl:variable>
	<xsl:variable name="i18n.disabled">Inaktiverad</xsl:variable>
	<xsl:variable name="i18n.published">Publicerad</xsl:variable>
	<xsl:variable name="i18n.notPublished">Ej publicerad</xsl:variable>
	<xsl:variable name="i18n.name">Namn</xsl:variable>

	<xsl:variable name="i18n.validation.unknownError" select="'Oknt fel p fltet:'"/>
	<xsl:variable name="i18n.validation.unknownFault" select="'Ett oknt valideringsfel har uppsttt.'"/>
	
	<xsl:variable name="i18n.versions">Versioner</xsl:variable>
	<xsl:variable name="i18n.version.title">Version</xsl:variable>
	
	<xsl:variable name="i18n.versions.description">Tabellen nedan visar samtliga versioner av denna e-tjnst. Vlj test eller frhandsgranskning nedan och klicka sedan p den version som du vill testa.</xsl:variable>
	
	<xsl:variable name="i18n.FlowFamilyNotFound">Den begrda e-tjnsten hittades inte.</xsl:variable>
	<xsl:variable name="i18n.FlowFamilyAccessDenied">Du har inte behrighet att komma t den begrda e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>
	<xsl:variable name="i18n.Filter">Sk</xsl:variable>
	<xsl:variable name="i18n.All">Alla</xsl:variable>
	<xsl:variable name="i18n.Published">Publicerade</xsl:variable>
	<xsl:variable name="i18n.Unpublished">Ej publicerade</xsl:variable>
	<xsl:variable name="i18n.statusFilter">Visa</xsl:variable>
	
	<xsl:variable name="i18n.TestSetting.Preview.Normal">Testa e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.TestSetting.Preview.Yes">Frhandsgranska alla frgor och steg i e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.TestSetting.Preview.description">Observera att inga regler kommer att kras i detta lge och e-tjnsten kan drfr se annorlunda ut n vad den gr nr den krs i vanligt lge.</xsl:variable>
	<xsl:variable name="i18n.TestSetting.UseTestChildren">Anvnd testbarn</xsl:variable>
	
</xsl:stylesheet>
