$(function() {
	
	var useAddressAsResult = $("#useAddressAsResult");
	var usePUDAsResult = $("#usePUDAsResult");
	var useAllAsResult = $("#useAllAsResult");
	var allowedSearchService_PUD = $("#allowedSearchService_PUD");
	var allowedSearchService_Address = $("#allowedSearchService_Address");
	
	var enableDisableAllowedSearchAddress = function(){
		
		var checked = useAddressAsResult.prop("checked");
		
		if (checked) {
			
			allowedSearchService_PUD.prop("checked", false);
			allowedSearchService_Address.prop("checked", true);
		}
		
		$(".notforaddress").toggle(!checked);
	};
	
	
	var enableDisableAllowedSearchAll = function(){
		
		var checked = useAllAsResult.prop("checked");
		
		if (checked) {
			
			allowedSearchService_Address.prop("checked", true);
		}
		
		$(".notforaddress").toggle(checked);
	};
	
	var enableDisableAllowedSearchPUD = function(){
		
		var checked = usePUDAsResult.prop("checked");
		
		$(".notforaddress").toggle(checked);
	};
	
	enableDisableAllowedSearchAddress();
	useAddressAsResult.on("change", enableDisableAllowedSearchAddress);
	useAllAsResult.on("change", enableDisableAllowedSearchAll);
	usePUDAsResult.on("change", enableDisableAllowedSearchPUD);
	
	var enableDisableAllowedShowValues = function(){
		
		var checked = allowedSearchService_PUD.prop("checked");
		if (checked) {
			
			usePUDAsResult.prop("checked", true);
			useAddressAsResult.prop("checked", false);
			useAllAsResult.prop("checked", false);
			$(".notforaddress").show();
		} else {
			(".notforaddress").hide();
		}
		
	};
	var enableDisableAllowedShowValuesAddress = function(){
		
		var checked = allowedSearchService_Address.prop("checked");
		
		
		var checked1 = useAddressAsResult.prop("checked");
		var checked2 = usePUDAsResult.prop("checked");
		var checked3 = useAllAsResult.prop("checked");
		
		if(!checked1 && !checked2 && !checked3) {
			usePUDAsResult.prop("checked", true);
		}
		
		if(checked) {
			$("#result").show();
		} 
		else {
			$("#result").hide();
		}
		
		if (checked2 || checked3) {
			
			$(".notforaddress").show();
		} else {
			(".notforaddress").hide();
		}
		
	};
	
	
	enableDisableAllowedShowValuesAddress();
	
	allowedSearchService_PUD.on("change", enableDisableAllowedShowValues);
	allowedSearchService_Address.on("change", enableDisableAllowedShowValuesAddress);
});