<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:import href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	<xsl:include href="classpath://se/unlogic/hierarchy/core/utils/usergrouplist/UserGroupList.sv.xsl"/>
	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/internaluserqueries/InternalUserQueries.sv.xsl"/>
	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/internaluserqueries/InternalUserQueriesAdmin.xsl"/>

	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="PredefinedUserQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Anvndarfrga (frdefinierad)</xsl:variable>
	<xsl:variable name="java.queryDescription">
Frgetypen Anvndarfrga (frdefinierad) anvnds fr att anvndaren ska f vlja i rullistan ngon av de anvndare som e-tjnstebyggaren lagt
till i frgan, antingen som enskilda anvndare eller som hela anvndargrupper. Den valda anvndarens information visas under rullistan.
	</xsl:variable>	
		
	<xsl:variable name="java.exportFirstName">Frnamn</xsl:variable>
	<xsl:variable name="java.exportLastName">Efternamn</xsl:variable>
	<xsl:variable name="java.exportUsername">Anvndarnamn</xsl:variable>
	<xsl:variable name="java.exportEmail">E-post</xsl:variable>
	<xsl:variable name="java.exportCitizenID">Personnummer</xsl:variable>
	
	<xsl:variable name="i18n.UpdateQuery">ndra frga</xsl:variable>
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.PredefinedUserQueryNotFound">Den begrda frgan hittades inte</xsl:variable>
	
	<xsl:variable name="i18n.Users">Anvndare</xsl:variable>
	<xsl:variable name="i18n.Groups">Grupper</xsl:variable>
	<xsl:variable name="i18n.PreSelectedUser">Frvald anvndare (lmna tom fr ingen frvald)</xsl:variable>
	
	<xsl:variable name="i18n.Query.limitSelectionToMyEmployees">Begrnsa valbara anvndare till anvndare som inloggad anvndare r chef fr</xsl:variable>
	<xsl:variable name="i18n.Query.excludeInactiveUsers">Exkludera inaktiva anvndare</xsl:variable>
	
	<xsl:variable name="i18n.UseForMultipartSigning">Krv signering av valda anvndare</xsl:variable>
	<xsl:variable name="i18n.SetMultipartsAsOwners">Stt valda anvndare som medskande fr rendet</xsl:variable>
	
	<xsl:variable name="i18n.ShowForDropdown">Visa i rullistan</xsl:variable>
	<xsl:variable name="i18n.ShowForSelected">Visa fr vald</xsl:variable>
	
	<xsl:variable name="i18n.Query.showName">Visa Namn</xsl:variable>
	<xsl:variable name="i18n.Query.showUsername">Visa Anvndarnamn</xsl:variable>
	<xsl:variable name="i18n.Query.showCitizenID">Visa Personnummer</xsl:variable>
	<xsl:variable name="i18n.Query.showEmail">Visa E-post</xsl:variable>
	<xsl:variable name="i18n.Query.show">Visa </xsl:variable>
	
	<xsl:variable name="i18n.MultipartSigning">Flerpartssignering</xsl:variable>
	
	<xsl:variable name="i18n.AdvancedSettings">Avancerade instllningar</xsl:variable>
	<xsl:variable name="i18n.maskCitizenIDLastFourDigits">Maskera de fyra sista siffrorna i personnummer i e-tjnsten d frgan besvaras</xsl:variable>
	<xsl:variable name="i18n.Query.maskCitizenIDLastFourDigits.Info">De fyra sista siffrorna kan bara maskeras d frgan besvaras, inte i exempelvis i frhandsgranskningen eller i rendets PDF-fil.</xsl:variable>
	<xsl:variable name="i18n.setAsAttribute">Spara fltets vrde som attribut</xsl:variable>
	<xsl:variable name="i18n.attributeName">Attributprefix</xsl:variable>
	<xsl:variable name="i18n.attributeDescription">Fljande attribut kommer att sparas (om aktiverade ovan) med det ovan valda prefixet. Anvndningsexempel om du valt prefixet 'test': $attribute{test.firstname}</xsl:variable>
	<xsl:variable name="i18n.attributeDescription2"><strong>Observera</strong> att endast den anvndarinformation som ovan valts att visas kommer att sparas som attribut.</xsl:variable>	
	<xsl:variable name="i18n.attributes.name">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.attributes.value">Vrde</xsl:variable>
	<xsl:variable name="i18n.lockOnOwnershipTransfer">Ls frga vid verltelse</xsl:variable>
	
	<xsl:variable name="i18n.ValidationError.InvalidPreSelectedUser">Den frvalda anvndaren mste vara en av de tilltna anvndarna!</xsl:variable>
	
</xsl:stylesheet>
