package com.nordicpeak.flowengine.queries.predefineduserquery.beans;

import se.unlogic.hierarchy.core.beans.User;
import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

@XMLElement(name = "validationError")
public class NoCitizenIDValidationError extends ValidationError {
	
	private static final long serialVersionUID = -1704497058944966403L;
	@XMLElement
	private final User user;
	
	public NoCitizenIDValidationError(User listUser) {
		super("NoCitizenID");
		
		this.user = listUser;
	}
	
	public User getUser() {
		return user;
	}
	
}
