<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="QueueCommonTemplates.xsl"/>
	
	<xsl:variable name="java.eventSortQueueMessage1">Kposition ndrad frn </xsl:variable>
	<xsl:variable name="java.eventSortQueueMessage2"> till </xsl:variable>
	<xsl:variable name="java.eventPaymentManagerMessage">Betalning registrerad</xsl:variable>
	<xsl:variable name="java.eventPaymentDirectMessage">Betalning via</xsl:variable>
	<xsl:variable name="java.defaultEventPaymentInvoiceMessage">Betalas med faktura</xsl:variable>
	<xsl:variable name="java.eventSubmittedWithCommentMessage">Se kommentar i Meddelanden</xsl:variable>
	<xsl:variable name="java.eventAdminSubmittedMessage">Kplats registrerad av handlggare</xsl:variable>
	<xsl:variable name="java.eventAdminRestoredMessage">Kplats terstlld av handlggare</xsl:variable>
	<xsl:variable name="java.eventPaymentRequestAddedMessage">Betalningsbegran skickad</xsl:variable>
	<xsl:variable name="java.eventPaymentRequestRemovedMessage">Betalningsbegran borttagen</xsl:variable>
	<xsl:variable name="i18n.eventCustomerMessageSent">Meddelande skickat till handlggare</xsl:variable>
	<xsl:variable name="i18n.eventManagerMessageSent">Meddelande skickat till dig</xsl:variable>
	<xsl:variable name="java.eventRequestLeaveMessage">Begrt uttrde ur k</xsl:variable>
	<xsl:variable name="java.eventLeaveMessage">Uttrde ur k</xsl:variable>
	<xsl:variable name="java.eventArchiveMessage">Kplats arkiverad</xsl:variable>
	<xsl:variable name="java.eventWaitingPeriodMessage">I karens till och med </xsl:variable>
	<xsl:variable name="java.eventSeeExternalMessage">, se kommentar i Meddelanden</xsl:variable>
	<xsl:variable name="java.eventDescriptionUpdated">Beskrivning uppdaterad</xsl:variable>
	
	<xsl:variable name="i18n.SubmittedEvent">Intrde i k</xsl:variable>
	<xsl:variable name="i18n.PayedEvent">Betalning</xsl:variable>
	<xsl:variable name="i18n.MoveEvent">Flyttad</xsl:variable>
	<xsl:variable name="i18n.MessageEvent">Meddelande</xsl:variable>
	<xsl:variable name="i18n.ArchivedEvent">Arkiverad</xsl:variable>
	<xsl:variable name="i18n.ArchiveRequestEvent">Uttrde ur k</xsl:variable>
	<xsl:variable name="i18n.OtherEvent">Annan hndelse</xsl:variable>
	<xsl:variable name="i18n.PaymentRequestEvent">Betalningsbegran</xsl:variable>
	<xsl:variable name="i18n.WaitingPeriodEvent">Karens</xsl:variable>
	
	<xsl:variable name="i18n.ExternalMessage.Type.ENTRANCE">Kommentar vid intrde i k</xsl:variable>
	<xsl:variable name="i18n.ExternalMessage.Type.MANUAL_ENTRANCE">Kommentar vid registrering av kplats</xsl:variable>
	<xsl:variable name="i18n.ExternalMessage.Type.RESTORE"> Kommentar vid terstllning av kplats</xsl:variable>
	<xsl:variable name="i18n.ExternalMessage.Type.CHANGED_POSITION">Kommentar vid ndring av kposition</xsl:variable>
	<xsl:variable name="i18n.ExternalMessage.Type.PAYMENT_REQUEST">Kommentar vid betalningsbegran</xsl:variable>
	<xsl:variable name="i18n.ExternalMessage.Type.PAYMENT_REQUEST_REMOVAL">Kommentar vid borttagning av betalningsbegran</xsl:variable>
	<xsl:variable name="i18n.ExternalMessage.Type.ARCHIVE_REQUEST"> Kommentar vid begran om uttrde ur k</xsl:variable>
	<xsl:variable name="i18n.ExternalMessage.Type.ARCHIVE_BY_USER">Kommentar vid uttrde ur k</xsl:variable>
	<xsl:variable name="i18n.ExternalMessage.Type.ARCHIVE_BY_MANAGER">Kommentar vid arkivering av kplats</xsl:variable>
	
	<xsl:variable name="i18n.validationError.RequiredField">Du mste fylla i fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.InvalidFormat">Felaktigt format p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.TooLong">Fr lngt vrde p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.TooShort">Fr kort vrde p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.Other">Ett oknt fel p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.unknownMessageKey">Ett oknt fel har uppsttt</xsl:variable>
	
	<xsl:variable name="i18n.FileSizeLimitExceeded.part1">Filen </xsl:variable>
	<xsl:variable name="i18n.FileSizeLimitExceeded.part2"> har en storlek p </xsl:variable>
	<xsl:variable name="i18n.FileSizeLimitExceeded.part3"> vilket verskrider den maximalt tilltna filstorleken p </xsl:variable>
	<xsl:variable name="i18n.FileSizeLimitExceeded.part4">.</xsl:variable>
	
	<xsl:variable name="i18n.ValidationError.UnableToParseRequest">Ett oknt fel uppstod vid filuppladdningen</xsl:variable>
	<xsl:variable name="i18n.ValidationError.ExternalMessageRequired">Du mste skriva ett meddelande</xsl:variable>
	<xsl:variable name="i18n.ValidationError.ExternalMessageToLong">Du har skrivit ett fr lngt meddelande</xsl:variable>
	<xsl:variable name="i18n.ValidationError.ExternalMessageToShort">Du har skrivit ett fr kort meddelande</xsl:variable>
	<xsl:variable name="i18n.ValidationError.InternalMessageRequired">Du mste skriva en notering</xsl:variable>
	<xsl:variable name="i18n.ValidationError.InternalMessageToLong">Du har skrivit en fr lng notering</xsl:variable>
	<xsl:variable name="i18n.ValidationError.InternalMessageToShort">Du har skrivit en fr kort notering</xsl:variable>
	
	<xsl:variable name="i18n.Queue.Name">K</xsl:variable>
	<xsl:variable name="i18n.Queue.Enabled">Aktiverad</xsl:variable>
	<xsl:variable name="i18n.Queue.Profile">Profil</xsl:variable>
	<xsl:variable name="i18n.Queue.Price">Pris</xsl:variable>
	<xsl:variable name="i18n.Queue.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.Queue.ActiveSlots">Antal kande</xsl:variable>
	<xsl:variable name="i18n.Queue.ArchivedSlots">Arkiverade kplatser</xsl:variable>
	
	<xsl:variable name="i18n.QueueSlot.Position">Kposition</xsl:variable>
	<xsl:variable name="i18n.QueueSlot.Added">Anskningsdatum</xsl:variable>
	<xsl:variable name="i18n.QueueSlot.ArchivedDate">Arkiveringsdatum</xsl:variable>
	
	<xsl:variable name="i18n.QueueSlot.Poster">Skande</xsl:variable>
	<xsl:variable name="i18n.QueueSlot.LatestPayment">Senaste betalning</xsl:variable>
	<xsl:variable name="i18n.QueueSlot.LatestPaymentType">Senaste betalningstt</xsl:variable>
	<xsl:variable name="i18n.QueueSlot.LatestPaymentType.Direct">Direkt betalning</xsl:variable>
	<xsl:variable name="i18n.QueueSlot.Digital">Digital</xsl:variable>
	<xsl:variable name="i18n.QueueSlot.WaitingPeriod">Karensdatum</xsl:variable>
	<xsl:variable name="i18n.QueueSlot.InWaitingPeriod">I karens</xsl:variable>
	<xsl:variable name="i18n.QueueSlot.PaymentRequested">Betalning begrd</xsl:variable>
	<xsl:variable name="i18n.QueueSlot.Comment">Kommentar</xsl:variable>
	<xsl:variable name="i18n.QueueSlot.Attribute.Description">Beskrivning</xsl:variable>
	
	<xsl:variable name="i18n.Comment">Kommentar</xsl:variable>
	<xsl:variable name="i18n.WaitingPeriod">Datum fr karens (t.o.m.)</xsl:variable>
	<xsl:variable name="i18n.WaitingPeriod.Description">Ange till och med-datum innan personen kan stlla sig i k p nytt. Anges inget datum stts ingen karens.</xsl:variable>
	<xsl:variable name="i18n.WaitingPeriodInformation">Karens t.o.m. </xsl:variable>
	
	<xsl:variable name="i18n.QueueSlotEvents">Khistorik</xsl:variable>
	<xsl:variable name="i18n.Action">Hndelse</xsl:variable>
	<xsl:variable name="i18n.Details">Detaljer</xsl:variable>
	<xsl:variable name="i18n.Date">Datum</xsl:variable>
	
	<xsl:variable name="i18n.Person">Person</xsl:variable>
	<xsl:variable name="i18n.NoEvents">Inga hndelser hittades</xsl:variable>
	
	<xsl:variable name="i18n.Message">Meddelande</xsl:variable>
	<xsl:variable name="i18n.Message.Quote">Citat</xsl:variable>
	<xsl:variable name="i18n.Message.StopQuote">Avbryt citering</xsl:variable>
	<xsl:variable name="i18n.AttachFiles">Bifoga filer</xsl:variable>
	<xsl:variable name="i18n.Close">Stng</xsl:variable>
	<xsl:variable name="i18n.close">stng</xsl:variable>
	<xsl:variable name="i18n.ChooseFiles">Vlj filer</xsl:variable>
	<xsl:variable name="i18n.MaximumFileSize">Maximal filstorlek vid uppladdning</xsl:variable>
	<xsl:variable name="i18n.SubmitMessage">Skicka meddelande</xsl:variable>
	<xsl:variable name="i18n.DeleteFile">Ta bort fil</xsl:variable>
	
	<xsl:variable name="i18n.InternalMessages">Interna noteringar</xsl:variable>
	<xsl:variable name="i18n.SubmitInternalMessage">Spara notering</xsl:variable>
	<xsl:variable name="i18n.InternalMessage">Notering</xsl:variable>
	<xsl:variable name="i18n.NewInternalMessage">Ny notering</xsl:variable>
	<xsl:variable name="i18n.InternalMessagesTitle">Noteringar</xsl:variable>
	<xsl:variable name="i18n.NoInternalMessages">Inga noteringar</xsl:variable>
	<xsl:variable name="i18n.ExternalMessages">Meddelanden</xsl:variable>
	<xsl:variable name="i18n.NoExternalMessages">Inga meddelanden</xsl:variable>
	<xsl:variable name="i18n.NewMessage">Nytt meddelande</xsl:variable>
	<xsl:variable name="i18n.ReplyMessage">Svara</xsl:variable>
	
	<xsl:variable name="i18n.CancelConfirm">r du sker p att du vill avbryta</xsl:variable>
	<xsl:variable name="i18n.Cancel">Avbryt</xsl:variable>
	
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	
	<xsl:variable name="i18n.Yes">Ja</xsl:variable>
	<xsl:variable name="i18n.No">Nej</xsl:variable>
	
	<xsl:variable name="i18n.Filter">Sk</xsl:variable>
	
</xsl:stylesheet>
