<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:import href="classpath://com/nordicpeak/flowengine/Message.sv.xsl"/>
	
	<xsl:include href="QueueCommon.sv.xsl"/>
	<xsl:include href="UserQueueSlotModuleTemplates.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:variable name="java.userMenuTabTitle">Mina kplatser</xsl:variable>
	<xsl:variable name="java.paymentInvoiceTitle">Betalning fr kplats i</xsl:variable>
	<xsl:variable name="java.paymentInvoiceDescription">Kavgift</xsl:variable>
	
	<xsl:variable name="i18n.LastEvent">Senaste hndelse</xsl:variable>
	<xsl:variable name="i18n.Help">Hjlp</xsl:variable>
	
	<xsl:variable name="i18n.UserQueueSlots">Kplatser</xsl:variable>
	<xsl:variable name="i18n.UserQueueSlotsHelp">
		<h2 class="h1 full" data-icon-before="?">Kplatser</h2>
		Hr visas de ker som du str i.
	</xsl:variable>
	
	<xsl:variable name="i18n.UserArchivedQueueSlots">Tidigare Kplatser</xsl:variable>
	<xsl:variable name="i18n.UserArchivedQueueSlotsHelp">
		<h2 class="h1 full" data-icon-before="?">Tidigare Kplatser</h2>
		Hr visas dina tidigare kplatser.
	</xsl:variable>
	
	<xsl:variable name="i18n.Position">Plats</xsl:variable>
	<xsl:variable name="i18n.Payed">Senaste betalning</xsl:variable>
	<xsl:variable name="i18n.NoQueueSlots">Du str fr nrvarande inte i ngon k.</xsl:variable>
	<xsl:variable name="i18n.ShowQueueSlot">Visa kplats</xsl:variable>
	
	<xsl:variable name="i18n.LeaveQueue">G ur kn</xsl:variable>
	<xsl:variable name="i18n.RequestLeaveQueue">Begr uttrde</xsl:variable>
	<xsl:variable name="i18n.LeaveQueueDescription">Lmna en kommentar om du vill. Kommentaren kommer att visas under "Meddelanden" inne p kplatsen.</xsl:variable>
	<xsl:variable name="i18n.RequestLeaveQueueDescription">Lmna en kommentar om du vill. Kommentaren kommer att visas under "Meddelanden" inne p kplatsen.</xsl:variable>
	<xsl:variable name="i18n.LeaveReason">Kommentar</xsl:variable>
	<xsl:variable name="i18n.RequestLeaveConfirmation">Din begran om uttrde har skickats till handlggaren.</xsl:variable>
	
	<xsl:variable name="i18n.PayForQueue">Betala kavgift</xsl:variable>
	
	<xsl:variable name="i18n.MyMessages">Mina meddelanden</xsl:variable>
	<xsl:variable name="i18n.PostedByManager">Handlggare</xsl:variable>
	
	<xsl:variable name="i18n.Archived">Arkiverad</xsl:variable>
	<xsl:variable name="i18n.Pay">Betala</xsl:variable>
	
</xsl:stylesheet>
