package com.nordicpeak.flowengine.queue.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.queue.beans.QueueSlot;

@XMLElement(name = "validationError")
public class ErrorSendingToRecipientViaSMSValidationError extends ValidationError {

	private static final long serialVersionUID = 5826108877344045334L;

	@XMLElement
	private QueueSlot slot;

	@XMLElement
	private String phoneNumber;

	public ErrorSendingToRecipientViaSMSValidationError(QueueSlot slot, String phoneNumber) {

		super("ErrorSendingToRecipientViaSMS");

		this.slot = slot;
		this.phoneNumber = phoneNumber;
	}

	public QueueSlot getSlot() {

		return slot;
	}
}
