
package se.bolagsverket.schema.ssbt.fel;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for felTyp.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="felTyp">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="EjBehorig"/>
 *     &lt;enumeration value="EjKomplettSvar"/>
 *     &lt;enumeration value="ForetagFinnsEj"/>
 *     &lt;enumeration value="OgiltigBegaran"/>
 *     &lt;enumeration value="OgiltigtSvar"/>
 *     &lt;enumeration value="OtillgangligUppgiftskalla"/>
 *     &lt;enumeration value="Timeout"/>
 *     &lt;enumeration value="TvetydigBegaran"/>
 *     &lt;enumeration value="UppgiftFinnsEj"/>
 *     &lt;enumeration value="Odefinierad"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "felTyp")
@XmlEnum
public enum FelTyp {

    @XmlEnumValue("EjBehorig")
    EJ_BEHORIG("EjBehorig"),
    @XmlEnumValue("EjKomplettSvar")
    EJ_KOMPLETT_SVAR("EjKomplettSvar"),
    @XmlEnumValue("ForetagFinnsEj")
    FORETAG_FINNS_EJ("ForetagFinnsEj"),
    @XmlEnumValue("OgiltigBegaran")
    OGILTIG_BEGARAN("OgiltigBegaran"),
    @XmlEnumValue("OgiltigtSvar")
    OGILTIGT_SVAR("OgiltigtSvar"),
    @XmlEnumValue("OtillgangligUppgiftskalla")
    OTILLGANGLIG_UPPGIFTSKALLA("OtillgangligUppgiftskalla"),
    @XmlEnumValue("Timeout")
    TIMEOUT("Timeout"),
    @XmlEnumValue("TvetydigBegaran")
    TVETYDIG_BEGARAN("TvetydigBegaran"),
    @XmlEnumValue("UppgiftFinnsEj")
    UPPGIFT_FINNS_EJ("UppgiftFinnsEj"),
    @XmlEnumValue("Odefinierad")
    ODEFINIERAD("Odefinierad");
    private final String value;

    FelTyp(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static FelTyp fromValue(String v) {
        for (FelTyp c: FelTyp.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
