
package se.bolagsverket.schema.ssbten.engagemang;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import se.bolagsverket.schema.ssbt.foretag.PersonId;


/**
 * <p>Java class for engagemangSvarDetaljer complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="engagemangSvarDetaljer">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbten/engagemang}PersonId"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbten/engagemang}ForetagEngagemang" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "engagemangSvarDetaljer", propOrder = {
    "personId",
    "foretagEngagemang"
})
public class EngagemangSvarDetaljer {

    @XmlElement(name = "PersonId", required = true)
    protected PersonId personId;
    @XmlElement(name = "ForetagEngagemang")
    protected List<ForetagEngagemang> foretagEngagemang;

    /**
     * Gets the value of the personId property.
     * 
     * @return
     *     possible object is
     *     {@link PersonId }
     *     
     */
    public PersonId getPersonId() {
        return personId;
    }

    /**
     * Sets the value of the personId property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonId }
     *     
     */
    public void setPersonId(PersonId value) {
        this.personId = value;
    }

    /**
     * Gets the value of the foretagEngagemang property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the foretagEngagemang property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getForetagEngagemang().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ForetagEngagemang }
     * 
     * 
     */
    public List<ForetagEngagemang> getForetagEngagemang() {
        if (foretagEngagemang == null) {
            foretagEngagemang = new ArrayList<ForetagEngagemang>();
        }
        return this.foretagEngagemang;
    }

}
