
package se.bolagsverket.schema.ssbtro.roll;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import se.bolagsverket.schema.ssbt.foretag.ForetagId;
import se.bolagsverket.schema.ssbt.foretag.Foretagsform;
import se.bolagsverket.schema.ssbt.foretag.PersonId;


/**
 * <p>Java class for rollBegaranDetaljer complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="rollBegaranDetaljer">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbtro/roll}PersonId"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbtro/roll}ForetagId"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbtro/roll}Foretagsform"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "rollBegaranDetaljer", propOrder = {
    "personId",
    "foretagId",
    "foretagsform"
})
public class RollBegaranDetaljer {

    @XmlElement(name = "PersonId", required = true)
    protected PersonId personId;
    @XmlElement(name = "ForetagId", required = true)
    protected ForetagId foretagId;
    @XmlElement(name = "Foretagsform", required = true)
    protected Foretagsform foretagsform;

    /**
     * Gets the value of the personId property.
     * 
     * @return
     *     possible object is
     *     {@link PersonId }
     *     
     */
    public PersonId getPersonId() {
        return personId;
    }

    /**
     * Sets the value of the personId property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonId }
     *     
     */
    public void setPersonId(PersonId value) {
        this.personId = value;
    }

    /**
     * Gets the value of the foretagId property.
     * 
     * @return
     *     possible object is
     *     {@link ForetagId }
     *     
     */
    public ForetagId getForetagId() {
        return foretagId;
    }

    /**
     * Sets the value of the foretagId property.
     * 
     * @param value
     *     allowed object is
     *     {@link ForetagId }
     *     
     */
    public void setForetagId(ForetagId value) {
        this.foretagId = value;
    }

    /**
     * Gets the value of the foretagsform property.
     * 
     * @return
     *     possible object is
     *     {@link Foretagsform }
     *     
     */
    public Foretagsform getForetagsform() {
        return foretagsform;
    }

    /**
     * Sets the value of the foretagsform property.
     * 
     * @param value
     *     allowed object is
     *     {@link Foretagsform }
     *     
     */
    public void setForetagsform(Foretagsform value) {
        this.foretagsform = value;
    }

}
