package com.nordicpeak.flowengine.queries.ssbt.exceptions;

import se.bolagsverket.schema.ssbt.fel.Fel;
import se.bolagsverket.schema.ssbtgu.v2.grundlaggandeuppgifter.GrundlaggandeUppgift;

public class IncompleteResponseException extends Exception {

	private static final long serialVersionUID = 3605795307857913988L;

	public IncompleteResponseException(GrundlaggandeUppgift udCode, Fel fel) {

		super(udCode.getClass().getSimpleName() + "," + fel.getTyp() + ", " + fel.getFelKod() + ", " + fel.getFelBeskrivning());
	}

}
