package com.nordicpeak.flowengine.evaluators.setattributefromalternativeid;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class SetAttributeFromAlternativeIDEvaluatorCRUD extends BaseEvaluatorCRUD<SetAttributeFromAlternativeIDEvaluator, SetAttributeFromAlternativeIDEvaluationProviderModule> {
	
	private static final AnnotatedRequestPopulator<SetAttributeFromAlternativeIDEvaluator> POPULATOR = new AnnotatedRequestPopulator<SetAttributeFromAlternativeIDEvaluator>(SetAttributeFromAlternativeIDEvaluator.class);
	
	public SetAttributeFromAlternativeIDEvaluatorCRUD(Class<SetAttributeFromAlternativeIDEvaluator> beanClass, AnnotatedDAOWrapper<SetAttributeFromAlternativeIDEvaluator, Integer> evaluatorDAO, SetAttributeFromAlternativeIDEvaluationProviderModule callback) {
		
		super(beanClass, evaluatorDAO, POPULATOR, "SetAttributeFromAlternativeIDEvaluator", "set attribute from alternative ID evaluator", null, callback);
	}
	
}
