
function generateNewUUID() {
	var chars = '0123456789abcdef'.split('');
	var uuid = [], rnd = Math.random;
	var r;
	uuid[8] = uuid[13] = uuid[18] = uuid[23] = '-';
	uuid[14] = '4';
	for (var i = 0; i < 36; i++) {
		if (!uuid[i]) {
			r = 0 | rnd()*16;
			uuid[i] = chars[(i == 19) ? (r & 0x3) | 0x8 : r & 0xf];
		}
	}
	return uuid.join('');
}

function removeTableRowForWeightInterval(self){
	
	var row = $(self).closest("tr");
	
	row.find("input").val("").prop('checked', false).trigger("change");
	
	
	row.remove();
}
	
function addTableRowForWeightInterval(){
		
		var tbody = $("#weightinterval");
		var rowID = generateNewUUID();
		
		var template = $("#dynamicTableRowTemplate").children().first().clone();	
		template.find("input[name='rowID']").val(rowID).attr("value", rowID);
		
		var inputs = template.find("input");
		
		inputs.prop('disabled', false);
		
		inputs.each(function(){
			
			var input = $(this);
			
			input.prop("name", input.prop("name").replace("template", rowID));
			
			
		});
		
		tbody.append(template);
		
		
	}


	