package com.nordicpeak.flowengine.evaluators.setqueryweightevaluator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

public class SetQueryWeightEvaluatorCRUD extends BaseEvaluatorCRUD<SetQueryWeightEvaluator, SetQueryWeightEvaluationProviderModule> {
	
	private static final AnnotatedRequestPopulator<SetQueryWeightEvaluator> POPULATOR = new AnnotatedRequestPopulator<>(SetQueryWeightEvaluator.class);
	
	public SetQueryWeightEvaluatorCRUD(Class<SetQueryWeightEvaluator> beanClass, AnnotatedDAOWrapper<SetQueryWeightEvaluator, Integer> evaluatorDAO, SetQueryWeightEvaluationProviderModule callback) {
		
		super(beanClass, evaluatorDAO, POPULATOR, "SetQueryWeightEvaluator", "weight evaluator", null, callback);
	}
	
}
