$(function() {
	
	$("#setWeightIfNoValueMatches").on("change", function(){
		
		$("#weightIfNoValueMatches").toggle(this.checked).prop("disabled", !this.checked);
		
	}).trigger("change");
	
	$("#setWeightIfContactFieldIsEmpty").on("change", function(){
		
		$("#weightIfContactFieldIsEmpty").toggle(this.checked).prop("disabled", !this.checked);
		
	}).trigger("change");
	
});


function addValue(){
	
	var clone = $("#value-template").clone();
	
	var valueID = generateUUID();
	
	clone.attr("id", "value-" + generateUUID());
	
	clone.find("input[name='matchedValue-template']").attr("name", "matchedValue-" + valueID);
	clone.find("input[name='weight-template']").attr("name", "weight-" + valueID);
	clone.find("input[name='valueID']").attr("value", valueID);
	
	$("#value-table").find('tbody').append(clone);
	
	return false;
}

function deleteValue(source){
	
	$(source).parents("tr").first().remove();
	
	return false;
}

function generateUUID() {
	var chars = '0123456789abcdef'.split('');
	var uuid = [], rnd = Math.random;
	var r;
	uuid[8] = uuid[13] = uuid[18] = uuid[23] = '-';
	uuid[14] = '4';
	for (var i = 0; i < 36; i++) {
		if (!uuid[i]) {
			r = 0 | rnd()*16;
			uuid[i] = chars[(i == 19) ? (r & 0x3) | 0x8 : r & 0xf];
		}
	}
	return uuid.join('');
}